2022-01-04 Teddy B <sendmeouttaspace@gmail.com>
 * Added Freescale device MPC5646

2021-09-23 Benjamin Herrenschmidt <benh@kernel.crashing.org>
 * Fix detection of some Olimex cables

2021-03-21 Geert Stappers <stappers@stappers.it>
 * Released  2021.03

2020-07-27 Geert Stappers <stappers@stappers.nl>
 * Require Python 3

2020-07-26 Stephan Brunner <s.brunner@stephan-brunner.net>
 * Cable/J-Link: Dynamically search for usb endpoints

2020-06-10 Olaf Mandel <o.mandel@menlosystems.com>
 * Support for Altera MAX V 5M1270Z

2020-04-16 Udi Finkelstein <github@udifink.com>
 * Fix FT2232 cables

2020-02-13 Dan Horák <dan@danny.cz>
 * Fix GCC 10 build error on UrjtagError declaration

2020-02-07 Alec Voropay <alec@sensi.org>
 * Use \\ path separator on MINGW

2020-02-06 Alec Voropay <alec@sensi.org>
 * Define __USE_MINGW_ANSI_STDIO before include stdio.h

2020-01-11 Yuri <yurivict@users.sourceforge.net>
 * compile error fix

2020-01-07 Alec Voropay <alec@sensi.org>
 * print DATADIR and HOMEDIR with -h
 * sysdep.h: define __USE_MINGW_ANSI_STDIO for Mingw

2019-12-29 Alexander Voropay <alec@sensi.org>
 * rename min() to resolve conflict with minwindef.h

2019-12-08 Geert Stappers <stappers@stappers.it>
 * Removed '$Id$' markers for src/bus/*.c
 * Removed editor hints from src/bus/*.c
 * Removed spurious '#undef DEBUG' from two src/bus/*.c files
 * Applied Python3 binding fix reported on SF forum

2019-12-03 Jiri Gaisler <jiri@gaisler.se>
 * Define stepping 0 for Xilinx xc6slx75 FPGA
 * src/bus/ahbjtag.c: New file. Implements bus driver for GRLIB AHBJTAG core.

2019-11-25 Alexander Voropay <alec@sensi.org>
 * git log hash as version number

2019-08-03 Geert Stappers <stappers@stappers.it>
 * data/MANUFACTURERS got update information
 * minor data/MANUFACTURERS update
 * Added an empty data/amd/PARTS as reservation for AMD
 * Added an empty data/0/PARTS for further JEP106 support

2019-08-03 Karl Hammer <karl@aspodata.se>
 * vhdl functions shouldn't know anything about part
 * Disambiguate part

2018-09-21 Geert Stappers <stappers@stappers.it>
 * Released  2018.09

2018-09-21 Andreas Moog <andreas.moog@warperbbs.de>
 * Prefix all REG_* with BFIN_REG, closed bug#119

2018-06-27 Milan Prochac <milan@prochac.sk>

 * Added J-Link interface select, closes bug#127

2018-06-19 Geert Stappers <stappers@stappers.nl>

 * Released  2018.06

2018-06-19 zmatkar <zmatkar@users.sourceforge.net>

 * Enhancement#123 JTAGv3 and v5 cables driver

2018-06-19 Marton Miklos <martonmiklos@users.sf.net>
 * Document the 0x to enforce hexadecimal, closes bug#112

2018-06-18 Jose Vasconcellos <matein4@users.sf.net>
 * Support ixp425 stepping B1, closes bug#111

2018-03-24 Jiri Gaisler <jiri@gaisler.se>
 * Code clean-up: remove double const keywords.

2018-03-24 kuenzerj <Jens.Kuenzer@fpga.homeip.net>
 * LIBFTD2XX for x86_64*cygwin is not in i386 directory so use amd64
 * pull in all required libraries in python setup.py

2018-03-24 Hiroki Mori <yamori813@yahoo.co.jp>
 * add freebsd gpio support
 * fix error message on PPISCTRL

2018-03-21 Jiri Gaisler <jiri@gaisler.se>
 * Allow python bindings to be built using VPATH.

2018-03-21 Geert Stappers <stappers@stappers.nl>
  * the actual release of 2017.10

2018-03-09 Jiri Kastner <cz172638@gmail.com>
  * add files to dist tarball, to get 2017.10 released

2017-10-18 Jean THOMAS <git0@pub.jeanthomas.me>
  * Support files for DirtyJTAG

2017-07-12 Steve Tell <tell@telltronics.org>
  * documentation: adding a new cable driver
  * new cable driver: FTDI FT4232

2017-06-30 Steve Tell <tell@telltronics.org>
  * changing TCK frequency of ARM-USB-OCD-H

2017-06-26 Steve Tell <tell@telltronics.org>
  * python binding additions and fixes

2017-05-18 Jan Willeke <willeke@smartmote.de>
  * enumerated GPIO_REQUIRED blocks using pin 4

2017-05-07 Benjamin Henrion <zoobab@gmail.com>
  * src/tap/cable/vsllink.c: versaloon URL updated

2017-03-12 ARE <ake.rehnman@gmail.com>
  * Inclusion of windows.h was moved out from sysdep.h and added to direct.c and libftd2xx.c
  * -no-undefined was added to src/Makefile to allow dynamic linking of ftd2xx
  * Changed configure.ac to make libtool linking work with cygwin/mingw and ftd2xx.

2017-03-01 Tomek CEDRO <CeDeROM@tlen.pl>
  * acinclude.m4: Reverted AS_VAR_APPEND macro that broke autoconf-2.69
    build (introduced 2010-02-03).

2014-08-03  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/Makefile.am: Switch generated_cmd_list.h to BUILT_SOURCES rather
    than creating the dependency ourselves between the objects.

  * src/bus/buses_list.h: Add mpc8313 as reported by Greg Foringer.

  * data/Makefile.am, data/xilinx/PARTS, data/xilinx/xc2vp4/STEPPINGS,
    data/xilinx/xc2vp4/xc2vp4: Add xc2vp4 (Virtex II Pro FPGA) details by
    Michael Davidsaver.

  * data/xilinx/xcf08p/STEPPINGS: Add rev 14 by Michael Davidsaver.

  * src/cmd/Makefile.am: Fix generated_cmd_list.h generation so it always
    includes all commands and not just ones enabled by configure.  Reported
    by Nick B.

2014-08-01  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/PARTS, data/xilinx/xc7a100t/STEPPINGS,
    data/xilinx/xc7a100t/xc7a100t-csg324: Add xilinx Artix-7 part info by
    Steve Tell.

2014-07-29  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Enable subdir-objects as latest automake warns otherwise.
    Switch the dist tarball to xz while we're here.

2014-07-29  Mike Frysinger  <vapier@gentoo.org>

  * src/bsdl/bsdl_bison.y, src/bsdl/vhdl_bison.y, src/svf/svf_bison.y: Deploy
    a hack to work around limitations in the new %lex-param interface.
    Debugging by Paul Green & cioma in sourceforge bug 118.

2014-07-29  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/h7202.c: Fix max number of lines setup to match struct.

2014-01-18  Mike Frysinger  <vapier@gentoo.org>

  * src/bsdl/bsdl_bison.y, src/bsdl/vhdl_bison.y, src/svf/svf_bison.y: Define
    %lex-param to fix building with bison-3+; fix by Daniel Burr.  Also update
    %name-prefix to avoid build time warnings.  This breaks building w/older
    bison versions like 1.875d, but bison-2.0 was released in 2005.

2013-05-08  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Update to autoconf 2.64 and gettext 0.17.

2013-03-26  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Change AM_CONFIG_HEADER to AC_CONFIG_HEADERS to fix
    warnings from newer automake.
  * src/Makefile.am, src/apps/bsdl2jtag/Makefile.am, src/apps/jtag/Makefile.am:
    Change INCLUDES to AM_CPPFLAGS to fix warnings from newer automake.

2013-03-24  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Check for libftdi1 with newer releases.

2013-03-12  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/*/*: Add CFG_IN and CFG_OUT insns by Sébastien Bourdeauducq.
  * doc/README.pld: Remove mention of custom CFG_IN/CFG_OUT insns.

2012-09-23  Jie Zhang  <jie.zhang@analog.com>

  Revert
  2010-01-29  Mike Frysinger  <vapier@gentoo.org>
  * include/urjtag/bfin.h, src/bfin/bfin.c, src/bfin/bfin-part-bfin.c: Switch
    from local register_value to common urj_tap_register_get_value.

  * include/urjtag/bfin.h (register_init_value): Remove declaration.
    (register_value): Likewise.
  * src/bfin/bfin.c (register_init_value): Rename to ...
    (bfin_register_set_value): ... this.  Localize.  Call
    urj_tap_register_set_value_bit_range.  Update all references.
    (register_value): Rename to ...
    (bfin_register_get_value): ... this.  Localize.  Call
    urj_tap_register_get_value_bit_range.  Update all references.

2012-09-23  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/register.c (urj_tap_register_set_value_bit_range): Fix
    for msb < lsb case.
    (urj_tap_register_get_value_bit_range): Likewise.

2012-09-21  Steve Tell  <tell@telltronics.org>

  * bindings/python/chain.c (urj_pyc_set_dr): Call PyErr_Clear after
    failed PyArg_ParseTuple to avoid spurious exception.

2012-09-20  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable/ice100.c (adi_flush): Scan out if trigger point
    is reached.

2012-09-20  Jie Zhang  <jie.zhang@analog.com>

  * src/bfin/bfin.c (part_emulation_return): Point out that setting
    NOP in EMUIR is a workaround for ICE-100B.  Also move to state
    UPDATE instead of IDLE when setting NOP in EMUIR.

2012-09-19  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/tap.h: Fix trailing space in comment of urj_tap_detect.
  * src/tap/cable/ft2232.c (ft2232_ktlink_init): Fix trailing space.
  * bindings/python/Makefile.am: Remove empty ending line.

2012-08-09  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/xc6slx9/STEPPINGS: Add xc6slx9 stepping 2 by Xiangfu.

2012-08-06  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd_pod.c: Add the ability to read the TDO signal.  Based on work
    by Elden Tyrell.

  * src/global/params.c (parse_param_lu): Reject partial decimal numbers, and
    improve error message to indicate 0x prefix is required for hex values.

2012-04-13  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/ft2232.c (urj_tap_cable_ft2232_ktlink_driver): Use the
    ft2232h_set_frequency helper since this cable driver has a FT2232H part.
    Fix by Tomek Cedro.

2012-04-10  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/ft2232.c: Declare ARM-USB-OCD-H cable by Jérôme Carretero.
  * src/tap/cable/generic_usbconn_list.h: Add new armusbocd_h cable.

2012-03-10  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/cable.h (urj_cable_param_key_t): Add URJ_CABLE_PARAM_KEY_INDEX.
  * include/urjtag/usbconn.h (urj_usbconn_cable_t): Add index.
  * src/tap/cable.c (cable_param): Handle index and URJ_CABLE_PARAM_KEY_INDEX.
  * src/tap/cable/generic_usbconn.c (urj_tap_cable_generic_usbconn_connect):
    Handle URJ_CABLE_PARAM_KEY_INDEX and pass along index.
  * src/tap/cable/generic_usbconn.h: Document new index= parameter.
  * src/tap/usbconn/libftd2xx.c (ftd2xx_param_t): Add index.
    (usbconn_ftd2xx_connect): Pass along index.
  * src/tap/usbconn/libftdi.c (ftdi_param_t): Add index.
    (usbconn_ftdi_connect): Pass along index.
    (usbconn_ftdi_common_open): Call ftdi_usb_open_desc_index to utilize the
    new index parameter.

2012-03-02  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/usbconn/libusb.c, src/tap/usbconn/libusb.h: Glue the 0.1 API
    for library init and device list lookup/freeing to 1.0 so other places
    can use it too.

2012-03-06  Tomek Cedro  <cederom@tlen.pl>

  * src/tap/cable_list.h, src/tap/cable/ft2232.c,
    src/tap/cable/generic_usbconn_list.h: New ft2232 KT-LINK driver.

2012-03-02  Mike Frysinger  <vapier@gentoo.org>

  * src/svf/svf.c (urj_svf_run): Detect unset cables to avoid crashes when
    using the command line interface.  Patch by Scott Tsai.

  * include/urjtag/part.h (urj_part_set_signal_{high,low,input}): Add helpers
    for controlling levels to make code reading easier.  Work by Miklós Márton.

  * src/bus/*.c: Convert to new urj_part_set_signal helpers.  Work partially
    by Miklós Márton.

2012-02-29  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/xc6slx16/STEPPINGS: Add stepping 2 by Christoffer Kjølbæk.

2011-12-10  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/tap.h, src/cmd/cmd_detect.c, src/tap/detect.c,
    src/tap/discovery.c: Extend urj_tap_detect API to allow callers to set
    the number of IR bits to detect.  Patch by Steve Tell.

  * src/tap/register.c: Check incoming register arg before we use it.  Patch
    by Steve Tell.

  * include/urjtag/tap_register.h, src/tap/register.c: Add get/set register
    value variants that allow you to get a slice of bits.  Patch by Steve Tell.

  * Makefile.am: Add bindings to SUBDIRS.
  * configure.ac: Add --enable-python flag to control python support.
  * doc/urjtag-python.txt: Document new python bindings.
  * bindings/: New subdir to hold language bindings.
  * bindings/python/: New python bindings by Steve Tell.

2011-12-05  Mike Frysinger  <vapier@gentoo.org>

  * src/apps/jtag/jtag.c: Simplify readline ifdefs a little as suggested
    by MÃ¡rton NÃ©meth.

2011-11-16  Jie Zhang  <jie.zhang@analog.com>

  * data/analog/PARTS: Update comment.

2011-11-11  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/bfin.h (part_bypass): Remove declaration.

2011-11-06  Uwe Hermann  <uwe@hermann-uwe.de>

  * data/toshiba/tmpa9xx/tmpa9xx, data/toshiba/tmpa9xx/STEPPINGS: Add stepping
    and basic JTAG register/instruction info for Toshiba TMPA9xx series
    microcontrollers (ARM9 / ARM926EJ-S).
  * data/toshiba/PARTS: Add entry for Toshiba TMPA9xx.
  * data/Makefile.am: Add new STEPPINGS and tmpa9xx files.

2011-11-06  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/xc6slx9/STEPPINGS: Add Xilinux Spartan 6 stepping 0 by
    Ralph Loader.

2011-10-24  Jie Zhang  <jie.zhang@analog.com>

  * data/analog/bf592/STEPPINGS: Add silicon revision 0.2.

2011-10-19  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/bfin.h (chain_scan_select): Remove declaration.
    (DECLARE_CHAIN_DBGCTL_SET_BIT): Remove.
    (DECLARE_CHAIN_DBGCTL_CLEAR_BIT): Remove.
    (DECLARE_DBGCTL_BIT_OP): Don't use the above two.
    (chain_dbgstat_get): Remove declaration.
    (chain_emupc_get): Likewise.
    (chain_dbgstat_clear_ovfs): Likewise.
    (chain_check_emuready): Likewise.
    (chain_wait_in_reset): Likewise.
    (chain_wait_reset): Likewise.
    (chain_register_get): Likewise.
    (chain_register_set): Likewise.
    (chain_register_set_same): Likewise.
    (chain_emuir_set_same): Likewise.
    (chain_emuir_set_same_2): Likewise.
    (chain_emulation_enable): Likewise.
    (chain_emulation_disable): Likewise.
    (chain_emulation_trigger): Likewise.
    (chain_emulation_return): Likewise.
    (chain_emupc_reset): Likewise.
    (bfin_core_reset): Add a new parameter.
    (software_reset): Likewise.
    (part_emupc_reset): Declare.
  * src/cmd/cmd_bfin.c (cmd_bfin_run): Pass chain->active_part as
    the second argument to software_reset and bfin_core_reset.
  * src/bfin/bfin.c (part_is_bypassed): Remove.
    (part_bypass): Remove.
    (chain_scan_select_array): Remove.
    (chain_scan_select): Remove.
    (part_scan_select): Don't call part_is_bypassed.
    (CHAIN_DBGCTL_CLEAR_OR_SET_BIT): Remove.
    (CHAIN_DBGCTL_SET_BIT): Remove.
    (CHAIN_DBGCTL_CLEAR_BIT): Remove.
    (DBGCTL_BIT_OP): Don't use the above two.
    (chain_dbgstat_get): Remove.
    (chain_emupc_get): Remove.
    (chain_dbgstat_clear_ovfs): Remove.
    (chain_check_emuready): Remove.
    (chain_wait_in_reset): Remove.
    (chain_wait_reset): Remove.
    (chain_emuir_set_same): Remove.
    (part_emuir_set): Don't call part_is_bypassed.
    (chain_emuir_set_same_2): Remove.
    (part_emuir_set_2): Don't call part_is_bypassed.
    (chain_register_get): Remove.
    (chain_register_set_1): Remove.
    (chain_register_set): Remove.
    (chain_register_set_same): Remove.
    (chain_emulation_enable): Remove.

2011-10-19  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/bfin.h (struct emu_oab): Remove.  Move its dbgctl_*
    and dbgstat_* to ...
    (struct bfin_part_data): ... here. Remove field emu_oab.
    (EMU_OAB): Remove.
    (part_sticky_in_reset): Remove.
  * src/bfin/bfin.c (<urjtag/cable.h>): Include.
    ("bfin-part.h"): Dont' include.
    (bfin_dbgctl_init): New.
    (bfin_dbgstat_value): New.
    (PART_DBGCTL_CLEAR_OR_SET_BIT): Don't use _part_* functions.
    (PART_DBGCTL_IS): Likewise.
    (PART_DBGSTAT_BIT_IS): Likewise.
    (PART_DBGSTAT_CLEAR_BIT): Likewise.
    (PART_DBGSTAT_SET_BIT): Likewise.
    (part_dbgstat_emucause): Likewise.
    (chain_dbgstat_get): Likewise.
    (part_dbgstat_get): Likewise.
    (part_sticky_in_reset): Remove.
    (chain_wait_reset): Don't call part_sticky_in_reset.
    (part_wait_reset): Likewise.
    (bfin_part_data_initializer): Define.
    (bfin_wait_ready): New.
    (bfin_part_init): New.
    (_bfin_part_init): New.
  * src/bfin/bfin-part-bfin.c: Remove.
  * src/bfin/bfin-part.c: Remove.
  * src/bfin/bfin-part.h: Remove.
  * src/bfin/Makefile.am (libbfin_la_SOURCES): Remove bfin-part.c,
    bfin-part.h and bfin-part-bfin.c.

2011-10-14  Uwe Hermann  <uwe@hermann-uwe.de>

  * doc/Makefile.am: Add README.stapl to EXTRA_DIST so that it ends up in
    the tarball.

  * doc/UrJTAG.txt, po/fr.po, po/rw.po, po/sk.po, src/bus/jopcyc.c,
    src/bus/zefant-xs3.c, src/cmd/cmd_endian.c, src/cmd/cmd_pld.c: Fix typos.

2011-10-09  Uwe Hermann  <uwe@hermann-uwe.de>

  * include/Makefile.am, src/stapl/Makefile.am: Fix 'make dist'.

2011-10-04  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/detect.c (urj_tap_detect_parts): Ignore search path when
    call urj_parse_include.

2011-10-03  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable/ice100.c (ice_read_hex_file): Free input_line
    before return.

2011-09-29  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable/generic_usbconn_list.h (ice100Bw): Add.
  * src/tap/cable/ice100.c: Rename ice100B to ice100Bw and
    add a new ice100B with PID 0x1225.

2011-09-27  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable.c (urj_tap_cable_start): Use urj_tap_trst_reset.
  * src/tap/discovery.c (jtag_reset): Remove.
    (urj_tap_discovery): Replace jtag_reset with urj_tap_trst_reset.
  * src/tap/tap.c (urj_tap_trst_reset): New function.
  * src/tap/idcode.c (urj_tap_idcode): Use urj_tap_trst_reset.
  * include/urjtag/tap.h (urj_tap_trst_reset): Declare.

2011-09-27  Jie Zhang  <jie.zhang@analog.com>

  * src/cmd/cmd_print.c (cmd_print_run): Pass active part to
    urj_part_parts_print.
  * src/part/part.c (urj_part_parts_print): Add a new argument
    for active part.
  * include/urjtag/part.h (urj_part_parts_print): Update declaration.

2011-09-24  Jie Zhang  <jie.zhang@analog.com>

  * src/bus/blackfin.c (bfin_bus_write): Pull AOE low for write.

2011-09-24  Jie Zhang  <jie.zhang@analog.com>

  * src/bus/blackfin.c (bfin_bus_new): Parse default params into a
    separate param list.

2011-09-06  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/mpc8313.c: Use global revbits rather than local, and fix
    off-by-one error by Márton Miklós.

2011-08-31  Jie Zhang  <jie.zhang@analog.com>

  * src/bus/blackfin.c (bfin_bus_new): Add new argument for default
    parameter values.  Update all callers.
  * src/bus/blackfin.h (bfin_bus_new): Update declaration.
    (bfin_bus_default_t): Typedef.
  * src/bus/bf537_stamp.c (bf537_stamp_defaults[]): New.
    (bf537_stamp_bus_new): Pass bf537_stamp_defaults to bfin_bus_new.
    (bf527_sdp): _BFIN_BUS_DECLARE.
  * src/bus/Makefile.am (libbus_la_SOURCES): Remove bf527_sdp.c.
  * src/bus/bf527_sdp.c: Remove.
  * src/global/params.c (urj_param_init_list): Add missing {, }.

2011-08-29  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/Makefile.am: Add a semicolon after the last sed command for
    compatibility with BSD sed implementations.  Patch by Xiangfu Liu.

2011-08-29  Jie Zhang  <jie.zhang@analog.com>

  * src/bus/buses_list.h: Add bf527_sdp.
  * src/bus/Makefile.am(libbus_la_SOURCES): Add bf527_sdp.c.
  * src/bus/bf527_sdp.c: New file.

2011-08-27  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/xc6slx45/STEPPINGS: Add stepping 3 by Xiangfu Liu.

2011-08-24  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/bus_driver.h, src/bus/buses.c: Add a new flag for write
    protect signals.
  * configure.in, src/bus/Makefile.am, src/bus/mpc8313.c: Add mpc8313 bus
    support by Márton Miklós.

  * src/tap/detect.c: Remove limitations on lengths of names in id records.

  * data/Makefile.am, data/lattice/PARTS,
    data/lattice/lcmxo2-1200-csbga132/STEPPINGS,
    data/lattice/lcmxo2-1200-csbga132/lcmxo2-1200-csbga132: Add support for
    LCMXO2-1200 CPLD's by Márton Miklós.

2011-08-20  Mike Frysinger  <vapier@gentoo.org>

  * data/Makefile.am, data/xilinx/PARTS, data/xilinx/xc95108/STEPPINGS,
    data/xilinx/xc95108/xc95108, data/xilinx/xc95108/xc95108_pc84,
    data/xilinx/xc95108/xc95108_pq100, data/xilinx/xc95108/xc95108_pq160,
    data/xilinx/xc95108/xc95108_tq100: Add data files for Xilinx xc95108
    FPGAs.  Patch by Steve Tell.

  * src/tap/detect.c: Change fgets() to getline() to remove arbitrary
    line length limits.

  * include/urjtag/flash.h, include/urjtag/error.h, src/flash/amd.c,
    src/flash/intel.c, src/flash/amd_flash.c, src/flash/flash.c,
    src/global/log-error.c: Add support to the flash framework for
    locking sectors.  Patch by Xiangfu Liu.

  * src/cmd/cmd_lockflash.c, src/cmd/Makefile.am: Add "lockflash" command
    by Xiangfu Liu.

  * include/urjtag/flash.h, src/flash/flash.c, src/cmd/cmd_lockflash.c:
    Extend lock logic to support unlocking.  Add a new "unlockflash" command
    by Xiangfu Liu on top of that.

  * configure.ac, doc/README.stapl, include/urjtag/stapl.h, src/cmd/cmd_list.h,
    src/cmd/cmd_stapl.c, src/cmd/Makefile.am, src/Makefile.am, src/stapl,
    src/stapl/jamarray.c, src/stapl/jamarray.h, src/stapl/jamcomp.c,
    src/stapl/jamcomp.h, src/stapl/jamcrc.c, src/stapl/jamdefs.h,
    src/stapl/jamexec.c, src/stapl/jamexec.h, src/stapl/jamexp.c,
    src/stapl/jamexp.h, src/stapl/jamexprt.h, src/stapl/jamheap.c,
    src/stapl/jamheap.h, src/stapl/jamjtag.c, src/stapl/jamjtag.h,
    src/stapl/jamnote.c, src/stapl/jamstack.c, src/stapl/jamstack.h,
    src/stapl/jamsym.c, src/stapl/jamsym.h, src/stapl/jamutil.h,
    src/stapl/jamytab.h, src/stapl/Makefile.am, src/stapl/stapl.c,
    src/stapl/TODO: Initial STAPL support by Michael Vacek.

2011-07-27  Jie Zhang  <jie.zhang@analog.com>

  * src/bfin/bfin-part-bfin.c (bfin_wait_ready): Set the default wait
    clocks to 3 for gnICE.

2011-07-26  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable/ice100.c (ice100b_set_freq): Set cable->frequency.
  * src/bfin/bfin-part-bfin.c (bfin_wait_ready): Set default wait clocks
    for ICE-100B cable.

2011-07-26  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable/ice100.c: Indent.

2011-07-26  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable_list.h: Remove ezkit_10 and ezkit_20.
  * src/tap/cable/generic_usbconn_list.h: Remove ezkit_10_bf548,
    ezkit_10_bf537, ezkit_20_bf518 and ezkit_20_bf526.
  * src/tap/cable/ice100.c (struct params_t): Remove sel_rawscan_enabled,
    bytewize_scan, combo_tx_mode, wr_buf_addr and r_buf_addr.
    (swap_data_longs_to_bytes, swap_scan_bytes_to_longs): Remove.
    (DSP_KIT_SCAN_DATA): Remove.
    (KIT_10_DEFAULT_SCAN_LEN): Remove.
    (KIT_10_TRIGGER_SCAN_LEN): Remove.
    (KIT_20_DEFAULT_SCAN_LEN): Remove.
    (KIT_20_TRIGGER_SCAN_LEN): Remove.
    (RAW_SCAN_HDR_SZ): Remove.
    (RAW_SCAN_COMBINED_HDR_SZ): Remove.
    (HOST_DO_RAW_SCAN): Remove.
    (HOST_FAST_MODE): Remove.
    (HOST_SC_AUTHENTICATE): Remove.
    (KIT_10_WRITE_ENDPOINT): Remove.
    (KIT_10_READ_ENDPOINT): Remove.
    (KIT_10_USB_WRITE_TIMEOUT): Remove.
    (KIT_10_USB_READ_TIMEOUT): Remove.
    (KIT_10_WRITE_BUFFER_SIZE): Remove.
    (KIT_10_READ_BUFFER_SIZE): Remove.
    (KIT_20_WRITE_ENDPOINT): Remove.
    (KIT_20_READ_ENDPOINT): Remove.
    (KIT_20_USB_WRITE_TIMEOUT): Remove.
    (KIT_20_USB_READ_TIMEOUT): Remove.
    (KIT_20_WRITE_BUFFER_SIZE): Remove.
    (KIT_20_READ_BUFFER_SIZE): Remove.
    (BLACKFIN_OLD_DATA_BUFFER_OUT_ADDRESS): Remove.
    (BLACKFIN_OLD_DATA_BUFFER_IN_ADDRESS): Remove.
    (BLACKFIN_DATA_BUFFER_OUT_ADDRESS): Remove.
    (BLACKFIN_DATA_BUFFER_IN_ADDRESS): Remove.
    (kitInFastMode): Remove.
    (kit_set_freq): Remove.
    (ice100b_set_freq): Adjust accordingly.
    (ice_connect): No need to initialize removed params_t fields.
    (kit_10_connect): Remove.
    (kit_20_connect): Remove.
    (ice_init): Adjust accordingly.
    (kit_10_init): Remove.
    (kit_20_init): Remove.
    (adi_flush): Adjust accordingly.
    (kit_get_sig): Remove.
    (kit_set_sig): Remove.
    (get_recv_data): Adjust accordingly.
    (add_scan_data): Adjust accordingly.
    (do_single_reg_value): Adjust accordingly.
    (do_host_cmd): Adjust accordingly.
    (perform_scan): Adjust accordingly.
    (do_rawscan): Adjust accordingly.
    (urj_tap_cable_ezkit_10_driver): Remove.
    (ezkit_10_bf537): Remove.
    (ezkit_10_bf548): Remove.
    (urj_tap_cable_ezkit_20_driver): Remove.
    (ezkit_20_bf518): Remove.
    (ezkit_20_bf526): Remove.

2011-07-25  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/detect.c (find_record): Use FOPEN_R or FOPEN_W for mode in fopen.
  * src/tap/cable/gpio.c (gpio_export): Likewise.
    (gpio_direction): Likewise.
  * src/tap/cable/ice100.c (ice_read_hex_file): Likewise.
  * src/bsdl/bsdl.c (urj_bsdl_read_file): Likewise.
  * src/bsdl/vhdl_flex.l (urj_vhdl_flex_switch_file): Likewise.
  * src/global/parse.c (urj_parse_file): Likewise.
  * src/cmd/cmd_bfin.c (cmd_bfin_run): Likewise.
  * src/cmd/cmd_flashmem.c (cmd_flashmem_run): Likewise.
  * src/cmd/cmd_pld.c (cmd_pld_run): Likewise.
  * src/cmd/cmd_writemem.c (cmd_writemem_run): Likewise.
  * src/cmd/cmd_svf.c (cmd_svf_run): Likewise.
  * src/cmd/cmd_readmem.c (cmd_readmem_run): Likewise.
  * src/apps/bsdl2jtag/bsdl2jtag.c (main): Likewise.
  * sysdep.h (FOPEN_R, FOPEN_W): Define.

2011-07-25  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable/generic_usbconn.c (urj_tap_cable_generic_usbconn_connect):
    Clear connection error if a suitable cable has been found.

2011-07-25  Jie Zhang  <jie.zhang@analog.com>

  * src/lib/getdelim.c (getdelim): Don't report error if *lineptr
    is NULL but *n is not zero.

2011-07-20  Jie Zhang  <jie.zhang@analog.com>

  * sysdep.h (struct timespec): Only define when !HAVE_STRUCT_TIMESPEC.
  * configure.ac: Check struct timespec.

2011-07-18  Jie Zhang  <jie.zhang@analog.com>

  * src/global/parse.c (getline): Remove.
  * src/cmd/cmd_bfin.c (cmd_bfin_run): Update comment.
  * src/lib/getline.c: New file.
  * src/lib/getdelim.c: New file.
  * src/lib/Makefile.am (libjtaglib_la_SOURCES): Add getdelim.c and
    getline.c.
  * sysdep.h (getline): Declare.
  * configure.ac: Check getdelim.
  * po/POTFILES.in: Add src/lib/getdelim.c and src/lib/getline.c.

2011-07-18  Jie Zhang  <jie.zhang@analog.com>

  * src/bsdl/Makefile.am (VHDL_BISON_OBJS): Correct object file name.
    (BSDL_BISON_OBJS): Likewise.
  * src/svf/Makefile.am (SVF_BISON_OBJS): Likewise.

2011-07-13  Mike Frysinger  <vapier@gentoo.org>

  * include/lex.h: New file for lex workarounds.
  * src/bsdl/vhdl_flex.l, src/bsdl/bsdl_flex.l, src/svf/svf_flex.l: Pull
    in new lex.h header to workaround random gcc warnings.
  * src/bsdl/Makefile.am, src/svf/Makefile.am: Drop -Wno-error now that
    the lex files compile warning free.

2011-07-13  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/cable.h (urj_cable_param_key_t): Add
    URJ_CABLE_PARAM_KEY_FIRMWARE.
  * src/tap/cable.c (cable_param[]): Add URJ_CABLE_PARAM_KEY_FIRMWARE.
  * src/tap/cable/ice100.c: Include "libiberty.h".
    (params_t): Add firmware_filename.
    (HOST_PROGRAM_FLASH): Define.
    (ICE100B_DOC_URL): Define.
    (adi_usb_read_or_ret): Use urj_error_IO_set.
    (adi_usb_write_or_ret): Likewise.
    (struct flash_block): Define.
    (NIBBLE): Define.
    (HEX2): Define.
    (HEX4): Define.
    (ISHEX): Define.
    (ISHEX2): Define.
    (ISHEX4): Define.
    (ice_read_hex_file): New.
    (ice_calculate_crc): New.
    (ice_send_flash_data): New.
    (ice_firmware_crc): New.
    (ice_update_firmware): New.
    (ice_connect): Handle firmware parameter.
    (kit_10_connect): Initialize firmware_filename to NULL.
    (kit_20_connect): Likewise.
    (ice_init): Add firmware updater.
    (ice_cable_free): Free firmware_filename.
    (ice_cable_help): New.
    (urj_tap_cable_ice100B_driver): Use ice_cable_help.
    Add Emacs file local variables.

2011-07-13  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/parse.h (urj_parse_stream): Update declaration.
    (urj_parse_file): Likewise.
  * include/urjtag/log.h (urj_do_log): Add file, line, func parameters.
    (urj_log): Pass __FILE__, __LINE__, __func__ to urj_do_log.
    (urj_warning): Use urj_log.
    (urj_log_error_describe): Declare.
  * src/tap/detect.c (urj_tap_detect_parts): Use urj_log_error_describe.
  * src/global/log-error.c: Include <stdbool.h>.
    (log_printf): New.
    (urj_do_log): Print log level prefix for error, warning, or when
    log level is URJ_LOG_LEVEL_DETAIL or lower.
    Print file, line, func when log level is URJ_LOG_LEVEL_DEBUG
    or lower.
    (urj_error_describe): Don't include file, line, or function.
    (urj_log_error_describe): New.
  * src/global/parse.c (urj_parse_stream): Remove log level argument.
    Use urj_log_error_describe.
    (urj_parse_file): Remove log level argument.
    (urj_parse_include): Update use of urj_parse_file.
  * src/apps/jtag/jtag.c (jtag_readline_multiple_commands_support):
    Use urj_log_error_describe.
    (jtag_parse_rc): Update use of urj_parse_file.
    (main): Update use of urj_parse_file and urj_parse_stream.
    Use urj_log_warning.
  * src/apps/bsdl2jtag/bsdl2jtag.c (main): Use urj_log_error.

2011-07-07  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/bus_driver.h, src/bus/generic_bus.c, src/bus/generic_bus.h:
    Add bus type classification and new enable/disable/write_start hooks (in
    preparation for other bus types) by Jonathan Stroud.
  * src/bus/fjmem.c, src/bus/ppc405ep.c, src/bus/sh7727.c, src/bus/bscoach.c,
    src/bus/prototype.c, src/bus/sa1110.c, src/bus/mpc837x.c,
    src/bus/ppc440gx_ebc8.c, src/bus/ejtag_dma.c, src/bus/sh7750r.c,
    src/bus/tx4925.c, src/bus/pxa2x0.c, src/bus/arm9tdmi.c, src/bus/ixp425.c,
    src/bus/avr32.c, src/bus/ixp465.c, src/bus/zefant-xs3.c, src/bus/h7202.c,
    src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
    src/bus/sharc21369_ezkit.c, src/bus/au1500.c, src/bus/blackfin.h,
    src/bus/lh7a400.c, src/bus/sh7751r.c, src/bus/mpc5200.c, src/bus/jopcyc.c,
    src/bus/slsup3.c, src/bus/ejtag.c, src/bus/s3c4510x.c, src/bus/ixp435.c:
    Fill out new hook points and declare all as parallel bus drivers.
  * src/flash/amd_flash.c, src/flash/cfi.c, src/flash/jedec.c,
    src/flash/jedec_exp.c: Only work with parallel buses.

2011-07-06  Mike Frysinger  <vapier@gentoo.org>

  * src/flash/intel.c: Add support for 28F256P33 flashes by Jonathan Stroud.

  * src/cmd/cmd.h, src/cmd/cmd_cmd.c: Add new completion func for files.
  * src/cmd/cmd_flashmem.c, src/cmd/cmd_include.c, src/cmd/cmd_readmem.c:
    Use new completion helper rather than poking readline directly.

  * src/cmd/cmd_part.c (cmd_part_help): Update output to reflect reality.

  * src/cmd/cmd_bsdl.c, src/cmd/cmd_bus.c, src/cmd/cmd_dr.c,
    src/cmd/cmd_part.c, src/cmd/cmd_pod.c, src/cmd/cmd_shell.c,
    src/cmd/cmd_svf.c, src/cmd/cmd_writemem.c: Add completion handlers.

  * include/urjtag/flash.h, src/flash/detectflash.c: Turn flash detection
    handling into an array to make adding new routines easy.  Patch by
    Jonathan Stroud.

2011-07-06  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/chain.c (urj_tap_chain_connect): Correct checking of the
    parameter number of parallel cable.

2011-07-04  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/arm9tdmi.c, src/bus/ejtag_dma.c, src/bus/ixp435.c,
    src/bus/mpc837x.c, src/bus/sharc21369_ezkit.c: Fix coding style.

2011-07-03  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/bfin.h (bfin_part_data.emu_oab): Constify.
    (bfin_emu_oab): Delete external decl.
  * src/bfin/bfin-part-bfin.c (bfin_emu_oab): Constify & localize.
  * src/bfin/bfin.c (bfin_emu_wait_ts): Constify.

  * src/bus/mpc824x.c (BUS_WIDTH, REVBITS, dbgAddr, dbgData): Push
    global data down into bus-specific params data.

  * src/bus/pxa2x0.c: Constify default map info, and then push writable
    global map data into the bus-specific params data.

  * include/urjtag/bfin.h: Unify bfin_part_data casts into a single macro.

2011-07-01  Jie Zhang  <jie.zhang@analog.com>

  * src/lib/ansidecl.h: Move to include.
  * src/lib/filenames.h: Likewise.
  * src/lib/libiberty.h: Likewise.
  * src/lib/safe-ctype.h: Likewise.
  * src/lib/hex.c: Import from GCC.
  * src/lib/Makefile.am (libiberty_sources): Remove ansidecl.h,
    filenames.h, libiberty.h and  save-ctype.h.
    (libjtaglib_la_SOURCES): Add hex.c.
  * include/Makefile.am: New file.
  * Makefile.am (SUBDIRS): Add include.
  * src/global/data_dir.c (make_relative_prefix): Don't declare.
    Include libiberty.h.

  * src/lib/hex.c (hex_init): Avoid redundant initialization.

2011-06-30  Mike Frysinger  <vapier@gentoo.org>

  * cmd/cmd_initbus.c (cmd_initbus_complete): Complete bus parameters too.

  * include/urjtag/cable.h, src/tap/cable.c (urj_tap_cable_find): Add new
    helper for looking up cable drivers by name.
  * src/cmd/cmd_cable.c (cmd_cable_run): Use new helper to restore cable
    specific help output.
  * src/tap/chain.c (urj_tap_chain_connect): Replace look up code with new
    urj_tap_cable_find helper.

  * src/cmd/cmd.h, src/cmd/cmd_cmd.c (urj_completion_mayben_add_param_list):
    Add new helper which automatically adds urj_param_list_t for matches.
  * src/cmd/cmd_cable.c (cmd_cable_complete): Use new helper to add cable
    options to possible matches.
  * cmd/cmd_initbus.c (cmd_initbus_complete): Use new helper rather than
    adding parameters ourselves.

  * include/urjtag/params.h, src/global/params.c (urj_param_init_list): Add
    new helper for creating a parameter list based on a param_list.
  * src/tap/chain.c (urj_tap_chain_connect): Drop handcoded paramater list
    setup and use new helper func instead.
  * src/bus/buses.c (urj_bus_buses_set): Likewise.

  * include/urjtag/bus_driver.h (urj_bus_param_key_t): Add new hwait key
    for Blackfin bus drivers.
  * src/bus/buses.c (bus_param): Likewise.
  * src/bus/blackfin.h (bfin_bus_params_t): Add hwait/hwait_level to keep
    track of new optional hwait signal.
    (bfin_bus_new): Accept cmd_params from caller.
    (_BFIN_BUS_DECLARE): Document new hwait= option in bus.
  * src/bus/blackfin.c (bfin_bus_new): Accept cmd_params from caller and
    parse them for hwait signal.
    (bfin_select_flash, bfin_unselect_flash): Set new hwait pin if it is
    enabled by user.
  * src/bus/bf518f_ezbrd.c, src/bus/bf533_stamp.c, src/bus/bf537_stamp.c,
    src/bus/bf548_ezkit.c, src/bus/bf561_ezkit.c: Pass cmd_params down to
    bfin_bus_new() helper.

2011-06-30  Jie Zhang  <jie.zhang@analog.com>

  * src/cmd/Makefile.am (generated_cmd_list.h): Depend on
    generated_cmd_list.h.stamp.
    (generated_cmd_list.h.stamp): New target.
    (EXTRA_DIST): Add generated_cmd_list.h.stamp.
    (MAINTAINERCLEANFILES): Likewise.

2011-06-30  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/chain.c (urj_tap_chain_connect): Fix param count check with parallel
    cables after the refactorizing into dedicated funcs.  Fix by Steve Tell.

  * src/urjtag.pc.in (Libs.private): Add ftdi/usb libs after they were removed
    from the global LIBS.

  * src/bfin/bfin.c (chain_system_reset): Rewrite to work around known anomalies
    with software reset and Blackfin cores.

  * src/tap/chain.c (urj_tap_cable_wait): Fix off-by-one error in previous wait
    logic tweaking.

2011-06-29  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable.c (urj_tap_cable_wait): Tweak code style to silence warnings
    thrown up by gcc-4.6 and cause build failures with -Werror.

  * src/cmd/Makefile.am (generated_cmd_list.h): Always update the file to
    avoid constant generation loops where other files are newer, but not
    a different list of commands.

  * src/cmd/cmd_bfin.c (cmd_bfin_run): Make sure the part is in emulation mode
    first before attempting a reset (since we need to be).

  * src/cmd/cmd_bfin.c (cmd_bfin_help): Update help description to include
    all of the sub-commands actually supported.  Pull out the const strings
    (things you actually type) out of the translated string.

  * src/cmd/cmd.h (urj_cmd_t.complete): Add a new arg for the token list.
  * src/cmd/cmd_cmd.c (urj_cmd_complete): Pass down tokenized list for
    handlers to work off of if they want info about previous tokens.
  * src/cmd/cmd_bfin.c, src/cmd/cmd_cable.c, src/cmd/cmd_cmd.c,
    src/cmd/cmd_debug.c, src/cmd/cmd_endian.c, src/cmd/cmd_flashmem.c,
    src/cmd/cmd_get.c, src/cmd/cmd_help.c, src/cmd/cmd_include.c,
    src/cmd/cmd_initbus.c, src/cmd/cmd_instruction.c, src/cmd/cmd_print.c,
    src/cmd/cmd_readmem.c, src/cmd/cmd_salias.c, src/cmd/cmd_set.c,
    src/cmd/cmd_shift.c, src/cmd/cmd_test.c: Add new tokens arg to completion
    handlers.

  * src/cmd/cmd_endian.c (cmd_endian_complete): Add matches based on existing
    local array of strings.

  * src/cmd/cmd.h (urj_completion_mayben_add_matches_num,
    urj_completion_mayben_add_matches): Helpers for adding arrays of matches.
  * src/cmd/cmd_cmd.c (urj_completion_mayben_add_matches_num): New helper.
  * src/cmd/cmd_bfin.c, src/cmd/cmd_cmd.c, src/cmd/cmd_debug.c,
    src/cmd/cmd_print.c: Convert to new array helpers.

  * src/cmd/cmd_bfin.c, src/cmd/cmd_set.c: Use new tokens arg to selectively
    add matches for specific sub-commands.

  * include/urjtag/log.h, src/global/log-error.c: Add new helpers for
    converting between string versions of log levels and the actual log
    level value.
  * src/cmd/cmd_debug.c: Drop local log level converters and use new
    common helpers.

  * include/urjtag/bfin.h, src/bfin/bfin-part-bfin.c: Rewrite test_command
    support to dynamically look up the set of MMRs needed in order to access
    the requested memory.  Some parts can only use ITEST, so hardcoding the
    DTEST MMRs no longer works.

2011-06-27  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/Makefile.am (nodist_pkginclude_HEADERS): New and
    add urjtag.h.

2011-06-27  Mike Frysinger  <vapier@gentoo.org>

  * src/bsdl/Makefile.am, src/svf/Makefile.am: Update dependency targets
    to fix parallel build issues with bison/flex generated headers.

2011-06-27  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/Makefile.am (pkginclude_HEADERS): Remove urjtag.h.
  * extra/fjmem/Makefile.am: New file.
  * src/jim/Makefile.am (EXTRA_DIST): New.
  * src/pld/Makefile.am (libpld_la_SOURCES): Add xilinx.h.
  * src/bus/Makefile.am (libbus_la_SOURCES): Add blackfin.h.
  * src/bfin/Makefile.am (libbfin_la_SOURCES): Add bfin-part.h.
  * configure.ac: Add extra/fjmem/Makefile to AC_CONFIG_FILES.
  * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
    xilinx/xc18v02pc44/xc18v02pc44 and xilinx/xc18v02pc44/STEPPINGS.
  * Makefile.am (SUBDIRS): Add extra/fjmem.

2011-06-27  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/cmd.h, src/cmd/cmd.h, src/cmd/cmd_cmd.c: Move prototypes
    for some useful command related functions to the public cmd.h header.
    In the process, constify the array passed into urj_cmd_params.

  * include/urjtag/bus.h, src/bus/buses.c, src/cmd/cmd_initbus.c: Pull the
    guts of cmd_initbus_run() out into a new helper func named
    urj_bus_init().  Patch by Steve Tell.
  * include/urjtag/chain.h, src/cmd/cmd_cable.c, src/tap/chain.c: Pull the
    guts of cmd_cable_run() out into a new helper func named
    urj_tap_chain_connect().  Patch by Steve Tell.

  * configure.ac: Split out summary info into related sections.

2011-06-25  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd_initbus.c: Drop useless double const keywords.

2011-06-24  Mike Frysinger  <vapier@gentoo.org>

  * acinclude.m4: Add a new AS_VAR_PREPEND helper.
  * configure.ac: Use AS_VAR_PREPEND rather than touching the var directly.

  * configure.ac: Use AS_VAR_APPEND rather than touching the var directly.

  * configure.ac: Do not add libusb/libftdi to LIBS directly as these are
    used for all libs/apps in the tree, and we only want to use these with
    specific ones.  Export LIBFTDI_LIBS/LIBUSB_LIBS to Makefile.am files.
  * src/Makefile.am: Use new LIBFTDI_LIBS/LIBUSB_LIBS in liburjtag.la LIBADD.

2011-06-23  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/Makefile.am: Tweak dependencies so things work from a fresh
    checkout/build and not just after multiple builds.

2011-06-22  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/Makefile.am: Autogenerate command list based on the source
    files and store in generated_cmd_list.h.
  * src/cmd/cmd_list.h: Remove hardcoded command list and include new
    autogenerated header file.

2011-06-17  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/PARTS: Add xilinx xc18v02pc44 parts by Steve Tell.
  * data/xilinx/xc18v02pc44/xc18v02pc44, data/xilinx/xc18v02pc44/STEPPINGS:
    Add data files for new xilinx parts.

  * src/bsdl/bsdl_sysdep.h: Use config.h directly.
  * src/bsdl/Makefile.am: Drop bsdl_config.h generation and dependencies.
  * .gitignore: Drop bsdl_config.h from ignore list.

2011-06-11  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/bf518f_ezbrd.c, src/bus/bf537_stamp.c, src/bus/bf561_ezkit.c,
    src/svf/svf.c, src/tap/cable/gpio.c, src/tap/cable/ice100.c: Fix set
    but not used warnings with gcc-4.6.

2011-05-10  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/usbconn/libftdi.c (usbconn_ftdi_common_open): Use the new interface
    option and call ftdi_set_interface with it.  Patch by Michael Walle.

  * src/tap/cable/generic_usbconn.h: Add new "interface" option to usage.
    Patch by Michael Walle.

  * data/Makefile.am, data/xilinx/PARTS, data/xilinx/xc2c32a-cp56/STEPPINGS,
    data/xilinx/xc2c32a-cp56/xc2c32a-cp56, data/xilinx/xc2c32a-cv64/STEPPINGS,
    data/xilinx/xc2c32a-cv64/xc2c32a-cv64, data/xilinx/xc2c32a-vq44/STEPPINGS,
    data/xilinx/xc2c32a-vq44/xc2c32a-vq44: Add Xilinx CoolRunner-II info from
    Michael Walle.

2011-04-30  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Force recent versions of autotools (at least ones released
    in the past 5 years.

  * src/bsdl/Makefile.am (OBJEXT): Do not override OBJEXT that automake sets
    up itself.
  * src/svf/Makefile.am (OBJEXT): Likewise.

2011-03-08  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/PARTS: Add xc3s1600e part.
  * data/xilinx/xc3s100e_die/STEPPINGS: Add stepping 1.
  * data/xilinx/xc3s1200e_fg320/xc3s1200e_fg320: Add part info.
  * data/xilinx/xc3s1200e_fg320/STEPPINGS: Add stepping info.
  * data/xilinx/xc3s1600e/xc3s1600e: Add part info.
  * data/xilinx/xc3s1600e/STEPPINGS: Add stepping info.
  * data/xilinx/xcf04s/STEPPINGS: Add stepping 15.
  * data/Makefile.am: Add new xilinx files.

2011-03-07  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/generic.c (do_one_queued_action): Move debug statements to
    debug log level.  Patch by Øyvind Harboe.

2011-03-07  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/jim.c: Update get/set prototypes enough so that the code
    will at least compile again.

  * MAINTAINERS: Update paths to Blackfin related files.

  * src/tap/detect.c (urj_tap_detect_parts): Clarify detect behavior with
    parts that default to IDCODE or BYPASS since both are acceptable to the
    JTAG IEEE standard.

  * src/cmd/cmd_dr.c, src/cmd/cmd_signal.c: Touch up help text a bit more.

  * configure.ac: Test for wchar_t type explicitly.
  * src/cmd/cmd_print.c: Drop wchar_t binding to wchar_t.

2011-02-24  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/ft2232.c: Rename user-facing cable string from
    "USB<=>JTAG&RS232" to "USB-JTAG-RS232" by Orasanu Lucian.

2011-02-22  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd_print.c: Add a completion handler.

  * src/cmd/cmd_debug.c: Add a completion handler.

  * src/global/parse.c (urj_parse_stream): Do not call "quit" when we hit the
    end of a stream.  Simply return success so we can handle nested cases.

  * src/global/parse.c (urj_parse_line): Include the line when debugging.

  * src/cmd/cmd_get.c, src/cmd/cmd_set.c, src/cmd/cmd_test.c: Fix up help text
    from an earlier commit -- make sure the literal "signal" is the 2nd arg in
    the help text and for completion handlers.

  * src/cmd/cmd_flashmem.c: Add a completion handler.
  * src/cmd/cmd_endian.c: Likewise.
  * src/cmd/cmd_readmem.c: Likewise.

2011-02-21  Mike Frysinger  <vapier@gentoo.org>

  * data/Makefile.am (nobase_dist_pkgdata_DATA): Add missing analog/bfin/bfin.

2011-02-19  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd_bfin.c (cmd_bfin_run): Make sure the part is a Blackfin before
    we try calling functions that don't exist and segfault.

  * include/urjtag/parse.h, src/global/parse.c: Split tokenization of lines out
    of urj_parse_line and into its own function urj_tokenize_lines.  This lets
    us reuse this code elsewhere.

  * include/urjtag/cmd.h, src/apps/jtag/jtag.c, src/cmd/cmd.h,
    src/cmd/cmd_cmd.c: Rewrite command completion so that sub-options to
    commands may be completed as well.  Those commands must implement their
    own sub-completion handlers in order to support this.
  * src/cmd/cmd_bfin.c, src/cmd/cmd_cable.c, src/cmd/cmd_get.c,
    src/cmd/cmd_help.c, src/cmd/cmd_include.c, src/cmd/cmd_initbus.c,
    src/cmd/cmd_instruction.c, src/cmd/cmd_salias.c, src/cmd/cmd_set.c,
    src/cmd/cmd_shift.c, src/cmd/cmd_signal.c, src/cmd/cmd_test.c: Implement
    sub-completion handlers for these commands.

2011-02-18  Mike Frysinger  <vapier@gentoo.org>

  * src/bfin/bfin-part.c (_bfin_part_init): Add missing "void" to param list.

  * include/urjtag/parse.h: Document the various stream functions.

  * include/urjtag/parse.h (urj_parse_line): Constify the "line" argument.
  * src/global/parse.c (urj_parse_line): Likewise.

  * configure.ac: Check for getline().
  * src/global/parse.c (urj_parse_stream): Get rid of line length limitations
    by using getline when it is available.

  * src/part/part.c: Fix indentation style.

  * src/cmd/cmd_get.c: Fix typo in help output.
  * src/cmd/cmd_set.c: Fix typo in help output.
  * src/cmd/cmd_test.c: Fix typo in help output.

  * src/cmd/cmd_shell.c: Clean up help output.

  * data/analog/bfin/bfin: Unify all common Blackfin registers/instructions.
  * data/analog/bf506/bf506, data/analog/bf518/bf518, data/analog/bf527/bf527,
    data/analog/bf533/bf533, data/analog/bf537/bf537, data/analog/bf538/bf538,
    data/analog/bf548/bf548, data/analog/bf561/bf561, data/analog/bf592/bf592:
    Drop duplicated Blackfin settings and include analog/bfin/bfin.

2011-02-17  Mike Frysinger  <vapier@gentoo.org>

  * data/analog/bf548/STEPPINGS: Add bf54x-0.4 support.

2011-02-09  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/usbconn.h (urj_usbconn_cable_t): Add an "interface" member.
  * include/urjtag/cable.h (URJ_CABLE_PARAM_KEY_INTERFACE): New key for ftdi.
  * src/tap/cable.c (cable_param): Handle new "interface" key.
  * src/tap/cable/generic_usbconn.c (urj_tap_cable_generic_usbconn_connect):
    Parse new "interface" cable parameter.
  * src/tap/usbconn/libftd2xx.c: Use new "interface" selection.
  * src/tap/usbconn/libftdi.c: Likewise.
  * sysdep.h: Auto undefine "interface" for Windows.

2011-02-06  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable_list.h: Add usbjtagrs232.
  * src/tap/cable/generic_usbconn_list.h: Add usbjtagrs232.
  * src/tap/cable/ft2232.c: Add usbjtagrs232 support by Orasanu Lucian.

  * doc/UrJTAG.txt: Note by Bogdan Petrisor for pkg-config requirement.

2010-12-19  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/xc6slx45/STEPPINGS: Add stepping 2 from Sébastien Bourdeauducq.

2010-11-28  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/ejtag.c (ejtag_bus_init): Punt unused EJALL register lookup.
    Make sure EJADDRESS and EJDATA registers exist before we use them.

2010-11-19  Mike Frysinger  <vapier@gentoo.org>

  * acinclude.m4 (LT_INIT): Fix typo in fallback macro.

  * src/bus/blackfin.c, src/bus/blackfin.h: New unified Blackfin bus core.
  * src/bus/bf518f_ezbrd.c, src/bus/bf533_stamp.c, src/bus/bf537_stamp.c,
    src/bus/bf548_ezkit.c, src/bus/bf561_ezkit.c: Convert to unified
    Blackfin bus core.
  * configure.ac, src/bus/buses_list.h, src/bus/Makefile.am: Drop board
    specific bus options and have just one "blackfin" bus option since
    all the buses on top of it are small shims now.
  * data/analog/bf518/bf518, data/analog/bf548/bf548: Rename a few bus
    signals to use the same style as all other buses.

  * configure.ac (HAVE_LIBUSB1): Only define when we detect libusb-1.0.pc.

2010-10-26  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable_list.h, src/tap/cable/generic_usbconn_list.h,
    src/tap/cable/ft2232.c: Add support for the Milkymist FTDI USB cable by
    Michael Walle.

2010-10-19  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable.c, src/tap/detect.c, src/tap/cable/ft2232.c,
    src/tap/cable/generic.c, src/tap/cable/jim.c, src/tap/cable/usbblaster.c,
    src/tap/usbconn/libftd2xx.c: Drop useless params cast and useless
    parenthesis around addresses.

2010-10-09  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Check for pread availability and disable gpio cable driver
    when not found (for Windows systems).

2010-09-28  Mike Frysinger  <vapier@gentoo.org>

  * src/flash/amd_flash.c (urj_flash_amd_detect): Move the bus address range
    checks up to before we actually attempt to read/write the bus.

  * src/flash/detectflash.c (urj_flash_detectflash): Do not always clobber the
    error value when we could not find a flash.  If the lower layer logged an
    error, then we probably want the user to see that rather than a generic
    "flash not found".

2010-09-27  Mike Frysinger  <vapier@gentoo.org>

  * data/analog/bf533/bf533: Drop brackets from ADDR and DATA signals to match
    the style of all other Blackfin parts.
  * src/bus/bf533_stamp.c (bf533_stamp_bus_new): Update signal names.
  * src/bus/bf537_stamp.c (bf537_stamp_bus_new): Likewise.

  * data/analog/bf548/bf548: Change "PORTX_#" to "PX#" signals to match the
    style of all other Blackfin parts.
  * src/bus/bf548_ezkit.c (bf548_ezkit_bus_new): Update signal names.

  * configure.ac: Change to newer libtool macro (LT_INIT) to avoid warnings.
  * acinclude.m4: Redirect LT_INIT to AC_PROG_LIBTOOL for older libtools.

  * include/urjtag/bitops.h: New generic bit operations by Michael Walle.
  * include/urjtag/Makefile.am (pkginclude_HEADERS): Add bitops.h

  * include/urjtag/data_register.h, src/part/data_register.c
    (urj_part_data_register_realloc): New func by Michael Walle for resizing
    registers on the fly.
  * include/urjtag/tap_register.h, src/tap/register.c
    (urj_tap_register_realloc): Likewise.

  * include/urjtag/Makefile.am, include/urjtag/pld.h, include/urjtag/error.h,
    src/Makefile.am, src/pld/Makefile.am, src/pld/pld.c, src/pld/xilinx.h,
    src/pld/xilinx.c, src/pld/xilinx_bitstream.c,
    src/cmd/Makefile.am, src/cmd/cmd_pld.c, src/cmd/cmd_list.h,
    doc/Makefile.am, doc/README.pld, src/global/log-error.c, configure.ac:
    New Programmable Logic Devices (PLD) subsystem by Michael Walle.

  * extra/fjmem/fjmem_config_pack_spartan6-p.vhd, extra/fjmem/fjmem_spartan6.vhd:
    Add fjmem example for Spartan-6 devices.

  * data/xilinx/<a lot of files>: Add jtag files for Xilinx devices by Michael
    Walle.  This covers the Spartan-3, Spartan-6, Virtex-4, System ACE,
    Platform flash, and XC9500XL families.

  * src/bus/bf518f_ezbrd.c, src/bus/bf548_ezkit.c, data/analog/bf518/bf518,
    data/analog/bf548/bf548: Change AMS signal names to match the style of all
    other Blackfin parts.

  * data/analog/bf518/bf518: Add pin aliases for AMS_B2/AMS_B3 to match style
    of all other Blackfin parts.
  * data/analog/bf548/bf548: Add pin aliases for ADDR4..ADDR24 to match style
    of all other Blackfin parts.

  * src/bus/generic_bus.c, src/bus/generic_bus.h (urj_bus_generic_attach_sig):
    Constify signal id name.

  * data/analog/bf518/bf518, data/analog/bf548/bf548: Change ABE signal names
    to match the style of all other Blackfin parts.
  * src/bus/bf518f_ezbrd.c (bf518f_ezbrd_bus_new): Update signal names.

2010-08-30  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Clean up libusb detection to prefer 1.0 over 0.1, and accept
    whatever pkg-config tells us.  Also allow libusb-1.0 + ftdi w/out async
    since it isn't required for things to work.

  * src/svf/svf_flex.l: Have align_string return the length of the string to
    the caller, and have the callers re-use that.  This avoids useless overhead
    of calling strlen() over and over.  Fix by Frans Meulenbroeks.

  * src/svf/svf_flex.l (fix_yylloc): Accept the string length from caller to
    avoid useless overhead of calling strlen().  Fix by Frans Meulenbroeks.

  * src/svf/svf_flex.l: Use memcpy() rather than strcpy() when we already know
    the length and we just want to dupe the string.

  * src/svf/svf_bison.y: Avoid calling strlen() multiple times on the same
    string.  Fix by Frans Meulenbroeks.

  * src/svf/svf_bison.y: Use known string length to call strcpy() rather than
    strcat().  This avoids having to rescan for the end of the string.  Fix by
    Frans Meulenbroeks.

  * src/svf/svf_bison.y: Avoid further overhead by using memcpy() with all
    known lengths rather than strcpy().

  * src/tap/cable/vsllink.c (vsllink_init): Convert libusb-0.x API to newer
    libusb-1.x API.
  * src/tap/usbconn/libusb.h: Glue a few more libusb-0.x API defines to newer
    libusb-1.x API defines.  Add errors for some libusb-0.x API functions to
    catch problems in the future.

2010-08-26  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/gpio.c: Rewrite to use raw file descriptors when working with
    the gpio value.  Also assume the gpio layer only has a value of '0' or '1'.
    Work by Frans Meulenbroeks.

  * src/tap/cable/gpio.c (gpio_get_value): Replace read/lseek with pread.

2010-08-24  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/gpio.c (gpio_get_value): Need to seek back to the start of
    the gpio file after reading the value so we keep getting up-to-date
    results as reported by Frans Meulenbroeks.

2010-08-19  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac, src/tap/cable_list.h, src/tap/cable/generic_usbconn_list.h,
    src/tap/Makefile.am: Add vsllink cable driver to cable lists.
  * src/tap/cable/vsllink.c: New cable driver by Simon Qian.

  * src/tap/cable/gpio.c (gpio_get_value): Use already cached fp rather than
    constantly re-opening things on the fly.

  * src/tap/cable/vsllink.c (vsllink_init): Fix by Simon Qian for initialization
    of internal state, and proper NUL termination of initial buffer.

2010-08-18  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac (AC_CHECK_FUNCS): Check for _sleep.
  * src/lib/usleep.c: Support a fuzzy version of usleep based on old mingw
    _sleep functions.

2010-08-16  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/detect.c (urj_tap_detect_parts): Include paths to data files when
    issuing "unknown" messages.

  * data/analog/bf518/STEPPINGS: Add bf51x-0.2 stepping.

  * data/MANUFACTURERS: Add another Analog Devices, Inc. entry.
  * data/analog/bf561/STEPPINGS: Add bf561-0.{0,1,4} steppings.

2010-08-14  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Add autodetection of inpout32.

  * configure.ac: Disable ice100 cable driver when libusb is not found.

2010-08-11  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/ice100.c: Add version check and firmware upgrade information
    for ICE-100B cables (Chad Wentworth).

2010-08-08  Arnim Laeuger  <arniml>

  * src/tap/cable/generic.c: fix TDO handling in generic_flush_using_transfer()
    (Matthias Drochner)

2010-08-07  Mike Frysinger  <vapier@gentoo.org>

  * src/global/params.c (parse_param_lu): Accept unsigned values in hex format.

2010-07-31  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/buses.c, src/flash/jedec.c, src/tap/cable.c: Convert to ARRAY_SIZE.

2010-07-30  Mike Frysinger  <vapier@gentoo.org>

  * data/analog/bf592/STEPPINGS: Add support for bf592-0.1.

  * src/tap/cable/jim.c: Fix by Michael Walle for build failure due to older
    cable struct setup.

2010-07-30  Arnim Laeuger  <arniml>

  * src/flash/intel.c: issue CFI_INTEL_CMD_WRITE_TO_BUFFER when polling
    SR_READY in buffered write (Michael Walle)

2010-07-30  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/cable.h (URJ_CABLE_PARAM_KEY): Add new cable params for tdi,
    tdo, tms, and tck for new GPIO cable driver.
  * src/tap/cable.c (cable_param): Likewise.
  * src/tap/cable_list.h: Add new GPIO cable driver entry.
  * configure.ac, src/tap/Makefile.am: Likewise.
  * src/tap/cable/gpio.c: New GPIO cable driver by Stefano Babic.

2010-07-18  Mike Frysinger  <vapier@gentoo.org>

  * src/apps/jtag/jtag.c (main): Do not abort running just because a user's
    rc file is unparseable (or inaccessible).

  * src/apps/jtag/jtag.c: Unify jtag home dir parsing and add support for
    the Windows home env var names.

  * src/apps/bsdl2jtag/bsdl2jtag.c, src/bsdl/bsdl.c, src/bsdl/vhdl_flex.l,
    src/cmd/cmd_readmem.c, src/cmd/cmd_svf.c, src/cmd/cmd_writemem.c,
    src/global/parse.c, src/tap/detect.c: Add "b" to the fopen() mode string
    for Windows and such [2874517] by Daryl Tester.

2010-06-29  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/generic_usbconn_list.h: Macro away duplicate ftdi lists.

  * src/tap/cable/generic_usbconn.c: Extend help function to include some
    ideas used by the FTDI help (show default vid/pid/driver).  Also add an
    extended help function to show additional help strings so sub-drivers
    need not duplicate this function.
  * src/tap/cable/generic_usbconn.h: Add prototype for new helper function.
  * src/tap/cable/ft2232.c: Switch to new usbconn helper function and export
    the FTDI-specific helper function so external FTDI drivers can use it.
  * src/tap/usbconn/libftdx.h: Add prototype for new FTDI helper function.
  * src/tap/cable/usbblaster.c: Switch to common FTDI helper function and
    drop unused local ftdi code.
  * src/tap/cable/ft2232_list.h: Drop now that ft2232 uses common code which
    only needs the common list of drivers.
  * src/tap/Makefile.am: Drop ft2232_list.h reference.

2010-06-28  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/ice100.c: Drop local help stub and use common libusb one.

  * src/tap/cable/generic_usbconn.h: Split help text out so sub-libusb drivers
    can avoid manual string duplication.
  * src/tap/cable/generic_usbconn.c: Use new libusb help string defines.
  * src/tap/cable/ft2232.c: Likewise.
 
2010-06-24  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Merge libusb-0.x and libusb-1.x variables so that "libusb"
    in the rest of the source tree isn't tied to a specific version.
  * src/tap/cable/ice100.c: Convert API to libusb-1.x.
  * src/tap/cable/jlink.c: Likewise.
  * src/tap/cable/xpc.c: Likewise.
  * src/tap/usbconn/libusb.c: Likewise.
  * src/tap/usbconn/libusb.h: Create a small layer to convert the libusb-1.x
    API to the older libusb-0.x API if we're building against that version.

  * NEWS: Note new ice100/gnICE+ cable drivers.
  * THANKS: Credit the ice100 authors.

2010-06-23  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac (fmax): Drop fmax check as it is no longer used.
  * src/tap/cable/generic.c (fmax): Drop now unused fmax fallback.

  * src/cmd/cmd_cable.c (cmd_cable_run): Fill out the cable->chain link.
  * src/tap/cable/generic.c (urj_tap_cable_generic_disconnect): Clear the
    cable->chain link once we're done with it.

  * include/urjtag/cable.h (URJ_CABLE_DRIVER): Add a quirks field, and start
    a set of quirks bitfields.
  * src/tap/detect.c (urj_tap_detect_parts): Handle new oneshot quirk.
  * src/tap/idcode.c (urj_tap_idcode): Likewise.

  * configure.ac (URJ_DRIVER_SET[cable]): Add ice100.
  * src/bfin/bfin.c (part_emulation_return): Force EMUIR to a NOP in case
    the cable goes back to run-test-idle.
  * src/tap/cable_list.h: Add ice100 cable drivers.
  * src/tap/Makefile.am: Add ice100 cable drivers.
  * src/tap/cable/ice100.c: New ice100 cable driver for Analog Devices, Inc.
    Blackfin USB Emulator-100B.
  * src/tap/cable/generic_usbconn_list.h: Add ice100 cable drivers.

2010-06-22  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/usbconn/libftdi.c (usbconn_ftdi_flush): Fix gcc printf warning.

  * configure.ac: Have the libftdi + libusb-1.0 error give a tip about using
    --with-async-mode with the libftdi package when erroring out.

2010-06-21  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/bf518f_ezbrd.c (urj_bus_bf51x_bus): Fix copy & paste typo in name.

2010-06-16  Mike Frysinger  <vapier@gentoo.org>

  * acinclude.m4 (VL_LIB_READLINE): Add a --with[out]-readline configure
    option so people can explicitly control support for the library.

  * configure.ac (AC_CHECK_FUNCS): Check for geteuid and getuid functions.
  * sysdep.h: Key off of HAVE_xxx defines for geteuid/getuid stubs.

  * configure.ac (AC_CHECK_HEADERS): Move windows.h check here, as well as
    IN/OUT namespace pollution checks.
  * sysdep.h: Key off of HAVE_WINDOWS_H for windows.h include.  Drop the
    NO_W32_PSEUDO_MODIFIERS defines since they're in configure.ac now.

2010-06-15  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/s3c4510x.c: Punt dead/useless cvs log info.

  * src/tap/cable.c (urj_tap_cable_create): Call urj_bus_buses_delete() rather
    than manipulate urj_bus directly so the urj_buses structure doesn't get
    corrupted.  Otherwise we segfault when changing cables after initializing a
    bus: cable probe; detect; initbus ...; detectflash ...; cable probe; detect
  * src/apps/jtag/jtag.c (cleanup): Call urj_bus_buses_free() to clean up all
    buses and not just the active one.
    http://blackfin.uclinux.org/gf/tracker/6028

2010-06-14  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Drop stropts.h check since parport code no longer uses it.

  * configure.ac: Check for sys/wait.h usability.
  * src/cmd/cmd_bfin.c: Include sys/wait.h when available since we use macros
    from it, and change the mingw check to key off this header instead to make
    things a bit more portable.

  * src/tap/parport/ppi.c (ppi_connect): Fix return type to match expected,
    and tweak style to match ppdev.c better.

  * src/tap/idcode.c (urj_tap_idcode): Fix typo in comment (bits, not bytes),
    fix local types so we don't mismatch signs, and avoid leaking register
    allocations with the error handling.

  * include/urjtag/bfin.h (scans), include/urjtag/bus.h (urj_bus_drivers),
    include/urjtag/cable.h (urj_tap_cable_drivers), include/urjtag/flash.h
    (urj_flash_flash_drivers), include/urjtag/params.h (urj_param_list_t.list),
    include/urjtag/parport.h (urj_tap_parport_drivers),
    include/urjtag/usbconn.h (urj_tap_usbconn_drivers), src/bfin/bfin.c
    (scans), src/bus/buses.c (urj_bus_drivers, bus_param), src/flash/flash.c
    (urj_flash_flash_drivers), src/tap/cable.c (urj_tap_cable_drivers),
    src/tap/cable/generic_usbconn.c (urj_tap_cable_usbconn_cables),
    src/tap/parport.c (urj_tap_parport_drivers), src/tap/usbconn.c
    (urj_tap_usbconn_drivers): Constify drivers lists and a few related
    structures to share more unmutable data in .rodata.

2010-05-19  Arnim Laeuger  <arniml>

  * src/flash/amd.c, doc/UrJTAG.txt: [ 2996919 ] Support for MX29LV320C

2010-05-05  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd_debug.c (string_to_log_level): Tweak the -1 sanity check to
    avoid warnings from gcc about -1 not being an enum value.

2010-02-16  Mike Frysinger  <vapier@gentoo.org>

  * data/MANUFACTURERS: Use the official ADI name.

  * doc/UrJTAG.txt: Document the misc files under data/.

  * src/bfin/bfin-part-bfin.c (bfin_part_init): Add a few more checks to avoid
    segfaults and change the asserts to log warnings.

2010-02-10  Jie Zhang  <jie.zhang@analog.com>

  * src/bsdl/Makefile.am (vhdl_flex.$(OBJEXT), bsdl_flex.$(OBJEXT)):
    Add prefix libbsdl_flex_la-.  Depend on vhdl_bison.h and
    bsdl_bison.h instead of vhdl_bison.$(OBJEXT) and
    bsdl_bison.$(OBJEXT).
    (bsdl_bison.$(OBJEXT)): Depend bsdl_bison.h.
  * src/svf/Makefile.am (svf_flex.$(OBJEXT)): Add prefix
    libsvf_flex_la-.  Depend on svf_bison.h instead of
    svf_bison.$(OBJEXT).

2010-02-10  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/usbconn/libftdx.h (URJ_USBCONN_FTDI_MAXRECV): Define
    to be (63 * 64) if HAVE_LIBFTDI_ASYNC_MODE defined.
  * src/tap/usbconn/libftdi.c (usbconn_ftdi_flush): Use async
    mode libftdi if HAVE_LIBFTDI_ASYNC_MODE defined.
  * configure.ac: Check libusb-1.0 and libftdi async mode.

2010-02-09  Mike Frysinger  <vapier@gentoo.org>

  * src/urjtag.pc.in: Include -Llibdir in default output and let pkg-config
    worry about filtering it properly.

2010-02-08  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/cable.h (urj_tap_cable_usb_probe): New prototype.
  * src/tap/cable/generic_usbconn.c (urj_tap_cable_usb_probe): New function
    to autodetect USB cables.
  * src/cmd/cmd_cable.c (cmd_cable_run): Add a new "probe" driver to call each
    busses' autodetection routine.

  * data/analog/bf592/bf592: Add missing common registers and instructions.

  * src/bfin/bfin-part-bfin.c (bfin_init): Add BF548M and BF592.
  * data/analog/PARTS: Add note that bfin_init() needs to be in sync.

  * src/bfin/bfin.c (bfin_set_scan): Replace assert() with a more helpful error
    message showing the instruction that had a problem with loading.

2010-02-08  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/part.h (struct URJ_PART_PARAMS): Add wait_ready.
  * include/urjtag/bfin.h (bfin_wait_clocks): Declare.
  * include/urjtag/chain.h (urj_tap_chain_wait_ready): Declare.
  * src/tap/chain.c (urj_tap_chain_wait_ready): New.
  * src/tap/tap.c (urj_tap_defer_shift_register): Call
    urj_tap_chain_wait_ready if Run-Test/Idle.
  * src/bfin/bfin.c (bfin_wait_clocks): Define.
    (part_emudat_defer_get): Call chain_wait_ready when Run-Test/Idle.
    (part_emudat_get): Likewise.
  * src/bfin/bfin-part-bfin.c: Include <sysdep.h>, <urjtag/chain.h>,
    <urjtag/cable.h> and <urjtag/log.h>.
    (bfin_wait_ready): New.
    (bfin_part_init): Init wait_ready.

2010-02-06  Jie Zhang  <jie.zhang@analog.com>

  * include/urjtag/cable.h (enum action): Add URJ_TAP_CABLE_CLOCK_COMPACT.
  * src/tap/cable/generic.c (do_one_queued_action): Handle
    URJ_TAP_CABLE_CLOCK_COMPACT to turn off GCC warning.
  * src/tap/cable/ft2232.c (ft2232_clock_compact_schedule): New.
    (ft2232_flush): Compact consecutive clocks.

2010-02-05  Mike Frysinger  <vapier@gentoo.org>

  * acinclude.m4 (AS_VAR_APPEND): Fix a few typos.

  * data/analog/bf592/bf592: New.
  * data/analog/bf592/STEPPINGS: New.
  * data/analog/PARTS: Add bf592.
  * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
    analog/bf592/STEPPINGS and analog/bf592/bf592.

  * configure.ac: Enable quiet automake rules when available.

  * include/urjtag/jtag.h (urj_big_endian, urj_endian_t, urj_get_file_endian,
    urj_set_file_endian, urj_endian_to_string, urj_endian_from_string): Replace
    exposed endian storage with dedicated functions for parsing endians.
  * src/global/log-error.c (urj_big_endian): Drop local storage.
  * src/cmd/cmd_endian.c: Centralize all endian functions here.
  * src/bus/readmem.c (urj_bus_readmem): Switch to new endian file functions.
  * src/bus/writemem.c (urj_bus_writemem): Likewise.
  * src/flash/flash.c (urj_flashmem): Likewise.

  * doc/UrJTAG.txt: Add gnICE+ and list supported Blackfin processors.

  * src/urjtag.pc.in: Start a pkg-config .pc file.
  * src/Makefile.am: Install urjtag.pc.
  * configure.ac: Generate urjtag.pc from urjtag.pc.in.
  * .gitignore: Ignore generated urjtag.pc.

  * src/urjtag.pc.in (Libs.private): Add @LTLIBINTL@ for weird systems (OS X).

2010-02-04  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/cable/ft2232.c (ft2232_gnice_init_common): Replace
    argument frequency with is_ft2232h. Call ft2232_set_frequency
    or ft2232h_set_frequency accordingly.
    (ft2232_gnice_init, ft2232_gniceplus_init): Change accordingly.
    (ft2232_armusbocd_init_common, ft2232_armusbocd_init,
    ft2232_armusbtiny_h_init): Likewise.

2010-02-03  Mike Frysinger  <vapier@gentoo.org>

  * acinclude.m4 (AS_VAR_APPEND, m4_ifnblank): Provide fallback implementations
    if autoconf is too old (<2.64).

2010-02-02  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/detect.c (urj_tap_detect_parts): Include bit/hex output in the
    different messages so people don't have to manually pick apart the idcode
    to add support for new parts.

2010-02-02  Jie Zhang  <jie.zhang@analog.com>

  * src/bus/bf518f_ezbrd.c: New file.
  * src/bus/buses_list.h (bus_drivers[]): Add bf518f_ezbrd and bf51x.
  * src/bus/Makefile.am (libbus_a_SOURCES): Add bf518f_ezbrd.c.
  * configure.ac (URJ_DRIVER_SET): Add bf518f_ezbrd and bf51x.
  * data/analog/bf518/STEPPINGS: Add bf518 silicon revision 0.1.

2010-02-02  Jie Zhang  <jie.zhang@analog.com>

  * data/analog/bf506/bf506: New.
  * data/analog/bf506/STEPPINGS: New.
  * data/analog/PARTS: Add bf506.
  * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
    analog/bf506/STEPPINGS and analog/bf506/bf506.

2010-02-02  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/state.c (urj_tap_state_name): New.
    (urj_tap_state_dump): New.
    (urj_tap_state_dump_2): New.
    (urj_tap_state_init): Call urj_tap_state_dump.
    (urj_tap_state_done): Likewise.
    (urj_tap_state_reset): Likewise.
    (urj_tap_state_set_trst): Likewise.
    (urj_tap_state_clock): Call urj_tap_state_dump_2.

2010-02-02  Jie Zhang  <jie.zhang@analog.com>

  * src/tap/usbconn/libftdi.c (usbconn_ftdi_write): Make sure
    scheduled send bytes be less than URJ_USBCONN_FTDX_MAXSEND.
  * src/tap/usbconn/libftd2xx.c (usbconn_ftd2xx_write): Likewise.

2010-02-01  Jie Zhang  <jie.zhang@analog.com>

  * tap/cable/ft2232.c (ft2232_gnice_done): Turn LED off when done.

2010-02-01  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/bf537_stamp.c (ASYNC_MEM_BASE, ASYNC_MEM_SIZE, IS_ASYNC_ADDR,
    ASYNC_BANK): Define.
    (bf537_stamp_bus_area): Only accept IS_ASYNC_ADDR() addresses.
    (select_flash): Set AMS[] based on ASYNC_BANK(adr).
    (bf537_stamp_bus_read_start): Pass adr to select_flash().
    (bf537_stamp_bus_write): Likewise.

2010-02-01  Jie Zhang  <jie.zhang@analog.com>

  * src/bus/bf533_ezkit.c: Remove.
  * src/bus/bf537_stamp.c (bf537_stamp_bus_new): Don't false alarm.
    (bf537_stamp_bus_write): Deassert AOE when bus write.
    (urj_bus_driver_t urj_bus_bf533_ezkit_bus): Define.
  * src/bus/Makefile.am (libbus_la_SOURCES): Use bf537_stamp.c as
    bf533_ezkit bus driver source file.
  * po/POTFILES.in: Remove src/bus/bf533_ezkit.c.

2010-02-01  Michael Hennerich  <michael.hennerich@analog.com>
  	    Jie Zhang  <jie.zhang@analog.com>

  * src/bus/bf537_stamp.c (bus_params_t): Add aoe.
    (AOE): Define.
    (bf537_stamp_bus_new): Deal with ADDR[n], DATA[n] and AOE_B.
    (bf537_stamp_bus_read_start): Assert AOE.
    (bf537_stamp_bus_read_end): Deassert AOE.
    (bf538f_ezkit_bus, bf526_ezkit_bus): Modify descriptions.
    (urj_bus_bf52x_bus, urj_bus_bf53x_bus): Define.
  * src/bus/buses.c (bus_drivers[]): Add urj_bus_bf52x_bus and
    urj_bus_bf53x_bus.
  * src/bus/buses_list.h: Add bf52x and bf53x.
  * configure.ac: Add bf52x and bf53x bus drivers.

2010-01-29  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Unify duplicate driver logic into one macro which also allows
    unifying of the duplicated lists.

  * configure.ac: Unify calls to AC_CHECK_FUNCS.

  * src/apps/jtag/jtag.c, src/bfin/bfin.c, src/svf/svf.c,
    src/tap/parport/ppdev.c, src/tap/usbconn/libftd2xx.c,
    src/tap/usbconn/libftdi.c, src/tap/usbconn/libusb.c, sysdep.h: Unify
    system checks in the common sysdep.h header.

  * src/cmd/cmd_bfin.c, src/flash/detectflash.c, sysdep.h: Unify ARRAY_SIZE
    helper macro here.

  * src/bus/buses_list.h, src/cmd/cmd_cable.c, src/cmd/cmd_cmd.c,
    src/cmd/cmd_eraseflash.c, src/cmd/cmd_flashmem.c, src/cmd/cmd.h,
    src/cmd/cmd_help.c, src/cmd/cmd_initbus.c, src/cmd/cmd_list.h,
    src/tap/cable/ft2232_list.h, src/tap/cable_list.h, src/tap/usbconn_list.h:
    Statically sort the structure lists so that we can mark them readonly and
    thus share them across instances of urjtag.

  * include/urjtag/bfin.h, src/bfin/bfin.c, src/bfin/bfin-part-bfin.c: Switch
    from local register_value to common urj_tap_register_get_value.

2010-01-28  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd_bfin.c: Replace one-insn-a-file option with dynamic instruction
    counting so multi-instructions are properly parsed.

  * include/urjtag/tap_register.h, src/tap/register.c: Add new helper functions
    for setting tap registers based on hex/bit strings.
  * src/cmd/cmd_dr.c: Drop parsing code in favor of new helper functions.

2010-01-28  Arnim Laeuger  <arniml>

  * src/bus/mpc837x.c, src/bus/buses_list.h, src/bus/Makefile.am,
    configure.ac, data/freescale/mpc8377/mpc8377, data/freescale/mpc8377/STEPPINGS,
    data/freescale/PARTS, data/freescale/mpc8378/mpc8378, data/freescale/mpc8378/STEPPINGS,
    data/freescale/mpc8379/mpc8379, data/freescale/mpc8379/STEPPINGS, data/Makefile.am,
    po/POTFILES.in, THANKS:
    freescale mpc837x bus driver and related jtag descriptions (Andrzej Jalowiecki)

2010-01-26  Arnim Laeuger  <arniml>

  * src/apps/jtag/jtag.c: quote whitespace in filenames with " in
    readline completion

  * src/global/parse.c: escape whitespace with '\' (Gaston Rodriguez)
    quote whitespace with ' and "

2010-01-26  Jie Zhang  <jie.zhang@analog.com>
            Mike Frysinger  <vapier@gentoo.org>

  * configure.ac (AC_CONFIG_FILES): Add src/bfin/Makefile.
  * include/urjtag/Makefile.am (pkginclude_HEADERS): Add bfin.h.
  * include/urjtag/bfin.h: New file.
  * include/urjtag/chain.h (struct URJ_CHAIN): Add main_part.
  * include/urjtag/error.h (enum URJ_ERROR): Add URJ_ERROR_BFIN.
  * include/urjtag/part.h (struct URJ_PART_PARAMS): Define.
    (struct URJ_PART): Add params.
    (urj_part_init_func_t): Typedef.
    (struct URJ_PART_INIT): Define.
    (urj_part_inits): Declare.
    (urj_part_init_register): Declare.
    (urj_part_find_init): Declare.
  * include/urjtag/types.h (urj_part_params_t): Typedef.
    (urj_part_init_t): Typedef.
  * src/Makefile.am (SUBDIRS): Add bfin.
    (liburjtag_la_LIBADD): Add bfin/libbfin.la.
  * src/bfin/Makefile.am: New file.
  * src/bfin/bfin-part-bfin.c: New file.
  * src/bfin/bfin-part.c: New file.
  * src/bfin/bfin-part.h: New file.
  * src/bfin/bfin.c: New file.
  * src/bfin/insn-gen.c: New file.
  * src/cmd/Makefile.am (libcmd_la_SOURCES): Add cmd_bfin.c.
  * src/cmd/cmd_bfin.c: New file.
  * src/cmd/cmd_list.h: Add _URJ_CMD(bfin).
  * src/global/log-error.c (urj_error_string): Handle URJ_ERROR_BFIN.
  * src/part/part.c (urj_part_inits): Define.
    (urj_part_alloc): Initialize params.
    (urj_part_free): Free params.
    (urj_part_init_register): New.
    (urj_part_find_init): New.
  * src/tap/detect.c (urj_tap_detect_parts): Do part initialization.
    Initialize main_part.

  * include/urjtag/bfin.h: Tweak header ifdef protection.

  * src/cmd/cmd_bfin.c: Fix gcc warnings about unused asprintf() return.

2010-01-24  Arnim Laeuger  <arniml>

  * src/tap/usbconn/libftdi.c, src/tap/usbconn/libftd2xx.c:
    log with URJ_LOG_LEVEL_COMM instead of URJ_LOG_LEVEL_DETAIL
    (Gaston Rodriguez)

2010-01-24  Mike Frysinger  <vapier@gentoo.org>

  * include/urjtag/xpcu.h: Remove unused header.
  * include/urjtag/urjtag.h.in, include/urjtag/Makefile.am: Remove xpcu.h.

  * src/tap/detect.c (urj_tap_detect_parts): Only pad hex output to the actual
    register size rather than always 64 bits.

2010-01-24  Arnim Laeuger  <arniml>

  * src/tap/usbconn/libftd2xx.c: const urj_tap_usbconn_ftd2xx_driver

2010-01-23  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd.h, src/cmd/cmd_list.h, src/cmd/cmd_cmd.c: Unify the list of
    commands in one place.

  * src/cmd/cmd_cmd.c (urj_cmd_run): Automatically show help for a command
    when it fails with a syntax error.

  * include/urjtag/flash.h (urj_flash_driver_t): Move name member up to start
    of the structure to match other structures and make assumptions.
  * src/flash/amd.c, src/flash/amd_flash.c, src/flash/intel.c: Re-order struct
    initialization after re-ordering of the definition.
  * src/cmd/cmd.h (urj_cmd_sort), src/cmd/cmd_cmd.c (_urj_cmd_alphasort): New
    helper functions for sorting structure lists alphabetically.
  * src/cmd/cmd_eraseflash.c (cmd_eraseflash_help), src/cmd/cmd_flashmem.c
    (cmd_flashmem_help), src/cmd/cmd_initbus.c (cmd_initbus_help),
    src/cmd/cmd_help.c (cmd_help_run), src/cmd/cmd_cable.c (cmd_cable_help):
    Automatically sort lists before displaying them.

  * src/cmd/cmd.h (urj_cmd_sort): Automatically calculate the longest name in
    the array of structures.
  * src/cmd/cmd_eraseflash.c (cmd_eraseflash_help), src/cmd/cmd_flashmem.c
    (cmd_flashmem_help), src/cmd/cmd_initbus.c (cmd_initbus_help),
    src/cmd/cmd_help.c (cmd_help_run), src/cmd/cmd_cable.c (cmd_cable_help):
    Use the length to automatically align output correctly.  Standardize
    gettext handling of strings here too (only translate descriptions).

  * configure.ac: Unify duplicated coding statements with AC_DEFUN to simplify
    adding new busses/cables/lowlevel drivers.

  * include/urjtag/bitmask.h, include/urjtag/fclock.h: Punt UNUSED cruft.

  * src/bus/avr32.c, src/bus/buses.c, src/bus/buses.h: Rename the avr32 bus
    driver to match the common convention.

  * src/bus/buses.h, src/bus/buses_list.h, src/bus/buses.c: Unify the list of
    buses in one place.

  * src/tap/cable.h, src/tap/cable_list.h, src/tap/cable.c: Unify the list of
    cable drivers in one place.

  * include/urjtag/cable.h, src/cmd/cmd_cable.c, src/tap/cable.c,
    src/tap/cable.h, src/tap/cable/arcom.c, src/tap/cable/byteblaster.c,
    src/tap/cable/dlc5.c, src/tap/cable/ea253.c, src/tap/cable/ei012.c,
    src/tap/cable/ft2232.c, src/tap/cable/generic.h, src/tap/cable/jim.c,
    src/tap/cable/jlink.c, src/tap/cable/keithkoep.c, src/tap/cable/lattice.c,
    src/tap/cable/minimal.c, src/tap/cable/mpcbdm.c, src/tap/cable/triton.c,
    src/tap/cable/ts7800.c, src/tap/cable/usbblaster.c,
    src/tap/cable/vision_ep9307.c, src/tap/cable/wiggler2.c,
    src/tap/cable/wiggler.c, src/tap/cable/xpc.c:
    Constify the cable drivers.

  * src/tap/cable/generic_usbconn_list.h, src/tap/cable/generic_usbconn.c,
    src/tap/cable/generic_usbconn.h: Unify the list of usb sub cable drivers.

  * src/tap/cable/ft2232.c, src/tap/cable/ft2232_list.h: Unify the list of
    ftdi usb cable drivers.

  * src/tap/cable/ft2232.c, src/tap/cable/generic_usbconn.c,
    src/tap/cable/generic_usbconn.h, src/tap/cable/jlink.c,
    src/tap/cable/usbblaster.c, src/tap/cable/xpc.c: Constify the usb cable
    sub drivers.

  * src/tap/cable/ft2232.c, src/tap/cable/generic_usbconn.h,
    src/tap/cable/jlink.c, src/tap/cable/usbblaster.c, src/tap/cable/xpc.c,
    src/tap/usbconn/libftdx.h: Create some helper macros for declaring USB
    cable drivers to unify duplicate code and to help with FTDI part decls.
    Avoids defining USB cable drivers when support has been disabled.

  * src/tap/usbconn.h, src/tap/usbconn.c, src/tap/usbconn_list.h,
    src/tap/usbconn/libftd2xx.c, src/tap/usbconn/libftdi.c,
    src/tap/usbconn/libusb.c: Unify the usb cable drivers.

  * src/tap/parport.c, src/tap/parport.h, src/tap/parport_list.h,
    src/tap/parport/direct.c, src/tap/parport/ppdev.c, src/tap/parport/ppi.c:
    Unify the list of parallel port cable drivers.

  * include/urjtag/parport.h, src/tap/parport.c, src/tap/parport/direct.c,
    src/tap/parport.h, src/tap/parport/ppdev.c, src/tap/parport/ppi.c:
    Constify the parallel port cable drivers.

  * include/urjtag/usbconn.h, src/tap/usbconn.c, src/tap/usbconn.h,
    src/tap/usbconn/libftd2xx.c, src/tap/usbconn/libftdi.c,
    src/tap/usbconn/libusb.c: Constify the USB cable drivers.

  * include/urjtag/flash.h, src/flash/amd.c, src/flash/amd.h,
    src/flash/amd_flash.c, src/flash/flash.c, src/flash/intel.c,
    src/flash/intel.h: Constify the flash drivers.

  * include/urjtag/usbconn.h (usbconn_connect, usbconn_free): Punt prototypes
    for funcs that do not exist and lack proper namespace prefix.

  * src/tap/parport/direct.c, src/tap/parport/ppdev.c, src/tap/parport/ppi.c,
    src/tap/usbconn/libusb.c: Drop redundant #ifdef protection as the Makefile
    already has conditional logic.

  * src/flash/flash.h: Delete duplicate urj_flash_detectflash prototype.

  * THANKS: Rutger Hofman was missing.

  * Makefile.am, src/bus/Makefile.am, src/cmd/Makefile.am,
    src/flash/Makefile.am, src/tap/Makefile.am: Add missing dist files.

2010-01-22  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/cmd_bit.c (cmd_bit_print_params): Fix strncat length handling.
  * src/tap/detect.c (urj_tap_detect_parts): Likewise.

  * src/tap/cable/jlink.c (jlink_debug_buffer): Unify log lines to avoid
    printf format security warnings.

  * src/cmd/cmd_shell.c (cmd_shell_run): Log non-zero shell exit status.

  * src/cmd/cmd_pod.c (cmd_pod_run), src/cmd/cmd_shell.c (cmd_shell_run):
    Fix size_t handling with strlen.

  * include/urjtag/Makefile.am (pkginclude_HEADERS): Add missing parse.h.

  * src/flash/flash.c: Check return value of all fread() commands.

2010-01-21  Jie Zhang  <jie.zhang@analog.com>

  * src/apps/jtag/jtag.c (main): Don't trigger open file error
    if the last command is "quit".

2010-01-20  Jie Zhang  <jie.zhang@analog.com>

  * po/POTFILES.in: Remove src/bsdl/bsdl_bison.c, src/bsdl/bsdl_flex.c,
    src/bsdl/vhdl_bison.c and src/bsdl/vhdl_flex.c.
    Add src/bsdl/bsdl_bison.y, src/bsdl/bsdl_flex.l, src/bsdl/vhdl_bison.y
    and src/bsdl/vhdl_flex.l.
  * po/fr.po: Regenerate.
  * po/rw.po: Regenerate.
  * po/sk.po: Regenerate.
  * src/apps/bsdl2jtag/Makefile.am (bsdl2jtag_LDADD): Replace top_srcdir
    with top_builddir.
  * src/apps/jtag/Makefile.am (jtag_LDADD): Likewise.
  * src/bus/ixp465.c: Include <urjtag/part.h>, <urjtag/bus.h>,
    <urjtag/chain.h>, <urjtag/bssignal.h> and <urjtag/jtag.h>
    instead of "part.h", "bus.h", "chain.h", "bssignal.h" and "jtag.h".

2010-01-16  Stephane Glondu  <steph@glondu.net>

  * data/Makefile.am (nobase_dist_pkgdata_DATA): Remove duplicate analog/PARTS
    entry to fix `make install` error with newer GNU coreutils.

2010-01-08  Kolja Waschk <kawk>

  * src/tap/cable.c, src/tap/cable/generic_usbconn.c, src/tap/cable/ft2232.c:
    Added support for FT2232H in gnICE+ and ARM-USB-TINY-H cable. Written by
    Michael Hennerich, adapted and submitted by Adam Megacz.

  * po/fr.po, po/rw.po, po/sk.po: updated

2009-12-30  Arnim Laeuger  <arniml>

  * src/flash/jedec.c: [ 2831030 ] added support for flashes AM29LV400BB,
    AM29LV400BT, AM29LV081B (MURANAKA Masaki)
    only flash support added, no redefinitions of macros so far

  * src/bus/sharc21369_ezkit.c, src/bus/buses.c, src/bus/buses.h,
    src/bus/Makefile.am, configure.ac:
    [ 2821604 ] Bus driver for SHARC21369-EZKIT (MURANAKA Masaki)

  * data/broadcom/bcm4712/bcm4712: added EJTAG registers/instructions

2009-12-23  Arnim Laeuger <arniml>

  * src/flash/cfi.c: also issue CFI_CMD_READ_ARRAY2, required to reset
    some AMD/SCS compliant chips that don't honor CFI_CMD_READ_ARRAY1

2009-11-22  Arnim Laeuger <arniml>

  * src/flash/intel.c, src/flash/amd.c: set max_bytes_write to std value 1
    instead of 0

2009-11-17  Rutger Hofman <rfhh>

  * src/bus/writemem.c: big-endian write shifts one too much. Patch by
    Snowel Xue

2009-11-10  Arnim Laeuger  <arniml>

  * src/svf/svf.c: use urj_tap_chain_defer_clock() for state traversals
    and RUNTEST. Improves buffering performance for heterogenous SVFs.

2009-11-03  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: Use pkg-config for libusb/libftdi by default.

  * configure.ac: Create a helper macro for user summary display.

  * configure.ac: Fix handling of inpout32 variables.

  * src/tap/parport/direct.c: Fix build failure in inpout32 code due to
    urjtag library overhaul.

2009-10-28  Arnim Laeuger  <arniml>

  * src/svf/svf.h, src/svf/svf_bison.y, src/svf/svf_flex.l:
    rework HEXA_NUM scanning strategy to avoid excessive token lengths

2009-10-27  Arnim Laeuger  <arniml>

  * src/tap/cable/ft2232.c: default vid/pid for Signalyzer (Adam Megacz)

2009-10-11  Mike Frysinger  <vapier@gentoo.org>

  * MAINTAINERS: Add maintainer info for ADI parts.  Drop the old P:/M: format
    (split name/e-mail lines) for the new combined M: format.

2009-08-13  Arnim Laeuger  <arniml>

  * data/xilinx/xcf04s/STEPPINGS, data/xilinx/xc3s500e_fg320/STEPPINGS:
    [ 2836180 ] Patch for new steppings of xcf04s and xc3s500e (Steven Walter)

2009-08-11  Arnim Laeuger  <arniml>

  * src/bus/ixp465.c, src/bus/buses.c, src/bus/buses.h,
    src/bus/Makefile.am, configure.ac, data/Makefile.am,
    data/intel/ixp465/ixp465, data/intel/ixp465/STEPPINGS, data/intel/PARTS:
    [ 2821545 ] IXP465 support (TedM)

  * src/global/parse.c: [ 2822900 ] more characters in each lines.
    (MURANAKA Masaki)

2009-08-10  Mike Frysinger  <vapier@gentoo.org>

  * sysdep.h: Handle more versions of mingw.

2009-08-10  Arnim Laeuger  <arniml>

  * data/Makefile.am, sharc21369/STEPPINGS, sharc21369/sharc21369: 
    [ 2816814 ] ADSP-21369 support. (MURANAKA Masaki)

2009-07-15  Arnim Laeuger  <arniml>

  * data/marvell/88w8500/88w8500-ban, data/marvell/88w8500/STEPPINGS,
    data/marvell/PARTS, data/Makefile.am:
    [ 2820439 ] Add Marvell 88w8500 support (Jochen Friedrich)

  * src/bus/arm9tdmi.c, src/bus/buses.c, src/bus/buses.h,
    src/bus/Makefile.am, configure.ac, po/POTFILES.in:
    [ 2820437 ] ARM9 bus support (Jochen Friedrich)

  * data/broadcom/bcm4702/STEPPINGS, data/broadcom/bcm4702/bcm4702,
    data/broadcom/PARTS, data/Makefile.am:
    [ 2815741 ] Add bcm4702 definitions (Jochen Friedrich)

  * src/bus/readmem.c: [ 2815739 ] Fix fwrite call (Jochen Friedrich)

  * src/bus/ejtag_dma.c: [ 2815726 ] Fix HALFWORD and BYTE DMA read access
    (Jochen Friedrich)

  * src/flash/amd_flash.c: [ 2821629 ] Can't find flash_info : amd_flash.c
    (MURANAKA Masaki)
  * src/flash/amd_flash.c: [ 2821646 ] Possible buffer overrun in amd_detect
    (MURANAKA Masaki)

  * src/flash/flash.c, include/urjtag/flash.h:
    [ 2816643 ] Matching arguments of funcion flasherase()

  * configure.ac, Makefile.am: first issue of
    [ 2807343 ] urjtag dependencies missing autoconf checks
    disabled SVF or disabled BSDL prevents potfile creation
    when generated flex/bison files are missing

2009-07-15  Arnim  <arniml>

  * src/flash/amd.c: [ 2806917 ] Atmel AT49BV322D flash support (MURANAKA Masaki)
    Work around flash chips that support multi byte write mode with a
    different programming algorithm.

2009-07-10  Arnim Laeuger  <arniml>

  * src/tap/cable/ft2232.c: disable "Set Data bits LowByte" for
    ft2232_transfer, seems to be superfluous and decreases cable performance
    (Jie Zhang)

2009-06-15  Arnim Laeuger  <arniml>

  * src/bus/mpc824x.c: experimental support for x16 mode, including help 

2009-06-13  Rutger Hofman <rfhh>

  * include/urjtag/*.h: change all struct/enum definitions from
    typedef struct urj_bla urj_bla_t into typedef struct URJ_BLA urj_bla_t
    because swig otherwise generates name collisions
  * Makefile.am, urjtag.i: add the dumbest possible swig target that generates
    swig for everything referenced include/urjtag/urjtag.h. This might even
    turn out to be useful once the API has been cleaned up.

2009-06-11  Arnim Laeuger  <arniml>

  * src/bus/bf533_stamp.c: [ 2804509 ] bf533_stamp bus driver enchancement
    (MURANAKA Masaki)

2009-06-05  Rutger Hofman <rfhh>

  * src/tap/cable.c: sanity check on driver device type at connect time
  * have only /* style comments in the public includes, since that allows
    a client app to compile with -ansi

2009-06-08  Arnim Laeuger  <arniml>

  * src/tap/cable.c, src/tap/cable/minimal.c, src/tap/Makefile.am:
    [ 2798198 ] The Minimal Parallel Port JTAG Cable (Yen Rui)

  * data/MANUFACTURERS: commented manufacturer ARM
    [ 2778313 ] Failed to detect ARM cores.

  * MAINTAINERS: new

2009-06-05  Rutger Hofman <rfhh>

  * src/tap/cable/ts7800.c, src/tap/cable/vision_ep9307.c: make them compile
    again

2009-06-04  Arnim Laeuger  <arniml>

  * src/bsdl/bsdl_flex.l: force Base = DECIMAL for BOUNDARY_LENGTH attribute

2009-06-04  Rutger Hofman <rfhh>

  * src/tap/cable/*.c, src/tap/parport/*.c, src/tap/usbconn/*.c: return/handle
    URJ_STATUS_OK/FAIL more correctly

2009-06-02  Arnim Laeuger  <arniml>

  * src/cmd/cmd_initbus.c: use separate index variable for driver selection

2009-06-01  Arnim Laeuger  <arniml>

  * src/bsdl/bsdl_sem.c, THANKS: Fix bsdl bit order and safe bit
    (Jean-Christian de Rivaz)

2009-06-01  Mike Frysinger  <vapier@gentoo.org>

  * src/bsdl/bsdl_sem.c: add missing "length" in display (Jean-Christian de
    Rivaz)

2009-05-28  Rutger Hofman <rfhh>

  * include/urjtag/cmd.h, src/cmd/cmd.h: move defitions from public to private
    include file because these parameter utilities are no longer used outside
    cmd

  * include/urjtag/usbconn/*.h: move to src/tap/usbconn/ because these are
    actually internal include files

2009-05-28  Rutger Hofman <rfhh>

  * src/global/urjtag.c, src/global/Makefile.am: rename urjtag.c to
    src/global/log-error.c

  * src/global/params.c, src/global/Makefile.am, include/urjtag/params.h,
    include/urjtag/Makefile.am: data structure for key/value pairs

  * src/bus/*, include/urjtag/bus_driver.h, include/urjtag/bus.h,
    src/cmd/cmd_initbus.c: have an API call initbus() that uses key/value
    pairs to pass in options

  * src/tap/cable.c, src/tap/parport.c, src/tap/usbconn.c, src/tap/cable/*,
    src/tap/parport/*, src/tap/usbconn/*, include/urjtag/cable.h: have API
    calls urj_tap_cable_parport_connect(), urj_tap_cable_usb_connect(),
    urj_tap_cable_other_connect(); have a tagged union in the cable driver
    that offers driver-specific connect() calls.

  * src/cmd/cmd_cable.c, src/tap/cable/wiggler.c: the 4th wiggler argument,
    the pin bitmap, is now a key/value parameter with key 'bitmap='.

2009-05-28  Mike Frysinger  <vapier@gentoo.org>

  * configure.ac: improve svn rev look up by ignoring errors, unifying
    duplicated code, and support git-svn tree

  * src/tap/detect.c: if the part could not be found because the data file
    could not be opened, then log an obvious error message

  * src/cmd/cmd_debug.c: display current log level if no arguments specified

2009-05-24  Rutger Hofman <rfhh>

  * src/bus/avr32.c: fix uninitialized warning (Florian Fainelli)

2009-05-26  Mike Frysinger  <vapier@gentoo.org>

  * src/tap/cable/xpc.c: fix crash when USB device is busy (Florian Fainelli)

2009-05-26  Arnim Laeuger  <arniml>

  * src/bus/bf561_ezkit.c, src/bus/sharc21065l.c, src/bus/bf537_stamp.c,
    src/bus/bf533_ezkit.c, src/bus/bf533_stamp.c, src/bus/ppc405ep.c,
    src/bus/bf548_ezkit.c: keywords

  * src/bus/bf533_stamp.c: manual fix of [ 2793104 ]

2009-05-25  Arnim Laeuger  <arniml>

  * src/bus/bf533_stamp.c: [ 2793104 ] hidden bug? in bf533-stamp.c
    (MURANAKA Masaki)

2009-05-24  Rutger Hofman <rfhh>

  * src/bus/readmem.c, src/bus/writemem.c, include/urjtag/bus.h,
    src/cmd/cmd_readmem.c, src/cmd/cmd_writemem.c: readmem() and
    writemem() now return an error condition. Patch up error handling
    in readmem() and writemem().

2009-05-23  Arnim Laeuger  <arniml>

  * src/bsdl/bsdl_msg.h, src/bsdl/vhdl_flex.l, src/bsdl/vhdl_bison.y,
    src/bsdl/bsdl_flex.l, src/bsdl/bsdl_bison.y:
    change some errors to fatals

  * include/urjtag/error.h, src/global/urjtag.c,
    src/apps/bsdl2jtag/bsdl2jtag.c,
    src/bsdl/bsdl_msg.h, src/bsdl/bsdl.c, src/bsdl/bsdl_sem.c,
    src/bsdl/vhdl_flex.l, src/bsdl/vhdl_bison.y,
    src/bsdl/bsdl_flex.l, src/bsdl/bsdl_bison.y: port BSDL message system to
    urj_log/urj_err_set functionality

2009-05-23  Rutger Hofman <rfhh>

  * configure.ac, Makefile.am: add an option (--disable-apps) to build only
    the library, not the application main programs

2009-05-23  Arnim Laeuger  <arniml>

  * src/bsdl2jtag, configure.ac, Makefile.am, src/Makefile.am,
    src/apps/bsdl2jtag/Makefile.am, src/apps/bsdl2jtag/bsdl2jtag.c:
    replace wrapper shell script with application that links to liburjtag

2009-05-22  Arnim Laeuger  <arniml>

  * src/bsdl/bsdl_sem.c: replace remaining printf invocations with urj_log

  * src/flash/flash.c: verify speed-up: use URJ_BUS_READ_START, _NEXT,
    and _END instead of monolithic URJ_BUS_READ

  * src/flash/jedec.c: rework autoselect probing, better support of
    x8/x16 capable flash chips

  * src/bsdl/bsdl.c, src/bsdl/bsdl_bison.y, src/bsdl/bsdl_sem.c,
    src/bsdl/bsdl_flex.l, src/bsdl/bsdl_types.h: use URJ_STATUS_ return
    codes except on toplevel interface, this needs to be revisited

2009-05-21  Mike Frysinger  <vapier@gentoo.org>

  * data/xilinx/PARTS: added xc3s1200e_fg320 and xc2vp30-ffg896 (Florian
    Fainelli)

  * configure.ac: enable -Werror by default only when building out of an scm,
    and add an explicit --enable-werror option to control it

  * src/tap/detect.c: if the idcode failed to parse, don't print it out like it
    actually worked but only returned zero's as this is confusing -- be clear
    in that we didn't even attempt to read the idcode

  * src/cmd/cmd_idcode.c: update usage to reflect reality

  * include/urjtag/tap_register.h, src/tap/detect.c, src/tap/register.c:
    convert the local bits_to_uint64() to a proper urj_tap_register_get_value()
    so everyone can use it

  * src/tap/idcode.c: decode the bit stream into hex values so people don't
    have to do this manually

2009-05-19  Arnim Laeuger  <arniml>

  * data/Makefile.am, data/broadcom/bcm6348/bcm6348,
    data/broadcom/bcm6348/STEPPINGS, data/broadcom/bcm6358/bcm6358,
    data/broadcom/PARTS: added bcm6348 (Julien Aube)

2009-05-19  Rutger Hofman <rfhh>

  * include/urjtag/error.h: make urj_log into a macro. Principal reason: if
    urj_log won't print, it also won't evaluate the arguments so there is no
    performance penalty in having gazillion disabled low-level prints
  * src/bus/*, include/urjtag/bus_driver.h: refactor src/bus to use urj_log
    i.s.o. printf, set urj_error wherever appropriate, return FAIL/OK state
    where appropriate. read_start() now returns status.

2009-05-18  Rutger Hofman <rfhh>

  * src/cmd/cmd_debug.c, include/urjtag/jtag.h, src/global/urjtag.c: change
    to set log level; remove unused global variable urj_debug_mode

2009-05-18  Rutger Hofman <rfhh>

  Make it compile for my eCos BlackFin checkout.
  - numerous casts because "%zd" ever requires a size_t, even for a manifest
    constant; and because a uint32_t should be cast to a long unsigned to be
    printed with "%lu" (long unsigned is at least 32-bit)
  * include/urjtag/urjtag.h, include/urjtag/urjtag.h.in: rename to only
    export .h files for modules actually configured: USB, SVF, BSDL are
    only conditionally exported

2009-05-18  Arnim Laeuger  <arniml>

  * src/flash/amd.c: added Winbond W19B320AT/B flash chip

2009-05-16  Arnim Laeuger  <arniml>

  * src/bus/ixp435.c, src/bus/buses.c, src/bus/buses.h,
    src/bus/Makefile.am, configure.ac, THANKS:
    [ 2770421 ] Patch: Support for IXP43x (Florian Boor)
    without jtag description files

  * include/urjtag/parport.h, src/tap/parport/ppdev.c, src/tap/parport/ppi.c,
    src/tap/parport/direct.c, src/tap/parport.c: [ 2782584 ] PPWDATA and PPWCONTROL
    ioclts take unsigned char not uint8_t (Yen Rui)

2009-05-14  Arnim Laeuger  <arniml>

  * src/svf/svf_bison.y, src/svf/svf.c, src/cmd/cmd_svf.c,
    include/urjtag/svf.h:
    implement pass/fail return values with URJ_STATUS_*

2009-05-14  Rutger Hofman <rfhh>

  * src/tap/cable/*.c: convert return values, error handling, printfs
  * src/**: globally remove \n or !\n from error detail msgs; sanitize
    error prints a tiny bit
  * include/urjtag/sysdep.h, include/urjtag/Makefile.am: sysdep.h should most
    certainly not be in the directory of exported header files. Move it back
    to the root dir in expectation of an include dir that is private to the
    src tree

2009-05-12  Rutger Hofman <rfhh>

  * src/cmd/*.c, many more files: have the commands in src/cmd/ return
    URJ_STATUS_OK on success, URJ_STATUS_FAIL on error, URJ_STATUS_MUST_QUIT
    at a 'quit' command. The command implementations themselves do not print
    on error; that is left to the caller, i.e. the application or a file
    parser.
    Library commands that produce output (print routines) are equipped with
    a urj_log_level_t parameter to control their verbosity.
  * include/urjtag/error.h, many more files: introduce error values
    URJ_ERROR_FTD, URJ_ERROR_USB. Handle URJ_ERROR_IO specially through macro
    urj_error_IO_set that handles errno/strerror().

2009-05-11  Arnim Laeuger  <arniml>

  * src/bus/ejtag_dma.c (ejtag_dma_bus_init): invert abort condition for break
    timeout

2009-05-10  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: hint for non-standard flash commands

2009-05-09  Rutger Hofman <rfhh>

  * configure.ac, **/Makefile.am: Add automake magic to have -Werror except
    in the flex-generated files. See the automake FAQ:
    http://www.gnu.org/software/automake/manual/html_node/Flag-Variables-Ordering.html#Flag-Variables-Ordering
    Only setting -Wno-error=unused-function doesn't work for some gcc-s.

2009-05-09  Arnim Laeuger  <arniml>

  * src/bsdl/Makefile.am, src/svf/Makefile.am: avoid -Werror to bail out because
    of unused input() functions in flex-generated files

  * include/urjtag/svf.h, src/cmd/cmd_svf.c, src/svf/svf.c,
    src/svf/svf_bison.y, src/svf/svf.h, src/svf/svf_flex.l:
    replace print_progress with DETAIL log level

2009-05-07  Rutger Hofman <rfhh>

  * src/flash/, src/svf/, src/tap/*.c, src/tap/parallel/, src/tap/usbconn:
    replace calls to printf() with calls to urj_log() and urj_error_set()

2009-05-07  Arnim Laeuger  <arniml>

  * src/tap/cable/wiggler2.c: [ 2782581 ] TRST, TMS and TDI incorrectly marked
    in wiggler2 cable

  * po/POTFILES.in: src/jim/tap.c renamed to jim_tap.c, removed getdelim.c
    and getline.c 

  * src/cmd/cmd_test.c: [ 2776954 ] typo? on 'help test'

2009-05-06  Arnim Laeuger  <arniml>

  * src/flash/amd.c: fix typo in S29GLxxxN, twice

2009-05-05  Rutger Hofman <rfhh>

  * src/svf/svf.c, src/svf/svf_bison.y, src/svf/svf_flex.y: replace calls to
    printf() with calls to urj_log() and urj_error_set()

  * src/lib/getline.c, src/lib/getdelim.c: remove because unused

  * src/global/parse.c: replace calls to printf() with calls to urj_log() and
    urj_error_set()

  * include/urjtag/jim.h, include/urjtag/jim/some_cpu.h, src/jim/tap.c,
    src/jim/jim_tap.c, src/jim/some_cpu.c, src/jim/intel_28f800b3.c: replace
    calls to printf() with calls to urj_log() and urj_error_set()

  * include/urjtag/part.h, src/cmd/cmd_bus.c, src/cmd/cmd_detect.c,
    src/cmd/cmd_signal.c, src/bsdl/bsdl_bison.y, src/part/instruction.c,
    src/part/bsbit.c, src/part/part.c, src/part/signal.c: start replacing
    calls to printf() with calls to urj_log(), for starters with src/part.
    Sometimes that means fixing a function to return an error status where
    it previously printed and returned void

  * include/urjtag/data_register.h, include/urjtag/error.h,
    include/urjtag/log.h, src/global/*.c, src/cmd/cmd_register.c,
    src/cmd/cmd_instruction.c, src/bsdl/bsdl_sem.c, src/tap/detect.c,
    src/part/data_register.c, src/svf/svf_flex.l, src/svf/svf.c,
    src/flash/detectflash.c: transform a number of urj_cmd_run() calls into
    API calls

2009-05-04  Rutger Hofman <rfhh>

  * src/cmd/cmd_bus.c, src/bus/buses.c, include/urjtag/bus.h: transform the
    bus cmd implementation into an API call
  * src/cmd/cmd_detect.c, src/tap/detect.c, include/urjtag/tap.h: transform the
    detect cmd implementation into an API call

2009-05-02  Rutger Hofman <rfhh>

  Refactor the autoconf stuff a bit so make install actually creates
  include/urjtag/*.h

2009-05-01  Rutger Hofman <rfhh>

  Global variables for liburjtag should not reside in the shell app
  * src/jtag.c: split into src/global/urjtag.c and src/apps/jtag/jtag.c

2009-05-01  Rutger Hofman <rfhh>

  Move all include/* to include/urjtag/* to lower collision chance on #include.
  Start lifting commands from cmd/ into the library modules. Begun work on:
    * src/cmd/cmd_bit.c
    * src/cmd/cmd_instruction.c
    * src/cmd/cmd_signal.c

2009-04-24  Mike Frysinger  <vapier@gentoo.org>

  * data/analog/bf518/bf518: Update with public BSDL file.

  * data/analog/bf527/bf527, data/analog/bf533/bf533, data/analog/bf537/bf537,
    data/analog/bf538/bf538, data/analog/bf548/bf548, data/analog/bf561/bf561:
    Add more register/instruction JTAG encodings.

2009-04-23  Rutger Hofman <rfhh>

  Use the changes by Przemyslaw Iskra, published as
  $ svn co http://labserver.uv.es/svn_FPGA/trunk/source/urjtag urjtag-lib
  to use libtool from now on. He based on r1427.
  * configure.ac, **/Makefile.am: use libtool to create one shared liburjtag.la

2009-04-23  Rutger Hofman <rfhh>

  Expand tabs also in #defines -- indent skips them.
  Run indent again. Since many identifiers have changed, line wraps have to
  be redone.
  Public typedefs of enums follow the same naming scheme as structs:
  typedef enum urj_bla { ... } urj_bla_t;
  * affects the complete code base.

2009-04-23  Rutger Hofman <rfhh>

  Mechanically replace all global function/variable names w/ a prefix
  urj_(<module>_)*. Investigated with
      ctags -R -x --c-kinds=f --file-scope=no  | grep function
      ctags -R -x --c-kinds=v --file-scope=no  | grep variable
      ctags -R -x --c-kinds=t --file-scope=no | grep typedef
      ctags -R -x --c-kinds=e --file-scope=no | grep enum
  then (sed-wise or manually) repair what doesn't fit automatically:
    - imported files from src/lib
    - duplicate modules like urj_cmd_cmd_detect that becomes urj_cmd_detect
    - stuff where prefix escalation has a mismatch w/ existing name escalation
      because of different order:
        usbconn_cable_usbblaster_ftdi
      becomes
        urj_tap_cable_usbconn_usbblaster_ftdi
      not
        urj_tap_cable_usbconn_cable_usbblaster_ftdi
    - typedefs only (or mostly) under include. Typedefs under src/ are left
      unmodified, since they will be invisible outside liburjtag.
  and then some.
  The identifier names in .y and .l files have been changed by hand.
  Some type names happen to be identical to variable/parameter names. These
  were changed too by the automatic replace. Undo a number of them by hand.
  * affects the complete code base.

2009-04-22  Rutger Hofman <rfhh>

  A very few typedef'ed types do NOT have an _t prefix. Orthogonize this by
  adding _t to typedefs: instruction, data_register, tap_register.
  * include/part.h, include/data_register.h, include/instruction.h,
  include/register.h, include/tap.h, src/cmd/instruction.c,
  src/cmd/register.c, src/cmd/dr.c, src/cmd/bit.c, src/cmd/scan.c,
  src/cmd/print.c, src/tap/discovery.c, src/tap/detect.c, src/tap/register.c,
  src/tap/tap.c, src/tap/idcode.c, src/part/instruction.c, src/part/part.c,
  src/part/data_register.c, src/bus/fjmem.c, src/bus/ejtag_dma.c,
  src/bus/avr32.c, src/bus/ejtag.c, src/svf/svf.c, src/svf/svf.h

2009-04-22  Rutger Hofman <rfhh>

  Check suspicious-looking public symbols whether they shouldn't be in fact
  static:
  * src/jim/tap.c: make some variables static
  * src/jim/intel_28f800b3.c: make some variables static
  * src/jim/some_cpu.c
  * src/tap/parport/direct.c
  * src/bus/ejtag_dma.c
  * src/bus/mpc824x.c
  * src/bus/bcm1250.c
  * src/bus/slsup3.c
  * src/flash/amd_flash.c

2009-04-21  Rutger Hofman <rfhh>

  Run indent over the code base: all '*.[ch]' files except evidently imported
  ones, like the libiberty imports in lib.
  * xargs indent -npro -nut -bli0 -i4 {-T typedef}* < indent-files
    where indent-files is `find . -name '*.[ch]' -print` except:
  	src/lib/ansidecl.h
	src/lib/filenames.h
	src/lib/lbasename.c
	src/lib/libiberty.h
	src/lib/lrealpath.c
	src/lib/make-relative-prefix.c
	src/lib/safe-ctype.c
	src/lib/safe-ctype.h
	include/gettext.h
  * README: add a warning as to the status of the urjtag/ branch AKA the
    Librarification branch

2009-04-17  Kolja Waschk <kawk>

  * Makefile.am: Distribute UrJTAG.nsi in source tarball next time

2009-04-17  Arnim Laeuger  <arniml>

  Version 0.10 released.

2009-04-17  Arnim Laeuger  <arniml>

  * configure.ac, NEWS: set release version 0.10

  * src/jtag.c: Update copyright year at both instances

2009-04-17  Kolja Waschk <kawk>

  * configure.ac: Last minute fix for USBCFLAGS for libusb
  * doc/UrJTAG.txt: Info about installing precompiled version on Win
  * src/flash/jedec.c: Add license info
  * UrJTAG.nsi: Create links to EXE and UrJTAG.txt in Start Menu

2009-04-16  Arnim Laeuger  <arniml>

  * THANKS: added contributors

2009-04-16  Kolja Waschk <kawk>

  * include/xpcu.h, src/flash/jedec_exp.c: Add license info
  * doc/UrJTAG.txt: Info about source for 64bit/Vista inpout32.dll
  * UrJTAG.nsi: Include inpout32.dll (needs some manual work)

2009-04-16  Arnim  <arniml>

  * doc/UrJTAG.txt: Documentation fixes (Uwe Hermann)

2009-04-13  Arnim  <arniml>

  * configure.ac: follow version info in NEWS

2009-04-12  Arnim  <arniml>

  * src/tap/cable/ft2232.c: flyswatter description update

  * NEWS: prepare for 0.10 release, still requires version update

2009-04-10  Arnim Laeuger  <arniml>

  * src/flash/flash.c (flasherase): fix missing base address for block_no calculation,
    re-use find_block() from flashmem() to align block_no calculation

2009-04-08  Arnim Laeuger  <arniml>

  * couple of files: enable Id keyword substitution

  * po/fr.po, po/rw.po, po/sk.po: update to latest status

  * src/bus/bscoach.c: use english text per default

  * po/POTFILES.in: update to current file list

  * data/Makefile.am: added missing files for install

  * doc/UrJTAG.txt: describe bus command

  * doc/bsdl2jtag.1, doc/jtag.1, THANKS: Various manpage updates (Uwe Hermann)

2009-04-06  Arnim Laeuger  <arniml>

  * src/Makefile.am, po/POTFILES.in: fix two build issues (Uwe Hermann)

  * src/tap/usbconn/libftdi.c: Better errors from ftdi (Jon Smirl)

  * src/flash/jedec.c: Author added.

2009-04-05  Arnim Laeuger  <arniml>

  * configure.ac: turn feature options that are enabled by default into
    --disable-*

  * src/tap/cable/ft2232.c: check target status for UsbScarab2 (Tomek Cedro)

2009-04-04  Arnim Laeuger  <arniml>

  * src/tap/cable/ft2232.c, src/tap/cable.c, src/tap/cable/generic_usbconn.c,
    THANKS, doc/UrJTAG.txt: usbscarab2 cable driver added (Tomek Cedro)

2009-03-30  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: multi-byte description

  * configure.ac: better description for flash-multi-byte

2009-03-29  Arnim Laeuger <arniml>

  * UrJTAG.txt: Update supported pod and device lists

2009-03-28  Arnim Laeuger  <arniml>

  * src/tap/chain.c (chain_set_pod_signal) : keep old value of trst in
    case trst isn't modified by mask/val

  * src/tap/chain.c: [ 2610857 ] chain_set_pod_signal() looks funky

  * UrJTAG.txt: typo

2009-03-28  Arnim Laeuger  <arniml>

  * src/bsdl2jtag, src/Makefile.am, doc/UrJTAG.txt: implement bsdl2jtag
    as a wrapper script that calls jtag shell with 'bsdl dump ...'

  * src/Makefile.am, src/bsdl2jtag.c: removed bsdl2jtag

2009-03-27  Arnim Laeuger  <arniml>

  * src/jtag.c: more than one optional file can be specified

  * src/flash/jedec.c: fix memory corruption from jedec code (Jon Smirl)

2009-03-26  Arnim Laeuger  <arniml>

  * src/cmd/initbus.c: Notify which bus is active when a new bus is initialized
    (Jon Smirl)

  * src/bus/mpc5200.c, THANKS: Support the MUX parameter on the mpc5200
    local bus for hardware (Jon Smirl)

2009-03-23  Arnim Laeuger  <arniml>

  * src/cmd/pod.c: show signal names for TRST and RESET

2009-03-18  Arnim Laeuger  <arniml>

  * acinclude.m4: add libtinfo, fix for
    [ 2691154 ] Configure fails to detect libtinfo

  * src/flash/intel.c, src/flash/amd.c: activate multi byte write mode
    for > 1, not > 0
    [ 2690857 ] Can't write flashes

2009-03-12  Arnim Laeuger  <arniml>

  * data/atheros/ar2312/ar2312: AR2313 flash access patch
    (snowweihua)

2009-03-08  Arnim Laeuger  <arniml>

  * src/svf/svf.c, src/svf/svf_bison.y, src/svf/svf.h:
    [ 2666261 ] Add pass/fail report to SVF player

  * src/svf/svf.c: avoid double free for SIR/SDR parameter strings in case
    of a consistency check error

  * src/bsdl/bsdl_sem.c: avoid leading space when printing commands

2009-03-07  Arnim Laeuger  <arniml>

  * data/ti/tnetv1060/tnetv1060, data/ti/tnetv1061/tnetv1061:
    init EJTAG bus automatically

2009-03-05  Arnim Laeuger  <arniml>

  * src/tap/print_queue.c, src/bus/bscoach.c, src/bus/ejtag_dma.c,
    src/bus/pxa2x0.c, src/bus/zefant-xs3.c, src/bus/jopcyc.c,
    src/bus/s3c4510x.c, src/bus/ejtag.c: skip operations of *_bus_init()
    if TAP is not in RUNTEST/IDLE state
    [ 2658604 ] Errors when part description contains commands accessing TAP

2009-03-04  Arnim Laeuger  <arniml>

  * src/bus/mpc5200.c: add additional address decoding to mpc5200 bus driver
    (Jeff Wittrock)

2009-03-02  Arnim Laeuger  <arniml>

  * data/freescale/PARTS: add stepping for MPC5200B (Jeff Wittrock)

2009-03-01  Arnim Laeuger  <arniml>

  * data/ti/PARTS, data/ti/tnetv1060/tnetv1060, data/ti/tnetv1060/STEPPINGS,
    data/Makefile.am:
    TI tnetv1060 (Kenny)

2009-02-27  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: Warning about FTD2XX driver, USB FAQ.

  * src/cmd/flashmem.c, src/flash/flash.c, include/flash.h:
    [ 2645787 ] Bypass verify stage of flashmem cmd (Jeff Wittrock)

2009-02-26  Arnim Laeuger  <arniml>

  * data/Makefile.am, data/MANUFACTURERS, data/ti/PARTS,
    data/ti/tnetv1061/STEPPINGS, data/ti/tnetv1061/tnetv1061:
    TI tnetv1061 (Kenny)

  * src/svf/svf_flex.l:
    [ 2638083 ] SVF progress indicator not visible for some .svf files
    (William)

2009-02-25  Arnim Laeuger  <arniml>

  * src/svf/svf_flex.l: [ 2635979 ] Replace index() to strchr()
    (MURANAKA Masaki)

2009-02-23  Arnim Laeuger  <arniml>

  * src/tap/usbconn/libftdi.c, src/tap/usbconn/libftd2xx.c:
    keep JTAG dongle in current mode (Holger Schurig)

  * data/atmel/at32ap7000/at32ap7000: clarifications for AVR32 data
    (Holger Schurig)

2009-02-17  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/mpc824x.c (setup_address): Return on unhandled sizes to avoid
    compiler warnings.

  * src/bsdl2jtag.c, src/bus/mpc824x.c, src/cmd/include.c, src/cmd/scan.c,
    src/cmd/shell.c, src/jim/intel_28f800b3.c, src/jim/some_cpu.c,
    src/jim/tap.c, src/part/data_register.c, src/tap/cable.c,
    src/tap/cable/generic.c, src/tap/cable/jim.c, src/tap/cable/jlink.c,
    src/tap/cable/xpc.c, src/tap/usbconn/libusb.c: Remove spurious semicolons
    from places they do not belong (like at the end of braces).

2009-02-16  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: some FAQs

2009-02-13  Mike Frysinger  <vapier@gentoo.org>

  * include/chain.h, include/tap.h, src/tap/chain.c, src/tap/tap.c: Add a
    prefix to all local variables named "exit" to avoid shadowing the system
    exit() function.

  * src/cmd/print.c (cmd_print_run): Use puts() to display the formatted buffer
    rather than printf() to avoid security issues with dynamically generated
    format strings, and to avoid warnings generated by such compilers:
    print.c:111: warning: format not a string literal and no format arguments

  * configure.ac: Put our local -I paths into CPPFLAGS before anything coming
    from the user as we want to make sure our local paths take precedence.
    Reported by Steve Franks from a FreeBSD report.

2009-02-11  Arnim Laeuger  <arniml>

  * src/bsdl/bsdl_sem.c: return proper error code to upper level

2009-02-07  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: turn http links into real hyperlinks

  * doc/UrJTAG.txt: libftdi URL changed

2009-02-06  Arnim Laeuger  <arniml>

  * src/tap/cable/ft2232.c: fix nSRST for flyswatter (Kees Jongenburger)

2009-01-26  Kolja Waschk <kawk>

  * UrJTAG.nsi: Script to create Windows installer using NSIS.

2009-01-22  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/include.c: Include ctype.h for isalpha().

  * src/bsdl/bsdl_sem.c (create_register): Use %zu for size_t with printf().

  * src/tap/detect.c (detect_parts): Use the PRIX64 format string for 64bit
    types with printf().

  * src/part/part.c (part_print): Use const markings with const strings.
  * src/cmd/include.c (cmd_include_or_script_run): Likewise.

  * sysdep.h: Redirect swprintf() calls to _snwprintf() for Windows as they
    implemented a different function from ISO C (theirs does not take a count).

2009-01-19  Kolja Waschk <kawk>

  * doc/UrJTAG.txt,
    include/cable.h, include/chain.h, include/pod.h, include/Makefile.am,
    src/cmd/cmd.c, src/cmd/pod.c, src/cmd/Makefile.am, src/tap/cable.c,
    src/tap/chain.c, src/tap/cable/wiggler.c, src/tap/cable/arcom.c,
    src/tap/cable/mpcbdm.c, src/tap/cable/ts7800.c,
    src/tap/cable/usbblaster.c, src/tap/cable/jlink.c,
    src/tap/cable/generic.c, src/tap/cable/vision_ep9307.c,
    src/tap/cable/ea253.c, src/tap/cable/triton.c, src/tap/cable/ei012.c,
    src/tap/cable/byteblaster.c, src/tap/cable/generic.h,
    src/tap/cable/ft2232.c, src/tap/cable/wiggler2.c,
    src/tap/cable/keithkoep.c, src/tap/cable/lattice.c,
    src/tap/cable/dlc5.c, src/tap/cable/xpc.c, src/svf/svf.c:
    [ 2187351 ] Direct JTAG signal access, get/set_trst extension;
    Integrated changes from getset_pod branch, substituting the
    get/set_trst cable functions with more mighty get/set_signal
    functions. Finally, this gives low level access to cable signals
    as Sebastian Hesselbarth suggested and implemented first (thanks).
    Arnim implemented it for the FTDI cable drivers, while I worked
    on the parport cable drivers and new "pod" command.

2009-01-16  Arnim Laeuger  <arniml>

  * src/cmd/parse.c: flush_chain() between commands read from file
    [ 2499176 ] No chain_flush() when executing commands from file

2009-01-03  Arnim Laeuger  <arniml>

  * configure.ac, src/bus/bscoach.c, src/bus/buses.c,
    src/bus/buses.h, src/bus/Makefile.am:
    [ 2187115 ] Bus driver for Goepel Boundary Scan Coach
    (by Markus Schneider)

2008-12-23  Arnim Laeuger  <arniml>

   * src/svf/svf.c: added debug output for svf_compare_tdo()

2008-12-23  Kolja Waschk <kawk>

   * src/tap/parport/direct.c, configure.ac, doc/UrJTAG.txt:
     Dynamically load the InpOut32.dll for parallel port access. Tested
     in MinGW environment (Cygwin GCC with -mno-cygwin flag), and 
     documented how to compile it. Could build a distributable EXE now.

   * src/cmd/usleep.c, sysdep.h: usleep() is declared in
     unistd.h, also present in modern MinGW environments.
     Defining it in sysdep.h collides with unistd.h. 

2008-12-22  Arnim Laeuger  <arniml>

   * src/tap/cable/usbblaster.c:
     limit maximum number of bytes queued, equivalent for
     Bug 2456024 - FTD2XX fails with certain SVF file

   * src/tap/cable/ft2232.c:
     set cable frequency to real FT2232 frequency

   * src/tap/usbconn/libftdi.c, src/tap/usbconn/libftd2xx.c,
     include/usbconn/libftdx.h, src/tap/cable/ft2232.c:
     increased MPSSE buffer size from 4k to 64k
     mitigates performance decrease for mid-sized clock operations

2008-12-21  Kolja Waschk <kawk>

   * src/svf/svf.c: Fix 2456021 - SVF compare_tdo flaw

   * src/tap/cable/ft2232.c, src/tap/cable/cmd_xfer.c,
     src/tap/cable/cmd_xfer.h: limit maximum number of bytes queued 
     into one cmd buffer. Should fix problems with high clocks count for
     SVF runtest execution (Bug 2456024 - FTD2XX fails with certain SVF file)

   * configure.ac, src/tap/parport/direct.c: added detection of InpOut32
     library and support for using it for I/O port access even under Vista

2008-12-17  Kolja Waschk <kawk>

   * src/tap/discovery.c: Optional (#ifdef) printf for discovery debugging

2008-12-16  Kolja Waschk <kawk>

   * data/Makefile.am: Added bcm6358 files, thanks Anselmo Luginbuehl

2008-12-09  Kolja Waschk <kawk>

   * data/broadcom/bcm6358, data/broadcom/bcm6358/bcm6358,
     data/broadcom/bcm6358/STEPPINGS, data/broadcom/PARTS:
     [ 2412479 ] neufbox4 support. BCM6358 data files (by
     Julien Aube, slightly modified)

   * src/flash/amd.c: [ 2412481 ] neufbox4 support: MX29LV640B
     recognition (by Julien Aube)

2008-12-08 Julien Aube  <obconseil@gmail.com>

   * src/bus/ejtag_dma.c, src/bus/Makefile.am, src/bus/buses.c,
     src/bus/buses.h, configure.ac: [ 2412486 ] Support for ejtag in DMA mode.

2008-12-07  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/bf518/bf518, data/analog/bf518/STEPPINGS, data/analog/PARTS,
     data/Makefile.am: Initial support for BF518 processors.

   * data/analog/bf548/STEPPINGS: Add 0.3 silicon revision.

   * data/analog/PARTS: Add BF534 and BF548M ids.

2008-12-03  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c, src/tap/cable/generic_usbconn.c,
     src/tap/cable.c, doc/UrJTAG.txt:
     [ 2382324 ] Patch to add support for TinCanTools Flyswatter JTAG cable
     (Mark Norman)

   * include/flash.h, src/flash/amd_flash.c, src/flash/amd.c, 
     src/flash/intel.c, src/flash/flash.c, configure.ac:
     restructure multi-byte flash programming support
     flashmem no longer needs to know about the capabilities of
     the flash chip to handle multi-byte programming

2008-12-02  Arnim Laeuger  <arniml>

   * include/flash/intel.h, src/flash/intel.c:
     support for multi-byte write mode
     chips must match the following criteria to qualify
     - CFI data specifies multi-byte write mode supported
     - handled by intel.c
     - 8 or 16 bit interface

2008-12-01  Arnim Laeuger  <arniml>
   * include/flash.h, src/flash/amd_flash.c, src/flash/amd.c,
     src/flash/intel.c, src/flash/flash.c, configure.ac:
     support multi-byte write mode
     chips must match the following criteria to qualify
     - CFI data specifies multi-byte write mode supported
     - handled by amd.c
     - 8 or 16 bit interface

   * src/bus/prototype.c (prototype_bus_new): consider amode parameter properly
     when specified on the command line. pervious version didn't set ASHIFT in
     this case.

   * src/flash/amd.c (amd_flash_print_info): added Spansion S92GL chips

2008-11-16  Kolja Waschk  <kawk>

   * src/bus/ejtag.c: Support BCM6348/EJTAG 3.1 (by Andy Potter/livebox)

2008-10-30  Arnim Laeuger  <arniml>

   * src/svf/svf_bison.y, src/svf/svf.c, src/svf/svf.h:
     removed obsolete parameter

   * include/svf.h, src/cmd/svf.c, src/svf/svf.c,
     src/svf/svf_bison.y, src/svf/svf.h, doc/UrJTAG.txt:
     add the ref_freq option to svf command

2008-10-28  Arnim Laeuger  <arniml>

   * src/cmd/parse.c (jtag_parse_stream): avoid clipping message when
     reading comments (Hartley)

   * renamed data/lattice/lfec2-12e/lfec2_12e to lfec2-12e

   * data/MANUFACTURERS, data/lattice/lfec2-12e, data/lattice/lfec2-12e/lfec2_12e,
     data/lattice/lfec2-12e/STEPPINGS, data/lattice/PARTS, data/lattice/lc4064zc,
     data/lattice/lc4064zc/lc4064zc, data/lattice/lc4064zc/STEPPINGS, data/marvell/88e1118,
     data/marvell/88e1118/88e1118, data/marvell/88e1118/STEPPINGS, data/marvell/88f5182,
     data/marvell/88f5182/88f5182-a2, data/marvell/88f5182/STEPPINGS, data/marvell/PARTS,
     data/Makefile.am:
     [ 2187342 ] Technologic Systems TS-7800 JTAG support
     (Catalin Ionescu)
     part description files

2008-10-26  Arnim Laeuger  <arniml>

   * configure.ac, doc/UrJTAG.txt, src/tap/Makefile.am,
     src/tap/cable/ts7800.c, src/tap/cable.c, THANKS:
     [ 2187342 ] Technologic Systems TS-7800 JTAG support
     (Catalin Ionescu, Stanislav Sinyagin)
     cable driver only

   * src/cmd/print.c, doc/UrJTAG.txt:
     [ 1964834 ] Add 'print instruction' support to print command
     (Hartley Sweeten)

2008-10-23  Arnim Laeuger  <arniml>

   * src/svf/svf_bison.y: initialize max_time to 0.0 if
     the optional MAXIMUM is missing for RUNTEST commands

2008-10-22  Arnim Laeuger  <arniml>

   * src/tap/cable/generic.c: make calibration loop more tolerant for
     less accurate OS timers

2008-10-18  Kolja Waschk <kawk

   * src/cmd/usleep.c, src/cmd/cmd.c, src/cmd/Makefile.am:
     Add usleep command (Stanislav Sinyagin)

2008-10-18  Kolja Waschk <kawk>

   * src/tap/cable/ft2232.c, src/tap/cable/generic_usbconn.c:
     Add support for ARM-USB-OCD TINY (Sebastian Hesselbarth)

2008-10-13  Jie Zhang  <jie.zhang@analog.com>

   * src/tap/cable/ft2232.c (ft2232_transfer_schedule): Don't
     access memory out of bounds.

2008-10-11  Arnim Laeuger  <arniml>

   * src/bus/ejtag.c (ejtag_bus_init): added remaining return values
     (Stanislav Sinyagin)

2008-09-27  Arnim Laeuger  <arniml>

   * include/jtag.h, src/cmd/detect.c, src/cmd/initbus.c,
     src/cmd/print.c, src/bus/bf548_ezkit.c, src/bus/fjmem.c,
     src/bus/ppc405ep.c, src/bus/sh7727.c, src/bus/prototype.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/avr32.c, src/bus/h7202.c, src/bus/zefant-xs3.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/readmem.c, src/bus/au1500.c, src/bus/lh7a400.c,
     src/bus/sh7751r.c, src/bus/generic_bus.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/bf561_ezkit.c, src/bus/slsup3.c,
     src/bus/writemem.c, src/bus/s3c4510x.c, src/bus/ejtag.c,
     src/flash/amd_flash.c, src/flash/cfi.c, src/flash/jedec_exp.c,
     src/flash/jedec.c, src/flash/intel.c:
     [ 2102453 ] Use macros for std return values instead of literals

2008-09-16  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/bf527/STEPPINGS: Add bf527 0.2.
   * data/analog/bf533/STEPPINGS: Add bf533 0.5 and 0.6.
   * data/analog/bf548/STEPPINGS: Add bf548 0.2.

2008-09-15  Arnim Laeuger  <arniml>

   * src/svf/svf.h, src/svf/svf_flex.l: SVF player fix for
     [ 2112823 ] Conversion with strtod and similar influenced by locale

2008-09-14  Kolja Waschk <kawk>

   Version 0.9 released.

2008-09-14  Kolja Waschk <kawk>

   * configure.ac, NEWS, po/fr.po, po/rw.po, po/sk.po: Preparation
     for release of UrJTAG 0.9 tarball
   * include/Makefile.am, src/bsdl/Makefile.am: list new header
     files here so they get included in distribution

2008-09-09  Arnim Laeuger  <arniml>

   * src/cmd/detect.c: test correct return value of bus->driver->init()

   * src/bsdl2jtag.c: fix from and to for downto vectors

2008-09-06  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftdi.c, src/tap/usbconn/libftd2xx.c:
     [ 2091744 ] Automatic detection of alternative VID/PID cables broken

   * src/tap/cable/usbblaster.c: set fixed frequency and print warning
     if a different frequency is requested

   * src/tap/cable/generic.c: fixed calibration loop

   * src/svf/svf.c: require frequency setting from cable for
     RUNTEST MIN SEC command, fixes
     [ 2090432 ] SVF programming problem with "x SEC" arg to runtest
     also restore previous frequency setting at end of SVF execution

2008-09-04  Arnim Laeuger  <arniml>

   * configure.ac, src/tap/usbconn/libftd2xx.c,
     src/tap/usbconn/libftdi.c: forward and use the desc= paramter
     [ 2085244 ] Wrong device chosen by ftd2xx driver

2008-09-03  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftd2xx.c,  src/tap/usbconn/libftdi.c:
     use puts() and printf() instead of perror()

2008-09-03  Mike Frysinger  <vapier@gentoo.org>

   * src/tap/parport/ppdev.c, src/tap/cable/wiggler.c,
     src/tap/cable/generic_parport.c: Change HAVE_LINUX_PPDEV_H to
     ENABLE_LOWLEVEL_PPDEV.

   * src/tap/cable/generic_parport.c, src/tap/cable/wiggler.c:
     Fix typo: PPDEF -> PPDEV.

2008-08-27  Arnim Laeuger  <arniml>

   * include/Makefile.am, include/bsdl.h, include/bsdl_mode.h,
     src/cmd/include.c, src/cmd/bsdl.c, src/bsdl/vhdl_parser.h,
     src/bsdl/bsdl_msg.h, src/bsdl/bsdl.c, src/bsdl/bsdl_bison.y,
     src/bsdl/vhdl_flex.l, src/bsdl/bsdl_parser.h, src/bsdl/bsdl_sem.c,
     src/bsdl/bsdl_flex.l, src/bsdl/bsdl_types.h, src/bsdl/vhdl_bison.y,
     src/tap/detect.c: cleaned-up bsdl subsystem, avoid double reading
     during detect, commenting

2008-08-24  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl_sem.c (bsdl_process_cell_info): fix error with
     repeated usage of cmd[]

2008-08-22  Arnim Laeuger  <arniml>

   * src/bsdl/vhdl_bison.y: enhanced error reporting

   * configure.ac, data/Makefile.am, src/Makefile.am,
     src/bsdl/Makefile.am, src/bsdl/bsdl.c, src/bsdl/bsdl_bison.y,
     src/bsdl/bsdl_flex.l, src/bsdl/bsdl_sem.c, src/bsdl/bsdl_sysdep.h,
     data/bsdl/STD_1532_2001, data/bsdl/STD_1532_2002, src/bsdl/bsdl_msg.h,
     src/bsdl/bsdl_parser.h, src/bsdl/bsdl_types.h, src/bsdl/vhdl_bison.y,
     src/bsdl/vhdl_flex.l, src/bsdl/vhdl_parser.h, src/bsdl/bsdl_local.h:
     merged from branches/bsdl 1304:1340
     rewrite of BSDL parser

2008-07-15  Arnim Laeuger  <arniml>

   * doc/UrJTAG.txt, src/cmd/dr.c (cmd_dr_help):
     document feature to set active data register with dr

2008-07-14  Arnim Laeuger  <arniml>

   * include/chain.h, include/tap.h, src/cmd/reset.c, src/tap/detect.c,
     src/tap/chain.c, src/tap/tap.c, src/bus/fjmem.c, src/bus/avr32.c:
     [ 1873260 ] Command 'reset' does not reset internal states
     next round to fix this one

2008-07-10  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftd2xx.c (usbconn_ftd2xx_open): perform device reset
     and RX purge

2008-07-09  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftd2xx.c: added some debugging messages

   * src/tap/usbconn/libftd2xx.c (usbconn_ftd2xx_write),
     src/tap/usbconn/libftdi.c (usbconn_ftdi_write): don't subtract from
     p->to_recv

2008-07-03  Mike Frysinger  <vapier@gentoo.org>

   * src/lib/ansidecl.h, src/lib/libiberty.h: Import headers from binutils
     that the local src/lib/ files need for relocatable support.
   * src/lib/Makefile.am (libiberty_sources): Add local headers to the list.

2008-07-03  Jie Zhang  <jie.zhang@analog.com>

   * src/bsdl/bsdl.c: Remove trailing whitespaces.
   * src/lib/make-relative-prefix.c: Likewise.
   * src/lib/lbasename.c: Likewise.
   * src/lib/lrealpath.c: Likewise.
   * doc/UrJTAG.txt: Likewise.
   * data/atmel/PARTS: Likewise.

   * src/bus/bf537_stamp.c (bus_driver_t bf538f_ezkit_bus): New.
     (bus_driver_t bf526_ezkit_bus): New.
   * src/bus/buses.c (bus_drivers[]): Add bf526_ezkit_bus and
       bf538f_ezkit_bus.
   * src/bus/buses.h (bf526_ezkit_bus): Declare.
     (bf538f_ezkit_bus): Declare.
   * src/bus/Makefile.am (libbus_a_SOURCES): Add bf537_stamp.c
       for bf526 ezkit and bf538f ezkit.
   * configure.ac: Add bf526_ezkit and bf538f_ezkit.
   * data/analog/PARTS: Add bf538.
   * analog/bf538/STEPPINGS: New file.
   * analog/bf538/bf538: New file.
   * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
       analog/bf538/STEPPINGS and analog/bf538/bf538.

   * src/tap/cable/ft2232.c: Make the gnICE comment a little more specific.

2008-07-02  Jie Zhang  <jie.zhang@analog.com>

   * include/bus_driver.h (struct bus_driver): Add driver argument
       to new_bus.
   * src/cmd/initbus.c (cmd_initbus_run): Pass driver to new_bus.
   * src/bus/bf548_ezkit.c (bf548_ezkit_bus_new): Add driver
       argument and use it.
   * src/bus/fjmem.c (fjmem_bus_new): Likewise.
   * src/bus/ppc405ep.c (ppc405ep_bus_new): Likewise.
   * src/bus/sh7727.c (sh7727_bus_new): Likewise.
   * src/bus/prototype.c (prototype_bus_new): Likewise.
   * src/bus/sa1110.c (sa1110_bus_new): Likewise.
   * src/bus/ppc440gx_ebc8.c (ppc440gx_ebc8_bus_new): Likewise.
   * src/bus/sh7750r.c (sh7750r_bus_new): Likewise.
   * src/bus/tx4925.c (tx4925_bus_new): Likewise.
   * src/bus/bf533_stamp.c (bf533_stamp_bus_new): Likewise.
   * src/bus/bf533_ezkit.c (bf533_ezkit_bus_new): Likewise.
   * src/bus/ixp425.c (ixp425_bus_new): Likewise.
   * src/bus/avr32.c (avr32_bus_new): Likewise.
   * src/bus/zefant-xs3.c (zefant_xs3_bus_new): Likewise.
   * src/bus/h7202.c (h7202_bus_new): Likewise.
   * src/bus/mpc824x.c (mpc824x_bus_new): Likewise.
   * src/bus/bcm1250.c (bcm1250_bus_new): Likewise.
   * src/bus/sharc21065l.c (sharc_21065L_bus_new): Likewise.
   * src/bus/au1500.c (au1500_bus_new): Likewise.
   * src/bus/lh7a400.c (lh7a400_bus_new): Likewise.
   * src/bus/sh7751r.c (sh7751r_bus_new): Likewise.
   * src/bus/mpc5200.c (mpc5200_bus_new): Likewise.
   * src/bus/jopcyc.c (jopcyc_bus_new): Likewise.
   * src/bus/bf561_ezkit.c (bf561_ezkit_bus_new): Likewise.
   * src/bus/slsup3.c (slsup3_bus_new): Likewise.
   * src/bus/s3c4510x.c (s3c4510_bus_new): Likewise.
   * src/bus/ejtag.c (ejtag_bus_new): Likewise.
   * src/bus/pxa2x0.c (pxa2xx_bus_new_common): Remove.
     (pxa2xx_bus_new): New.
     (pxa2x0_bus_new): Remove.
     (pxa27x_bus_new): Remove.
     (pxa2xx_bus_printinfo): New.
     (pxa2x0_bus_printinfo): Remove.
     (pxa27x_bus_printinfo): Remove.
     (bus_driver_t pxa2x0_bus): Replace pxa2x0_bus_new with
       pxa2xx_bus_new. Replace pxa2x0_bus_printinfo with
       pxa2xx_bus_printinfo.
     (bus_driver_t pxa27x_bus): Replace pxa27x_bus_new with
       pxa2xx_bus_new. Replace pxa27x_bus_printinfo with
       pxa2xx_bus_printinfo.
   * src/bus/bf537_stamp.c (bf537_stamp_bus_new_1): Rename
       to ...
     (bf537_stamp_bus_new): ... this. And use the new driver
       argument.
     (bf537_ezkit_bus_new): Remove.
     (bf527_ezkit_bus_new): Remove.
     (bf537_stamp_bus_printinfo): Use description in bus driver.
     (bf537_ezkit_bus_printinfo): Remove.
     (bf527_ezkit_bus_printinfo): Remove.
     (BF537_STAMP_BUS_FUNCTIONS): Define.
     (bus_driver_t bf537_stamp_bus): Use BF537_STAMP_BUS_FUNCTIONS.
     (bus_driver_t bf537_ezkit_bus): Likewise.
     (bus_driver_t bf527_ezkit_bus): Likewise.

2008-06-28  Kolja Waschk <kawk>

   * data/sigma/smp8634/smp8634, data/sigma/smp8634/STEPPINGS,
     data/sigma/PARTS, data/Makefile.am: Added Sigma SMP8634 (andi2k)
   * doc/UrJTAG.txt: FAQ about CVS needed for autogen.sh and superuser
     rights being needed for running "make install" (frankvh)

2008-06-27  Arnim Laeuger  <arniml>

   * UrJTAG.txt: JTAGkey-Tiny

   * UrJTAG.txt: update of bus driver init() function
   * include/bus_driver.h, src/cmd/initbus.c, src/bus/bf548_ezkit.c,
     src/bus/fjmem.c, src/bus/ppc405ep.c, src/bus/sh7727.c,
     src/bus/prototype.c, src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c,
     src/bus/tx4925.c, src/bus/sh7750r.c, src/bus/pxa2x0.c,
     src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c,
     src/bus/ixp425.c, src/bus/avr32.c, src/bus/h7202.c,
     src/bus/zefant-xs3.c, src/bus/mpc824x.c, src/bus/bcm1250.c,
     src/bus/sharc21065l.c, src/bus/au1500.c, src/bus/lh7a400.c,
     src/bus/sh7751r.c, src/bus/generic_bus.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/bf561_ezkit.c, src/bus/slsup3.c,
     src/bus/s3c4510x.c, src/bus/ejtag.c, src/bus/generic_bus.h:
     [ 1984813 ] Bus driver cleanup, separate (*init) and (*prepare)
     functions (Hartley Sweeten)

2008-06-24  Jie Zhang  <jie.zhang@analog.com>

   From Michael Hennerich <michael.hennerich@analog.com>
   * src/tap/cable.c (ft2232_bfin_ujtag_cable_driver): Rename to ...
     (ft2232_gnice_cable_driver): ... this.
     (cable_drivers[]): Change accordingly.
   * src/tap/cable/generic_usbconn.c
     (usbconn_cable_bfin_ujtag_ftd2xx): Rename to ...
     (usbconn_cable_gnice_ftd2xx): ... this.
     (usbconn_cable_bfin_ujtag_ftdi): Rename to ...
     (usbconn_cable_gnice_ftdi): ... this.
   * src/tap/cable/ft2232.c (BIT_BFIN_UJTAG_nTRST): Rename to ...
     (BIT_GNICE_nTRST): ... this.
     (BIT_BFIN_UJTAG_nLED): Rename to ...
     (BIT_GNICE_nLED): ... this.
     (BITMASK_BFIN_UJTAG_nTRST): Rename to ...
     (BITMASK_GNICE_nTRST): ... this.
     (BITMASK_BFIN_nLED): Rename to ...
     (BITMASK_GNICE_nLED): ... this.
     (ft2232_bfin_urjtag_init): Rename to ...
     (ft2232_gnice_init): ... this.
     (ft2232_bfin_urjtag_done): Rename to ...
     (ft2232_gnice_done): ... this.
     (usbconn_cable_bfin_ujtag_ftdi): Rename to ...
     (usbconn_cable_gnice_ftdi): ... this.
     (ft2232_usbcable_help): Change accordingly.
     (ft2232_bfin_ujtag_cable_driver): Rename to ...
     (ft2232_gnice_cable_driver): ... this.
     (usbconn_cable_bfin_ujtag_ftdi): Rename to ...
     (usbconn_cable_gnice_ftdi): ... this.
     (usbconn_cable_bfin_ujtag_ftd2xx): Rename to ...
     (usbconn_cable_gnice_ftd2xx): ... this.
   * po/fr.po: Update.
   * po/rw.po: Update.
   * po/sk.po: Update.

2008-06-21  Arnim Laeuger  <arniml>

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c, src/bus/sh7750r.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/h7202.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/au1500.c, src/bus/lh7a400.c, src/bus/sh7751r.c,
     src/bus/generic_bus.c, src/bus/mpc5200.c, src/bus/bf561_ezkit.c,
     src/bus/slsup3.c, src/bus/generic_bus.h:
     [ 1984813 ] Bus driver cleanup, generic_bus_prepare function for
     all bus drivers that just load the EXTEST instruction
     (Hartley Sweeten)

2008-06-18  Arnim Laeuger  <arniml>

   * include/bus_driver.h, src/bus/bf548_ezkit.c, src/bus/fjmem.c,
     src/bus/ppc405ep.c, src/bus/sh7727.c, src/bus/prototype.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/avr32.c, src/bus/h7202.c, src/bus/zefant-xs3.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/au1500.c, src/bus/lh7a400.c, src/bus/sh7751r.c,
     src/bus/mpc5200.c, src/bus/jopcyc.c, src/bus/bf561_ezkit.c,
     src/bus/slsup3.c, src/bus/s3c4510x.c, src/bus/ejtag.c:
     [ 1984813 ] Bus driver cleanup, uniquify chain and part in
     bus_t struct (Hartley Sweeten)

2008-06-16  Arnim Laeuger  <arniml>

   * src/cmd/initbus.c (cmd_initbus_run),
     src/cmd/initbus.c, src/bus/bf548_ezkit.c, src/bus/fjmem.c,
     src/bus/ppc405ep.c, src/bus/sh7727.c, src/bus/prototype.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/avr32.c, src/bus/h7202.c, src/bus/zefant-xs3.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/au1500.c, src/bus/lh7a400.c, src/bus/sh7751r.c,
     src/bus/mpc5200.c, src/bus/jopcyc.c, src/bus/bf561_ezkit.c,
     src/bus/slsup3.c, src/bus/s3c4510x.c, src/bus/ejtag.c:
     [ 1984813 ] Bus driver cleanup, remove unnecessary sanity checking
     (Hartley Sweeten)

2008-06-11  Arnim Laeuger  <arniml>

   * po/fr.po, po/rw.po, po/sk.po: updated

   * src/tap/cable/generic.c (fmax): define fallback in case libm doesn't
     provide fmax()
   * configure.ac: detect availability of fmax() in libm

   * src/bus/bf548_ezkit.c, src/bus/ppc405ep.c, src/bus/sh7727.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/h7202.c, src/bus/mpc824x.c, src/bus/bcm1250.c,
     src/bus/sharc21065l.c, src/bus/au1500.c, src/bus/lh7a400.c,
     src/bus/sh7751r.c, src/bus/mpc5200.c, src/bus/jopcyc.c,
     src/bus/bf561_ezkit.c, src/bus/slsup3.c, src/bus/s3c4510x.c:
     [ 1984813 ] Bus driver cleanup, second step of part 2) (Hartley Sweeten)
     use generic_bus_attach_sig() in all bus drivers

2008-06-10  Arnim Laeuger  <arniml>

   * src/bus/generic_bus.c, src/bus/generic_bus.h, src/bus/zefant-xs3.c:
     [ 1984813 ] Bus driver cleanup, first step of part 2) (Hartley Sweeten)
     generic_bus_attach_sig() added

   * src/bus/au1500.c, src/bus/avr32.c, src/bus/bcm1250.c,
     src/bus/bf533_ezkit.c, src/bus/bf533_stamp.c, src/bus/bf537_stamp.c,
     src/bus/bf548_ezkit.c, src/bus/bf561_ezkit.c, src/bus/ejtag.c,
     src/bus/fjmem.c, src/bus/generic_bus.c, src/bus/generic_bus.h,
     src/bus/h7202.c, src/bus/ixp425.c, src/bus/jopcyc.c,
     src/bus/lh7a400.c, src/bus/mpc5200.c, src/bus/mpc824x.c,
     src/bus/ppc405ep.c, src/bus/ppc440gx_ebc8.c, src/bus/prototype.c,
     src/bus/pxa2x0.c, src/bus/s3c4510x.c, src/bus/sa1110.c,
     src/bus/sh7727.c, src/bus/sh7750r.c, src/bus/sh7751r.c,
     src/bus/sharc21065l.c, src/bus/slsup3.c, src/bus/tx4925.c,
     src/bus/zefant-xs3.c:
     [ 1984813 ] Bus driver cleanup, second step of part 4) (Hartley Sweeten)
     generic_bus_read() added

2008-06-09  Arnim Laeuger  <arniml>

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c, src/bus/sh7750r.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/avr32.c,
     src/bus/h7202.c, src/bus/zefant-xs3.c, src/bus/mpc824x.c,
     src/bus/bcm1250.c, src/bus/sharc21065l.c, src/bus/au1500.c,
     src/bus/lh7a400.c, src/bus/sh7751r.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/bf561_ezkit.c, src/bus/slsup3.c,
     src/bus/s3c4510x.c, src/bus/ejtag.c:
     [ 1984813 ] Bus driver cleanup, first step of part 4) (Hartley Sweeten)

   * src/svf/svf_flex.l, src/flash/flash.c (flashmem):
     avoid '\r' in i18n strings (Hartley Sweeten)
   * po/fr.po, po/rw.po, po/sk.po: remove '\r'

2008-06-06  Kolja Waschk <kawk>

   * src/bus/bcm1250.c: Allow for 8 IO_CS_L signals, not just 7
      (Hartley Sweeten)

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/sh7750r.c, src/bus/tx4925.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/avr32.c,
     src/bus/zefant-xs3.c, src/bus/h7202.c, src/bus/mpc824x.c,
     src/bus/bcm1250.c, src/bus/sharc21065l.c, src/bus/au1500.c,
     src/bus/lh7a400.c, src/bus/sh7751r.c, src/bus/generic_bus.c,
     src/bus/mpc5200.c, src/bus/jopcyc.c, src/bus/Makefile.am,
     src/bus/slsup3.c, src/bus/bf561_ezkit.c, src/bus/s3c4510x.c,
     src/bus/ejtag.c, src/bus/generic_bus.h: [ 1984813 ] Bus driver
      cleanup: Unified *bus_free functions and moved them to new
      src/bus/generic_bus.c/h (Hartley  Sweeten)

2008-06-05  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftdi.c: issue device reset in usbconn_ftdi_open(), fixes
     hang of FT245 chip when initializing the cable more than once
   * src/tap/cable/usbblaster.c: split get_tdo and transfer functions into schedule
     finish parts for deeper queueing with extended flush function

2008-06-05  Kolja Waschk <kawk>

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/sh7750r.c, src/bus/tx4925.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/avr32.c,
     src/bus/zefant-xs3.c, src/bus/h7202.c, src/bus/mpc824x.c,
     src/bus/bcm1250.c, src/bus/sharc21065l.c, src/bus/au1500.c,
     src/bus/lh7a400.c, src/bus/sh7751r.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/slsup3.c, src/bus/bf561_ezkit.c,
     src/bus/s3c4510x.c, src/bus/ejtag.c: Partial [ 1984813 ]
      Bus driver cleanup: Changed mallocs to callocs, added (NULL) pointer
      for *init to the drivers where it was missing (Hartley Sweeten)

2008-05-29  Kolja Waschk <kawk>

   * src/tap/cable/wiggler.c src/tap/cable/generic_usbconn.c,
     src/tap/cable/usbblaster.c, src/tap/cable/vision_ep9307.c,
     src/tap/cable/jim.c, src/tap/cable/ft2232.c,
     src/tap/cable/generic_parport.c: More malloc/free cleanup
       in cable drivers (Hartley Sweeten)

2008-05-28  Kolja Waschk <kawk>

   * src/cmd/cable.c, src/tap/cable/wiggler.c,
     src/tap/cable/generic_usbconn.c, src/tap/cable/vision_ep9307.c,
     src/tap/cable/jim.c, src/tap/cable/ft2232.c, 
      src/tap/cable/usbblaster.c, src/tap/cable/generic_parport.c: Cable
      connect/disconnect cleanup, fix malloc/free issues (Hartley Sweeten)

2008-05-27  Arnim Laeuger  <arniml>

   * UrJTAG.txt: document progress option of svf command
   * src/cmd/svf.c (cmd_svf_run): new command option 'progress'
   * src/svf/svf.c (svf_run), include/svf.h (svf_run): new parameter
     print_progress
   * src/svf/svf_flex.l (fix_yylloc_nl): report line / total number

2008-05-26  Arnim Laeuger  <arniml>

   [adding svf progress output] (Steve Franks)
   * src/svf/svf_bison.y (svf_bison_init): hand down parameters for scanner
     initialization
   * src/svf/svf_flex.l: output progress indicator upon newline detection
   * src/svf/svf.c (svf_run): caluclate number of lines and pass result
     to scanner initialization
   * src/svf/svf.h: added "extra" data type for scanner

2008-05-26  Kolja Waschk <kawk>

   * src/bus/avr32.c, src/bus/buses.c, src/bus/buses.h,
     src/bus/Makefile.am, src/flash/amd.c, THANKS, configure.ac,
     doc/UrJTAG.txt, data/atmel/at32ap7000, data/atmel/at32ap7000/at32ap7000,
     data/atmel/at32ap7000/STEPPINGS, data/atmel/PARTS, data/Makefile.am:
     add support for Atmel's AT32AP7000 (by Gabor Juhos)

2008-05-24  Arnim Laeuger  <arniml>

   * src/tap/cable/usbblaster.c (usbblaster_connect): added missing
     malloc for cable_params

2008-05-23  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/PARTS: Add BF526 id.

2008-05-21  Jie Zhang  <jie.zhang@analog.com>

   [ 1951767 ] bsdl2jtag cannot parse some bsdl files
   * src/bsdl2jtag.c (endline): Prevent `:' from being scanned in.

2008-05-21  Jie Zhang  <jie.zhang@analog.com>

   [ 1968455 ] Enter UPDATE state after register shift
   * include/chain.h (EXITMODE_UPDATE): Define.
   * src/tap/tap.c (tap_defer_shift_register): Enter Update-DR
     or Update-IR when requested.

2008-05-20  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c, src/tap/cable/usbblaster.c:
     typo in help string fixed
   * src/tap/cable/ft2232.c, src/tap/cable/usbblaster.c:
     run on top of usbconn drivers
   * src/tap/cable/cmd_xfer.c, src/tap/cable/cmd_xfer.h:
     provide command queueing functions to ft2232.c and usbblaster.c
   * src/tap/usbconn/libftd2xx.c, src/tap/usbconn/libftdi.c,
     include/usbconn/libftdx.h, src/tap/parport/ftdi.c,
     src/tap/parport/ftd2xx.c, src/tap/parport.c, src/tap/Makefile.am,
     src/tap/usbconn.c, src/tap/cable/generic_usbconn.c,
     src/tap/cable/generic_usbconn.h, doc/UrJTAG.txt:
     ftdi & ftd2xx drivers ported from parport to usbconn
   * src/tap/usbconn/libusb.c, include/usbconn.h: added read and write
   * configure.ac: --enable-parport renamed to --enable-lowlevel
     respective renaming for Makefile and C macros

2008-05-13  Kolja Waschk <kawk>

   * src/tap/cable/generic_usbconn.c: Read VID/PID as hexadecimal, fixes 
	 Bug [1962628] VID/PID for usbconn cables are parsed as decimal

2008-05-12  Kolja Waschk <kawk>

   * doc/jtag.1: Explanation of [file] argument, correct location
     of rc file (thanks Steve Franks for noticing)

2008-05-09  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/PARTS, data/Makefile.am, data/analog/bf527/:
     Rename BF527c to BF527 and relocate files as appropriate.
   * data/analog/PARTS, data/Makefile.am, data/analog/bf548/:
     Rename BF549 to BF548 and relocate files as appropriate.
   * data/analog/bf527/STEPPINGS: Add support for bf527 0.1.

2005-05-06  Kolja Waschk <kawk>

   * acinclude.m4, src/cmd/cmd.c, src/jtag.c: 
     Update for [ 1940323 ] OS X support for UrJTAG (by Ville Voipio)

2008-05-05  Mike Frysinger  <vapier@gentoo.org>

   * src/svf/svf.c: Fix __MINGW32__ typo.
   * src/flash/amd.c: Remove _() around part names.
   * src/flash/amd_flash.c: Likewise.
   * src/lib/safe-ctype.c: Include from libiberty as it is needed on some
     non-POSIX ports (like mingw).
   * src/cmd/include.c (cmd_include_or_script_run): Add handling of absolute
     paths under Windows that take the form <letter>:\.
   * sysdep.h, src/flash/amd.c, src/flash/amd_flash.c, src/jtag.c: Move some
     Windows stub functions to sysdep.h so we don't have to redeclare them in
     every single file and so we don't trigger future bitrot.

2008-05-04  Mike Frysinger  <vapier@gentoo.org>

   * src/flash/amd.c: Handle chipid 0x22ed M29W640DT.

2008-05-02  Arnim Laeuger  <arniml>

   * src/tap/cable/generic_usbconn.c (generic_usbconn_connect):
     fix user_specified.driver comparison

2008-05-01  Mike Frysinger  <vapier@gentoo.org>

   * configure.ac: Check for libusb before libftdi since the latter needs
     the former.
   * configure.ac: Use AC_PATH_TOOL() instead of AC_PATH_PROG() so that we
     handle cross-compiling sanely.
   * configure.ac: Make LIBS/CPPFLAGS sane and consistent when checking for
     libusb and libftdi.
   * configure.ac: Use POSIX compliant tests for equality ("=", not "==").

2008-04-26  Kolja Waschk <kawk>

   * src/flash/amd.c: Separate Chip name by Manufacturer (Andrey F. Ilchuk)

2008-04-24  Mike Frysinger  <vapier@gentoo.org>

   * src/tap/usbconn/libusb.c (usbconn_libusb_connect): Use the
     usb_get_busses() function rather than the usb_busses global
     variable due to portability issues (like with libusb-win32).
   * src/jtag.c (jtag_readline_loop): [ 1950315 ] Fix quiting when
     using the non readline version.
   * configure.ac: [ 1950061 ] Look for the ChangeLog in $srcdir.

2008-04-19  Kolja Waschk <kawk>

   * src/tap/parport/ftd2xx.c: SetBaudRate to 3E6, not 48E6. Should
     fix [ 1925509 ] ftd2xx: SetBaudRate fails with FT245
   * src/flash/intel.c: Handle chips that support "Mitsubishi
     standard/enhanced command set" just like Intel chips. Need
     to do more research about the differences (if any) [1946559]
   * src/tap/cable/usbblaster.c: clock() at highest possible rate
     using the byte shift mode for n>=8 (Thanks M. Banditt)
   * include/cmd.h, src/cmd/cmd.c, src/jtag.c: [ 1946331 ] command
     completion support (by Mike Frysinger)
   * configure.ac, acinclude.m4: [ 1946114 ] make AC_PROG_SED
     workaround sane (Mike Frysinger)
   * include/jtag.h, src/cmd/detect.c, src/tap/detect.c:
     [ 1946119 ] fixup relocatable jtag in detection (M.Frysinger)
   * src/cmd/frequency.c: ensure that cable is initialized. Fixes
     [ 1933736 ] "frequency" command segfaults without args

2008-04-19  Arnim Laeuger  <arniml>

   * src/bsdl/Makefile.am, src/svf/Makefile.am: ensure that
     bsdl_bison.h is generated prior to compiling bsdl_flex.c and
     bsdl_bison.c
     [ 1943435 ] fixup bsdl parallel build issue (part2)

2008-04-13  Kolja Waschk <kawk>

  * src/tap/parport/ftd2xx.c, src/tap/usbconn/libusb.c, src/lib/fclock.c,
    src/jtag.c, src/flash/amd_flash.c, src/flash/amd.c, src/flash/jedec.c,
    src/svf/svf.c, configure.ac, doc/UrJTAG.txt: Provide variants of
    usleep, frealtime, mkdir for [ 1838732 ] EXE built with MinGW

2008-04-11  Kolja Waschk <kawk>

   * src/bsdl/bsdl.c, src/tap/parport/ftd2xx.c, src/tap/parport/ftdi.c,
     src/tap/usbconn/libusb.c, src/lib/fclock.c, src/jtag.c:
     [ 1940323 ] OS X support for UrJTAG (by Ville Voipio)

2008-04-11  Arnim Laeuger  <arniml>

   * src/tap/parport/ftdi.c (ftdi_flush_output): removed unused variables

2008-04-11  Jie Zhang  <jie.zhang@analog.com>

   From Michael Hennerich <michael.hennerich@analog.com>
   * src/tap/parport/ftdi.c (ftdi_generic_open): Detect
     BFIN-UJTAG cable.
   * src/tap/cable.c (ft2232_bfin_ujtag_cable_driver): Declare.
     (cable_drivers): Add ft2232_bfin_ujtag_cable_driver.
   * src/tap/cable/ft2232.c (BIT_BFIN_UJTAG_nTRST,
     BIT_BFIN_UJTAG_nLED, BITMASK_BFIN_UJTAG_nTRST,
     BITMASK_BFIN_UJTAG_nLED): Define.
     (ft2232_bfin_ujtag_init): New.
     (ft2232_bfin_ujtag_done): New.
     (ft2232_bfin_ujtag_cable_driver): Define.

2008-04-10  Jie Zhang  <jie.zhang@analog.com>

   * src/flash/flash.c (flashmem): Show the address when verifying.
     Show the end address when program and verify complete.

2008-04-10  Jie Zhang  <jie.zhang@analog.com>

   From Stefan Pledl  <stefan.pledl@mesutronic.de>
   * src/bsdl2jtag.c (endline): Set mode to 0 for INSTRUCTION_LENGTH
     and BOUNDARY_LENGTH attributes.
   * data/atmel/atf15xx/STEPPINGS: New file.
   * data/atmel/atf15xx/atf1504asv: New file.
   * data/atmel/PARTS: Add atf15xx.
   * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
     atmel/atf15xx/STEPPINGS and atmel/atf15xx/atf1504asv.

2008-04-09  Jie Zhang  <jie.zhang@analog.com>

   * src/bus/bf537_stamp.c (bf537_stamp_bus_new_1): Renamed
     from bf537_stamp_bus_new, but don't set driver.
     (bf537_stamp_bus_new): Call bf537_stamp_bus_new_1 and
       set driver here.
     (bf537_ezkit_bus_new): Likewise.
     (bf527_ezkit_bus_new): Likewise.
     (bf537_ezkit_bus): Replace bf537_stamp_bus_new with
       bf537_ezkit_bus_new.
     (bf527_ezkit_bus_printinfo): New.
     (bf527_ezkit_bus): Define.
   * src/bus/buses.c (bus_drivers[]): Add bf527_ezkit_bus.
   * src/bus/buses.h (bf527_ezkit_bus): Declare.
   * src/bus/Makefile.am (libbus_a_SOURCES): Add bf537_stamp.c
     if ENABLE_BUS_BF527_EZKIT. Allow ENABLE_BUS_BF537_EZKIT
     independent on ENABLE_BUS_BF537_STAMP.
   * configure.ac: Add bf527_ezkit.
   * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
     analog/bf527c/STEPPINGS and analog/bf527c/bf527c.
   * data/analog/bf527c/bf527c: New file.
   * data/analog/bf527c/STEPPINGS: New file.
   * data/analog/PARTS: Add bf527c.

2008-04-09  Michael Hennerich <michael.hennerich@analog.com>

   * data/analog/bf537/STEPPINGS: Add stepping 3.

2008-04-08  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl_flex.l (bsdl_flex_deinit): close file if still open

2008-04-08  Kolja Waschk <kawk>

   * src/cmd/idcode.c: [ 1936543 ] Check for set-up cable in idcode (U.Bonnes)

2008-04-05  Kolja Waschk <kawk>

   * src/tap/cable/usbblaster.c: [ 1934843 ] Fix for USBBLASTER (U.Bonnes)
   * src/jtag.c: [ 1933141 ] Don't add duplicate history lines (U.Bonnes)

2008-04-03  Kolja Waschk <kawk>

   * src/jtag.c: Optionally use JTAG_PROMPT environment setting for
     prompt instead of "jtag>" (by Mike Frysinger)

   * include/jtag.h, src/cmd/jtag_data_dir.c, src/cmd/include.c,
     src/cmd/Makefile.am, src/bsdl/Makefile.am, src/bsdl/bsdl_flex.l,
     src/lib/make-relative-prefix.c, src/lib/safe-ctype.h,
     src/lib/lbasename.c, src/lib/Makefile.am, src/lib/filenames.h,
     src/lib/lrealpath.c, src/jtag.c, configure.ac:
     [ 1916428 ] support runtime-relocatable urjtag (by Mike Frysinger)

   * include/jtag.h, src/cmd/cmd.c, src/cmd/idcode.c, src/cmd/Makefile.am,
     src/tap/parport/ftdi.c, src/tap/idcode.c, src/tap/Makefile.am, THANKS:
     [ 1933730 ] new "idcode" command (by Uwe Bonnes)

2008-04-03  Arnim Laeuger  <arniml>

   [ 1929235 ] Use less global and static variables:
   * src/bus/jopcyc.c, src/bus/zefant-xs3.c: made global variable
     last_address local
   * src/svf/svf.c, src/svf/svf.h: support reentrant parser and scanner
   * src/svf/svf_bison.y: provisions for reentrant parser
   * src/svf/svf_flex.l: made scanner reentrant
   * src/svf/Makefile.am: removed command line options for
     bison and flex
   * configure.ac: require flex 2.5.33 also for SVF scanner
   * doc/UrJTAG.txt: document flex version for SVF scanner

2008-04-02  Arnim Laeuger  <arniml>

   [ 1929235 ] Use less global and static variables:
   * src/bsdl/bsdl.c, src/cmd/bsdl.c: use globals from chain_t
   * src/tap/chain.c (chain_alloc): init BSDL globals
   * include/chain.h: added bsdl_globs_t to chain_t
   * include/bsdl.h: defined structure for BSDL globals
   * src/bsdl/Makefile.am, src/bsdl/bsdl_sem.c, src/bsdl/bsdl_flex.l,
     src/bsdl/bsdl_bison.y, src/bsdl/bsdl.c, src/bsdl/bsdl_local.h:
       renamed bsdl.h to bsdl_local.h

2008-04-01  Arnim Laeuger  <arniml>

   [ 1887221 ] Add configure switch to disable all cable&parport drivers:
   * doc/UrJTAG.txt: updates for new options and summary reporting
   * src/tap/parport.c: reworked driver referencing based on
     ENABLE_PARPORT_* macros
   * src/tap/cable.c: reworked driver referencing based on
     ENABLE_CABLE_* macros
   * src/tap/Makefile.am (libtap_a_SOURCES): include sources based on
     ENABLE_CABLE_* and ENABLE_PARPORT_* macros
   * src/bus/buses.c: reference bus drivers based on ENABLE_BUS_* macros
   * src/bus/buses.h: sorted sequence of extern declarations
   * src/bus/Makefile.am (libbus_a_SOURCES): include sources based on
     ENABLE_BUS_* macros
   * src/Makefile.am (jtag_LDADD): moved -lcmd to top of list to prevent
     linker error for --enable-cable=jim
   * configure.ac: added switches --enable-bus, --enable-cable and enable-parport
     removed (superseeded) --enable-jim and --enable-ep9307

2008-03-26  Kolja Waschk <kawk>

   * src/flash/amd.c: Fix address shift (Jeff Wittrock)

2008-03-15  Jie Zhang  <jie.zhang@analog.com>

   * include/jtag.h (jtag_parse_line): Declare.
     (jtag_parse_stream): Declare.
   * src/discovery.c: Move ...
   * src/tap/discovery.c: ... here.
   * src/detect.c: Move ...
   * src/tap/detect.c: ... here.
   * src/tap/Makefile.am (libtap_a_SOURCES): Add detect.c and
       discovery.c.
   * src/readmem.c: Move ...
   * src/bus/readmem.c: ... here.
   * src/writemem.c: Move ...
   * src/bus/writemem.c: ... here.
   * src/bus/Makefile.am (libbus_a_SOURCES): Add readmem.c and
       writemem.c.
   * src/flash.c: Move ...
   * src/flash/flash.c: ... here.
   * src/flash/Makefile.am (libflash_a_SOURCES): Add flash.c.
   * src/jtag.c (get_token, jtag_parse_line, jtag_parse_stream,
     jtag_parse_file): Move to ...
   * src/cmd/parse.c: ... here.
   * src/cmd/Makefile.am (libbus_a_SOURCES): Add parse.c.
   * src/Makefile.am (jtag_SOURCES): Remove detect.c, discovery.c,
       readmem.c, writemem.c and flash.c.
     (jtag_LDADD): Add -ltap and -lflash one more time to resolve
       undefined references.

   * po/POTFILES.in: Update according to the changes above.
   * po/fr.po, po/rw.po, po/sk.po: Update.

2008-03-14  Arnim Laeuger  <arniml>

   * configure.ac: format AC_ARG_ENABLE help with AS_HELP_STRING macro

2008-03-13  Kolja Waschk <kawk>

   * po/POTFILES.in: Sorted and updated to fix [1904952] Missing xpcu_pp.c
       prevents "make urjtag.pot-update"
   * po/fr.po, po/rw.po, po/sk.po: Updated

2008-03-10  Arnim Laeuger  <arniml>

   [ 1911429 ] Read TDO data from instruction shift:
   * doc/UrJTAG.txt: removed note about SIR deficiency
   * src/svf/svf.c (svf_sxr): request TDO capture for SIR when command specifies TDO paramters
   * src/tap/chain.c (chain_shift_instructions_mode): use defered shifting and capture TDO
       output when requested
   * src/part/instruction.c (instruction_alloc): allocate tap_register out
   * include/chain.h: parameter capture_output added to chain_shift_instructions_mode()
   * include/instruction.h: tap_register out added

2008-03-03  Arnim Laeuger  <arniml>

   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): fix FT_SetChar() parameters
   * doc/UrJTAG.txt: fix some typos

2008-03-01  Arnim  <arniml>

   * src/tap/parport/ftdi.c (ftdi_mpsse_open): rework sequence to fix
       a system that shows similar hangs as reported in
       [ 1904970 ] JTAG operations hang with libftdi
   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): align with ftdi.c

2008-03-01  Kolja Waschk <kawk>

   * src/tap/cable/jlink.c: Added VREF detection and a call to usb_reset()
      when cable initialization failed
   * src/tap/cable/xpc.c: Implemented much faster access method using GPIF
      transfers via vendor request 0xA6. Reportedly works with DLC9 now.

2008-02-28  Kolja Waschk <kawk>

   * doc/UrJTAG.txt: Concretized list of supported USB cables.
   * src/detect.c: Use "include" internally instead of "script", avoid errmsg

2008-02-27  Kolja Waschk <kawk>

   * src/tap/cable/generic.c (generic_flush_one_by_one): Always flush,
       don't let the queue grow unnecessarily.

2008-02-27  Jie Zhang  <jie.zhang@analog.com>

   * include/bus.h: Don't include chain.h.
   * include/svf.h: Include chain.h.
     (svf_run): Add a parameter to pass chain.
   * include/cmd.h: Include chain.h.
     (cmd_t): Add a parameter to pass chain for run.
     (cmd_run, cmd_test_cable): Add a parameter to pass chain.
   * include/bus_driver.h: Include chain.h.
     (struct bus_driver): Add a parameter to pass chain for new_bus.
   * include/bsdl.h: Include chain.h
     (bsdl_read_file, bsdl_scan_files): Add a parameter to pass chain.
   * include/jtag.h (chain): Don't declare.
     (jtag_parse_file): Add a parameter to pass chain.
   * src/bsdl/bsdl.c (bsdl_read_file): Add a parameter to pass chain.
       Initialize parser_priv->jtag_ctrl.chain.
     (bsdl_scan_files): Add a parameter to pass chain.
   * src/bsdl/bsdl_sem.c (bsdl_set_instruction_length): Call cmd_run
       with priv->jtag_ctrl.chain.
   * src/bsdl/bsdl.h (struct jtag_ctrl): Add chain field.
   * src/detect.c (detect_parts): Pass chain to bsdl_scan_files
       and cmd_run.
   * src/bus/bf548_ezkit.c (bf548_ezkit_bus_new): Add a parameter to
       pass chain.
   * src/bus/fjmem.c (fjmem_bus_new): Likewise.
   * src/bus/ppc405ep.c (ppc405ep_bus_new): Likewise.
   * src/bus/sh7727.c (sh7727_bus_new): Likewise.
   * src/bus/prototype.c (prototype_bus_new): Likewise.
   * src/bus/sa1110.c (sa1110_bus_new): Likewise.
   * src/bus/ppc440gx_ebc8.c (ppc440gx_ebc8_bus_new): Likewise.
   * src/bus/tx4925.c (tx4925_bus_new): Likewise.
   * src/bus/sh7750r.c (sh7750r_bus_new): Likewise.
   * src/bus/pxa2x0.c (pxa2x0_bus_new): Likewise.
     (pxa27x_bus_new): Likewise.
   * src/bus/bf533_stamp.c (bf533_stamp_bus_new): Likewise.
   * src/bus/bf533_ezkit.c (bf533_ezkit_bus_new): Likewise.
   * src/bus/bf537_stamp.c (bf537_stamp_bus_new): Likewise.
   * src/bus/ixp425.c (ixp425_bus_new): Likewise.
   * src/bus/h7202.c (h7202_bus_new): Likewise.
   * src/bus/zefant-xs3.c (zefant_xs3_bus_new): Likewise.
   * src/bus/bcm1250.c (bcm1250_bus_new): Likewise.
   * src/bus/sharc21065l.c (sharc_21065L_bus_new): Likewise.
   * src/bus/au1500.c (au1500_bus_new): Likewise.
   * src/bus/lh7a400.c (lh7a400_bus_new): Likewise.
   * src/bus/sh7751r.c (sh7751r_bus_new): Likewise.
   * src/bus/mpc5200.c (mpc5200_bus_new): Likewise.
   * src/bus/jopcyc.c (jopcyc_bus_new): Likewise.
   * src/bus/slsup3.c (slsup3_bus_new): Likewise.
   * src/bus/bf561_ezkit.c (bf561_ezkit_bus_new): Likewise.
   * src/bus/s3c4510x.c (s3c4510_bus_new): Likewise.
   * src/bus/ejtag.c (ejtag_bus_new): Likewise.
   * src/bus/mpc824x.c (mpc824x_bus_new): Likewise.
     (mpc824x_bus_write): Change chain to CHAIN.
   * src/svf/svf.c (yyparse): Add a parameter to pass chain. And update
       all call sites.
     (svf_force_reset_state): Likewise.
     (svf_goto_state): Likewise.
     (svf_frequency): Likewise.
     (svf_runtest): Likewise.
     (svf_state): Likewise.
     (svf_sxr): Likewise.
     (svf_trst): Likewsie.
     (svf_run): Likewise.
   * src/svf/svf_bison.y (yyerror): Update declaration and call sites.
     (chain): %parse-param.
   * src/svf/svf.h: Include chain.h and update function declarations.
   * src/cmd/endian.c (cmd_endian_run): Add a parameter to pass chain.
       And update all call sites.
   * src/cmd/frequency.c (cmd_frequency_run): Likewise.
   * src/cmd/part.c (cmd_part_run): Likewise.
   * src/cmd/salias.c (cmd_salias_run): Likewise.
   * src/cmd/instruction.c (cmd_instruction_run): Likewise.
   * src/cmd/quit.c (cmd_quit_run): Likewise.
   * src/cmd/register.c (cmd_register_run): Likewise.
   * src/cmd/debug.c (cmd_debug_run): Likewise.
   * src/cmd/flashmem.c (cmd_flashmem_run): Likewise.
   * src/cmd/svf.c (cmd_svf_run): Likewise.
   * src/cmd/peekpoke.c (cmd_peek_run): Likewise.
     (cmd_poke_run): Likewise.
   * src/cmd/cmd.c (cmd_test_cable): Likewise.
     (cmd_run): Likewise.
   * src/cmd/dr.c (cmd_dr_run): Likewise.
   * src/cmd/cable.c (cmd_cable_run): Likewise.
   * src/cmd/shell.c (cmd_shell_run): Likewise.
   * src/cmd/discovery.c (cmd_discovery_run): Likewise.
   * src/cmd/detect.c (cmd_detect_run): Likewise.
   * src/cmd/readmem.c (cmd_readmem_run): Likewise.
   * src/cmd/signal.c (cmd_signal_run): Likewise.
   * src/cmd/shift.c (cmd_shift_run): Likewise.
   * src/cmd/initbus.c (cmd_initbus_run): Likewise.
   * src/cmd/eraseflash.c (cmd_eraseflash_run): Likewise.
   * src/cmd/bit.c (cmd_bit_run): Likewise.
   * src/cmd/get.c (cmd_get_run): Likewise.
   * src/cmd/test.c (cmd_test_run): Likewise.
   * src/cmd/reset.c (cmd_reset_run): Likewise.
   * src/cmd/include.c (cmd_include_or_script_run): Likewise.
     (cmd_include_run): Likewise.
     (cmd_script_run): Likewise.
   * src/cmd/bsdl.c (cmd_bsdl_run): Likewise.
   * src/cmd/scan.c (cmd_scan_run): Likewise.
   * src/cmd/detectflash.c (cmd_detectflash_run): Likewise.
   * src/cmd/help.c (cmd_help_run): Likewise.
   * src/cmd/writemem.c (cmd_writemem_run): Likewise.
   * src/cmd/bus.c (cmd_bus_run): Likewise.
   * src/cmd/set.c (cmd_set_run): Likewise.
   * src/cmd/print.c (cmd_print_run): Likewise.
   * src/jtag.c (chain): Don't define.
     (jtag_parse_line): Add a parameter to pass chain.
       And update all call sites.
     (jtag_readline_multiple_commands_support): Likewise.
     (jtag_readline_loop): Likewise.
     (jtag_parse_stream): Likewise.
     (jtag_parse_file): Likewise.
     (jtag_parse_rc): Likewise.
     (cleanup): Likewise.
     (main): Define a local chain.

2008-02-26  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c (send_and_receive): loopback_off moved to ftdi.c/ftd2xx.c
   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): set TCK, loopback_off, reset, purge
   * src/tap/parport/ftdi.c (ftdi_mpsse_open): set TCK, loopback_off, reset, purge

2008-02-24  Mike Frysinger  <vapier>

   * src/jtag.c: allow people to disable startup message (1901877),
       quit upon EOF (1901880)

2008-02-25  Arnim Laeuger  <arniml>

   * src/bus/fjmem.c (fjmem_bus_new): accept 'len' parameter to suppress
       data register length detection

2008-02-25  Kolja Waschk <kawk>

   * include/usbconn/libusb.h, src/tap/cable/jlink.c: J-Link driver
       doesn't use global variables anymore

2008-02-25  Jie Zhang  <jie.zhang@analog.com>

   * src/bus/buses.c (bus_drivers): bf548_ezkit_bus.
   * src/bus/buses.h: Declare bf548_ezkit_bus.

   * include/flash/cfi.h (MAJOR_VERSION_OFFSET): New macro.
     (MAJOR_VERSION_OFFSET): New macro.
     (MINOR_VERSION_OFFSET): New macro.
     (ADDRESS_SENSITIVE_UNLOCK_OFFSET): New macro.
     (ERASE_SUSPEND_OFFSET): New macro.
     (SECTOR_PROTECT_OFFSET): New macro.
     (SECTOR_TEMPORARY_UNPROTECT_OFFSET): New macro.
     (SECTOR_PROTECT_SCHEME_OFFSET): New macro.
     (SIMULTANEOUS_OPERATION_OFFSET): New macro.
     (BURST_MODE_TYPE_OFFSET): New macro.
     (PAGE_MODE_TYPE_OFFSET): New macro.
     (ACC_MIN_OFFSET): New macro.
     (ACC_MAX_OFFSET): New macro.
     (TOP_BOTTOM_SECTOR_FLAG_OFFSET): New macro.
     (PROGRAM_SUSPEND_OFFSET): New macro.
     (UNLOCK_BYPASS_OFFSET): New macro.
     (SECSI_SECTOR_SIZE_OFFSET): New macro.
     (EMBEDDED_HWRST_TIMEOUT_MAX_OFFSET): New macro.
     (NON_EMBEDDED_HWRST_TIMEOUT_MAX_OFFSET): New macro.
     (ERASE_SUSPEND_TIMEOUT_MAX_OFFSET): New macro.
     (PROGRAM_SUSPEND_TIMEOUT_MAX_OFFSET): New macro.
     (BANK_ORGANIZATION_OFFSET): New macro.
     (BANK_REGION_INFO_OFFSET): New macro.
     (struct amd_pri_extened_query_structure): Define.
     (amd_pri_extened_query_structure_t): Typedef.
   * src/flash/cfi.c (cfi_array_free): Free primary vendor table.
     (cfi_detect): Detect AMD CFI primary vendor-specific extended
     query table. Reverse the order of erase block region information
     for top boot devices.
   * src/flash/detectflash.c (detectflash): Print out information
     of AMD CFI primary vendor-specific extended query table.

2008-02-24  Kolja Waschk <kawk>

   * include/cable.h, include/usbconn.h, include/usbconn/libusb.h,
     src/tap/cable.c, src/tap/usbconn/libusb.c, src/tap/parport.c,
     src/tap/usbconn.c, src/tap/Makefile.am: Merged code from usb_abstraction
       branch, adding a "usbconn" link driver (similar to the existing
       parport link driver) for USB cables.

   * src/tap/cable/generic_parport.c, src/tap/cable/generic_parport.h,
     src/tap/cable/generic_usbconn.h, src/tap/cable/generic_usbconn.c,
     src/tap/cable/generic.c, src/tap/cable/generic.h: Separated link-specific
       code from generic.c into addition source files for parport and usbconn

   * src/tap/cable/wiggler.c, src/tap/cable/arcom.c, src/tap/cable/mpcbdm.c,
     src/tap/cable/usbblaster.c, src/tap/cable/jlink.c, src/tap/cable/ea253.c,
     src/tap/cable/vision_ep9307.c, src/tap/cable/triton.c, src/tap/cable/ei012.c,
     src/tap/cable/byteblaster.c, src/tap/cable/wiggler2.c, src/tap/cable/dlc5.c,
     src/tap/cable/ft2232.c, src/tap/cable/keithkoep.c, src/tap/cable/lattice.c:
        Small modifications to adapt to the changes in cable.h and generic.h

   * src/tap/cable/xpc.c, src/tap/parport/xpcu_pp.c, src/tap/parport/xpcu_common.c:
     Xilinx Platform Cable USB driver now based on usbconn link driver

   * src/tap/cable/jlink.c: New driver for Segger J-Link, Atmel SAM-ICE etc.
       based on usbconn link driver

   * doc/UrJTAG.txt: Added section about link drivers

2008-02-24  Eugene Boldenkov <eugene_b>

   * src/bus/mpc824x.c: Add 32-bit bus support (1900847)

2008-02-24  Mike Frysinger  <vapier>

   * configure.ac: Fix building out of tree (1899908), only use libusb flags
       as needed (1899930), provide flag about wchar.h presence (1899922)
   * src/cmd/print.c: Fix dependency on wchar.h (1899922)

2008-02-23  Arnim Laeuger  <arniml>

   * extra/fjmem/README: new file
   * doc/UrJTAG.txt: mention fjmem driver, document bus driver internals
   * src/svf/Makefile.am (svf_flex.o svf.o): fix dependencies to svf_bison.h
   * src/bsdl/Makefile.am (bsdl_flex.o bsdl_sem.o): fix dependencies to bsdl_bison.h
    -> resolves [ 1899911 ]
   * src/tap/cable/ft2232.c (send_and_receive): only flush if not TO_OUTPUT
   * src/tap/chain.c (chain_shift_data_registers_mode): flush TO_OUTPUT instead
       of CONSERVATIVELY
   * src/tap/cable.c (cable_flush), include/cable.h (enum): removed CONSERVATIVELY
   * configure.ac: conservative-flush removed

2008-02-21  Arnim Laeuger  <arniml>

   * src/tap/parport/ftdi.c (ftdi_mpsse_open): set latency timer to 16ms
   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): set latency timer to 16ms
   * src/tap/cable/ft2232.c (send_and_receive): issue SEND_IMMEDIATE command
       when receive bytes were scheduled
   * src/bsdl/bsdl_bison.y, src/bsdl/bsdl.h, src/bsdl/bsdl_flex.l, src/bsdl/bsdl.c:
       push mode and debug through init tree to avoid error message from scanner
       in simple test mode.
   * src/bus/fjmem.c: merged branches/jmem to trunk
       -> added fjmem bus driver

2008-02-20  Arnim Laeuger  <arniml>

   * data/Makefile.am (nobase_dist_pkgdata_DATA): added bsdl/STD_1149_1_2001

2008-02-20  Kolja Waschk <kawk>

   Version 0.8 released.

2008-02-20  Kolja Waschk <kawk>

   * po/fr.po, po/sk.po, po/rw.po, POTFILES.in: Regenerated or updated

2008-02-19  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl_flex.l (bsdl_flex_set_bin_x), src/bsdl/bsdl.h,
     src/bsdl/bsdl_bison.y (Init_Text): properly support COMPLIANCE_PATTERNS
     -> fix for [ 1896382 ]

2008-02-18  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl.c, src/bsdl/bsdl_flex.l, src/bsdl/bsdl_bison.y,
     src/bsdl/bsdl.h, src/bsdl/bsdl_sem.c: support quiet scanning of files
       in include.c
   * src/cmd/include.c (cmd_include_run): check and read file if it's BSDL
       syntax -> [ 1895936 ]
   * doc/UrJTAG.txt: add note about BSDL support in 'include'

2008-02-18  Kolja Waschk <kawk>

   * doc/UrJTAG.txt: How to use initbus (and ejtag/prototype bus driver)
       and some other smaller updates in the "commands" section. Also
       added note about unsupported spiflash* commands, and about now
       obsolete script command (see below)
   * Merged src/script.c into src/include.c. The command looks for the
       specified file in the repository if it's neither an absolute path
       nor begins with ./ or ../, otherwise it uses the filename as is.
       When called as "script", the command behaves as before but emits
       a warning that "include" should be used in future.

2008-02-17  Arnim Laeuger  <arniml>

   * configure.ac: check for pre-generated src/svf/svf_flex.c
       -> second part of [ 1895353 ]
   * src/bsdl/Makefile.am (noinst_HEADERS): bsdl_sysdep.h added for proper
       release packing -> first part of [ 1895353 ]

2008-02-17  Kolja Waschk <kawk>

   * doc/UrJTAG.txt: How to use USB cables. THANKS: some additions
   * include/Makefile.am: Add jim.h and jim/some_cpu.h headers for distr.

2008-02-16  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c (ft2232_flush): fix inconsistency of TDO caching
        in ft2232_flush()
   * THANKS: to the original SVF and BSDL parser programmers
   * src/tap/cable/ft2232.c (ft2232_generic_init, ft2232_jtagkey_init, ft2232_armusbocd_init):
        initialize mpsse frequency via ft2232_set_frequency()

2008-02-16  Kolja Waschk <kawk>

    * src/jtag.c, src/tap/chain.c, include/chain.h: Always flush immediately
        after each command when used interactively
    * src/cmd/scan.c, src/cmd/Makefile.am, src/cmd/cmd.c: Implemented basic
        boundary "scan" command to detect changes on input pins; tested with
        an (completely erased) Actel ProASIC3 A3P125
    * src/svf/svf.c: Small fix for computation of run_count from min_time
    * doc/UrJTAG.txt: Updated doc about building with FTD2XX in Cygwin
    * src/tap/cable.c, include/cable.h, src/tap/cable/*.c (all drivers):
        moved cable_set_frequency functionality from cable.c to the cable
        drivers, to fix [ 1836319 ] Delay loop calibration takes ages
    * src/tap/cable.c: Include ftdi-based cable drivers if either libftdi or
        FTDI's FTD2XX (CDM) drivers are present (--with-ftd2xx)
    * src/flash/Makefile.am, src/flash/jedec_exp.c, src/flash/detectflash.c,
        configure.ac: Experimental new code for flash detection, to be enabled
        during configuration with --enable-jedec-exp (disabled by default)
    * src/bus/s3c4510x.c: disable debug output (was enabled in 929..), do a
        chain_shift_data_registers before trying to read b0size (fixes the
        old problem of B0SIZE unknown, needed for proper flash detection)
    * include/register.h, src/tap/register.c, src/discovery.c: report if tdo
        seems to be stuck during detect_register_size (ie. "detect").

2008-02-14  Arnim Laeuger  <arniml>

    * src/tap/cable.c (cable_flush), src/tap/chain.c (chain_shift_data_registers_mode),
        include/cable.h, configure.ac: follow conservative flush strategy for transfers
        without output capture (if not disabled via configure --disable-conservative-flush)

2008-02-14  Kolja Waschk <kawk>

    * src/tap/chain.c: Enabled the new^2 implementation in tap_shift_register
        (which was implemented 2008-02-03 but not proven (now it is...))

2008-02-14  Jie Zhang  <jie.zhang@analog.com>

    * src/bus/bf537_stamp.c: New.
    * src/bus/bf548_ezkit.c: New.
    * src/bus/bf561_ezkit.c: New.
    * src/bus/buses.c (bus_drivers): Add bf537_stamp_bus,
        bf537_ezkit_bus, and bf561_ezkit_bus.
    * src/bus/buses.h: Declare bf537_stamp_bus, bf537_ezkit_bus,
        and bf561_ezkit_bus.
    * src/bus/Makefile.am (libbus_a_SOURCES): Add bf537_stamp.c,
        bf548_ezkit.c, and bf561_ezkit.c.
    * data/analog/bf533/STEPPINGS: Add stepping 4.
    * data/analog/bf537/bf537: New.
    * data/analog/bf537/STEPPINGS: New.
    * data/analog/bf549/bf549: New.
    * data/analog/bf549/STEPPINGS: New.
    * data/analog/bf561/bf561: New.
    * data/analog/bf561/STEPPINGS: New.
    * data/analog/PARTS: Add bf537, bf549, and bf561.
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
       analog/bf537/STEPPINGS, analog/bf537/bf537,
       analog/bf549/STEPPINGS, analog/bf549/bf549,
       and analog/bf561/STEPPINGS, analog/bf561/bf561.

2008-02-13  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c: implemented control of TRST
        second step of
        [ 1891845 ] Add support for TRST/SRST/LEDs to FT2232 cable driver

2008-02-12  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c: statically set GPIO high byte with product-specific values
        first step of
        [ 1891845 ] Add support for TRST/SRST/LEDs to FT2232 cable driver

2008-02-11  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl_bison.y (Store_Text): removed function Make_String()
        the QUOTED_STRING is directly copied to buffer_for_switch
    * src/bsdl/bsdl.h: memeber String_Val of parser_priv obseleted

2008-02-10  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_generic_init, ft2232_jtagkey_init) 
    (ft2232_armusbocd_init, ft2232_transfer_schedule): store low byte value and direction
        information in param structure to enable "Set Data Bits Low Byte" commands in
        non pod-specific functions.

2008-02-10  Kolja Waschk <kawk>

    * acinclude.m4, configure.ac: Use local copy of AC_PROG_SED macro (renamed
        to ACI_PROG_SED) maintain compatibility with older autoconf; fixes
        [1890192] - autogen.sh fails on AC_PROG_SED
    * include/cable.h, src/tap/cable/usbblaster.c, src/tap/cable/generic.c,
        src/tap/cable/generic.h, src/tap/cable/ft2232.c, src/tap/cable.c,
        doc/UrJTAG.txt: Extended cable_flush() to take one extra argument
        regarding the amount of items to flush (see UrJTAG.txt for doc),
    * cable.c: possible fix and optional more verbose output (#ifdef VERBOSE)
        for tracking down 1884952 Internal error (queue full)

2008-02-09  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_transfer_schedule): ensure max number of bytes for
        a single byte operation
    * src/svf/svf.c (svf_sxr): avoid output capture in case TDO is not specified for SDR

2008-02-07  Kolja Waschk <kawk>

    * src/jtag.c, doc/jtag.1: Fix dropthrough to caller if -n was given
        (fixes [1887179] reported by A.Dyer), add command line option "-i"
        to run interactive mode even after executing commands from files

2008-02-07  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_connect): check parport driver setting
      and set maxrecv accordingly
      (send_and_receive): fix problem with send suspend detection
    * src/tap/parport/ftdi.c (ftdi_mpsse_open): decreased latency timer
      (ftdi_flush_output): return error code from ftdi_write_data
    * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): decreased latency timer

2008-02-05  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c: massive rewrite to support deferred transfers
      initial version with clean queue handling

2008-02-05  Kolja Waschk <kawk>

    * src/tap/cable.c: cable_queue_add_item didn't always correct q->next_free,
         and a memory leak in cable_defer_transfer was fixed [1884952].

2008-02-04  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_flush): rework flush implementation to benefit from
      queued deferred transfers

2008-02-04  Kolja Waschk <kawk>

    * configure.ac, src/tap/parport/xpcu_common.c, src/tap/parport_xpcu_pp.c,
        doc/UrJTAG.txt: Minor fixes regarding bug [1875234] "Can't compile 
        UrJTAG with libusb on Cygwin"
    * src/svf/svf.c: define SA_ONESHOT SA_RESETHAND, fixes bug [1875235]
        (On older Cygwin, SA_ONESHOT isn't known)

2008-02-03  Kolja Waschk <kawk>

    * src/flash/amd.c: Not only bus width but also device geometry affects
        the address shift ([1869650] Improve flash detection and support)
    * src/tap/tap.c, src/tap/chain.c: Split tap_shift_register into two
        halves, one that queues transfers, another that picks up the results.
        ([1832990] Speed improvements for USB cables) esp. for long chains

2008-02-02  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl.h, src/bsdl/bsdl_flex.l: convert filename to uppercase
    * src/bsdl/bsdl_sem.c (create_register): don't create a new register if it's already there
    * data/bsdl/STD_1149_1_2001: dummy file for 2001 standard added
    * src/cmd/print.c (cmd_print_run): accept longer data register name
    * include/data_register.h (MAXLEN_DATA_REGISTER): increased to 32 for some BSDL files
    * src/flash/amd.c (amdstatus): increase timeout count to address
      [ 1882111 ] Timeout in amdstatus() too small

2008-02-02  Kolja Waschk <kawk>

    * src/tap/cable.c: Automatically resize JTAG activity queue if necessary
    * doc/UrJTAG.txt: New section about current cable driver internals

2008-02-01  Arnim Laeuger  <arniml>

    * src/tap/parport/ftd2xx.c (ftd2xx_pre_connect): fix compiler warning
    * src/tap/cable/ft2232.c: cleanup
    (ft2232_usbcable_help): mention ftd2xx-mpsse in cable help

2008-02-01  Kolja Waschk <kawk>

    * include/cable.h, include/chain.h, src/tap/chain.c, src/tap/tap.c,
      src/tap/cable/wiggler.c, src/tap/cable/arcom.c, src/tap/cable/mpcbdm.c,
      src/tap/cable/usbblaster.c, src/tap/cable/generic.c,
      src/tap/cable/vision_ep9307.c, src/tap/cable/ea253.c,
      src/tap/cable/triton.c, src/tap/cable/jim.c, src/tap/cable/byteblaster.c,
      src/tap/cable/ei012.c, src/tap/cable/generic.h, src/tap/cable/ft2232.c,
      src/tap/cable/wiggler2.c, src/tap/cable/keithkoep.c,
      src/tap/cable/lattice.c, src/tap/cable/dlc5.c, src/tap/cable/xpc.c,
      src/tap/cable.c: New functions to queue "deferred" JTAG activity.
        New code in cable drivers to flush the activity queue, both generic
        (for parport-based and new drivers) and optimized implementations
        for FT2232-based cables (by Arnim Laeuger) and USB-Blaster (by me).
        Result is a vast speed improvement at least for FT2232; this
        implements [ 1832990 ] Speed improvements for USB cables

2008-01-30  Arnim Laeuger  <arniml>

    * src/tap/tap.c (tap_reset): set instructions of all parts to BYPASS, fix
      [ 1873260 ] Command 'reset' does not reset internal states
    * src/part/part.c (parts_set_instruction): catch NULL pointer

2008-01-25  Kolja Waschk <kawk>

    * include/jim.h, src/jim/tap.c, intel_28f800b3.c, Makefile.am,
      some_cpu.c: Code skeleton and alloc/free calls for actual parts
      connected to JIM's some_cpu

2008-01-24  Kolja Waschk <kawk>

    * tap/cable/ft2232.c, tap/parport/ftdi.c, tap/cable.c: added support
      for Amontec JTAGkey USB cable (submitted by Laurent Gauch - Amontec)

2008-01-22  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl_flex.l, src/bsdl/bsdl_bison.y,
      data/bsdl/STD_1149_1_1990, data/bsdl/STD_1149_1_1994:
      update header with link to source

2008-01-21  Kolja Waschk <kawk>

    * New JTAG declarations for MPC5241 (from kurobox.com, enh. 1869671)

2008-01-21  Arnim Laeuger  <arniml>

    * src/bsdl/*: use gettext for message strings, removed trailing whitespace

2008-01-20  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl_bison.y, src/bsdl/bsdl_sem.c, src/bsdl/bsdl.h:
      support multiple port names in one port definition
    * src/bsdl/bsdl_bison.y, src/bsdl/bsdl_sem.c, src/bsdl/bsdl.h:
      handle vectored ports correctly, part 1 of fix for
      [ 1875737 ] Syntax errors/Port index warning parsing ATMEL BSDL files
    * src/bsdl/bsdl_bison.y, src/bsdl/bsdl_sem.c, src/bsdl/bsdl_flex.l:
      support OBSERVE_ONLY attribute in cell description (like input attribute)
      part 2 of fix for
      [ 1875737 ] Syntax errors/Port index warning parsing ATMEL BSDL files

2008-01-20  Kolja Waschk <kawk>
 
    * src/jim/some_cpu.c, src/jim/some_cpu.bsd: Added BSDL file for some_cpu
    * src/jim/some_cpu.c, src/jim/some_cpu.bsd, README.jim: JIM can now be
      accessed using the prototype bus driver and displays the given address,
      data and enable signals; example script in README.jim
    * src_jim/tap.c: Fixed TDI shift-in

2008-01-19  Kolja Waschk <kawk>

    * ChangeLog: whitespace cosmetics
    * Makefile.am, configure.ac, jim/tap.c, jim/Makefile.am, jim/README.jim,
      tap/cable/jim.c, tap/cable.c, tap/Makefile.am, jim/some_cpu.c, 
      include/jim.h, include/jim/some_cpu.h: JTAG target simulator "JIM"
      and a "jim" cable driver to "connect" to it; detection already works.

2008-01-18  Arnim Laeuger  <arniml>

    * configure.ac: restructured the test logic for bison error locations and
      the BSDL subsystem [ 1873515 ] BSDL part doesn't compile under Cygwin

2008-01-18  Kolja Waschk   <kawk>

    * Moved the code from libbrux/ subdirectory into appropriate locations in
      our src/ subdirectory (Enhancement 1873220):

      libbrux/cmd/help.c                -> src/cmd/help.c
      libbrux/cmd/quit.c                -> src/cmd/quit.c
      libbrux/cmd/cmd.c + src/cmd.c     -> src/cmd/cmd.c
      libbrux/cmd/cmd_detectflash.c     -> src/cmd/detectflash.c
      libbrux/flash + Makefile.am       -> src/flash/

    * Merged the header files from openwince "include" package, which were 
      previously moved in inclow/, into our final include/ directory, omitting
      all the files that aren't actually used by UrJTAG (Enhancement 1873220):

      common.h                          -> n/a (use bitmask.h!)
      openwince.h (asm/C detection)     -> n/a (use #ifdef __ASSEMBLY__)
      openwince.h (bitmasks)            -> bitmask.h
      brux/cmd.h + cmd.h                -> cmd.h
      brux/cfi.h + brux/flash.h+flash.h -> flash.h
      brux/bus.h                        -> bus_driver.h
      std/mic.h                         -> flash/mic.h
      device/flash/cfi.h                -> flash/cfi.h
      device/flash/intel.h              -> flash/intel.h
      arm/pxa2x0/mc.h                   -> src/bus/pxa2x0_mc.h

2008-01-17  Kolja Waschk   <kawk>

    * UrJTAG.txt: Updates regarding Cygwin ioperm package and readline library
    * src/jtag.c: Without readline library, informative output often
       was printed after prompt, not before
    * src/bus/s3c4510x.c: Address alignment on A0..Ax lines changes dynamically
       with bus width

2008-01-16  Arnim Laeuger  <arniml>

    * src/bus/prototype.c (prototype_bus_new): properly calculate the address
       shift based on the current bus width

2008-01-15  Arnim Laeuger  <arniml>

    * src/bus/prototype.c (prototype_bus_new): parameter amode added

2008-01-11  Arnim Laeuger  <arniml>

    * src/bus/prototype.c: added

2008-01-09  Arnim Laeuger  <arniml>

    * src/bus/h7202.c (h7202_bus_new): API extension

2008-01-08  Arnim Laeuger  <arniml>

    * src/bus/prototype.c: new prototype bus driver (Detrick Martin)
    * src/bus/zefant-xs3.c (zefant_xs3_bus_new): API extension: cmd_params for new_bus()
    * src/bus/sharc21065l.c (sharc_21065L_bus_new): API extension
    * src/bus/jopcyc.c (jopcyc_bus_new): API extension
    * src/bus/tx4925.c (tx4925_bus_new): API extension
    * src/bus/slsup3.c (slsup3_bus_new): API extension
    * src/bus/sh7751r.c (sh7751r_bus_new): API extension
    * src/bus/sh7750r.c (sh7750r_bus_new): API extension
    * src/bus/sh7727.c (sh7727_bus_new): API extension
    * src/bus/s3c4510x.c (s3c4510_bus_new): API extension
    * src/bus/sa1110.c (sa1110_bus_new): API extension
    * src/bus/pxa2x0.c (pxa2x0_bus_new): API extension
    (pxa27x_bus_new): API extension
    * src/bus/ppc405ep.c (ppc405ep_bus_new): API extension
    * src/bus/ppc440gx_ebc8.c (ppc440gx_ebc8_bus_new): API extension
    * src/bus/mpc5200.c (mpc5200_bus_new): API extension
    * src/bus/mpc824x.c (mpc824x_bus_new): API extension
    * src/bus/lh7a400.c (lh7a400_bus_new): API extension
    * src/bus/ixp425.c (ixp425_bus_new): API extension
    * src/bus/bf533_ezkit.c (bf533_ezkit_bus_new): API extension
    * src/bus/bf533_stamp.c (bf533_stamp_bus_new): API extension
    * src/bus/ejtag.c (ejtag_bus_new): API extension
    * src/bus/bcm1250.c (bcm1250_bus_new): API extension
    * src/bus/au1500.c (au1500_bus_new): API extension
    * src/bus/Makefile.am (libbus_a_SOURCES): added prototype.c
    * src/bus/buses.c: added prototype_bus (Detrick Martin)
    * src/cmd/initbus.c (cmd_initbus_run): hand down command parameters to bus_new()

2008-01-06  Arnim Laeuger  <arniml>

    * src/tap/cable/wiggler.c (wiggler_connect): enable bit<->pin mapping from parameter string
    * src/tap/cable/wiggler.c: make std_wgl_map static

2007-12-31  Arnim Laeuger <arniml>

    * src/bsdl/Makefile.am (noinst_HEADERS): move headers to noinst_HEADERS
    * include/Makefile.am (noinst_HEADERS): add bsdl.h to list of headers
    * src/bsdl/Makefile.am (libbsdl_a_SOURCES): add bsdl.h to list of sources

2007-12-30  Arnim Laeuger  <arniml>

    * src/detect.c (detect_parts): call bsdl_scan_file() if configure result indicates inclusion of BSDL subsystem
    * src/cmd/cmd.c: include cmd_svf and cmd_bsdl based on configure result
    * src/Makefile.am (jtag_DEPENDENCIES): link to libsvf.a and libbsdl.a based on configure result
    * src/cmd/Makefile.am (libcmd_a_SOURCES): compile svf.c and bsdl.c based on configure result
    * configure.ac: added --enable-svf and --enable-bsdl
    * README.svf: contents moved to doc/UrJTAG.txt, file deleted
    * data/Makefile.am (nobase_dist_pkgdata_DATA): fixed merge results
    * many files: integration of BSDL parser
    * data/xilinx/PARTS: added xc2v80-fg256,xc2v250-fg256,xc2v1000-fg256
      '[ 1859678 ] jtag support for xilinx xc2v80-fg256, xc2v250, xc2v1000 FPGA' (Alexander Didebulidze)
    * data/altera/ep1c12/ep1c12: CLAMP and HIGHZ instructions activated

2007-12-29  Arnim Laeuger  <arniml>

    * data/altera/PARTS: ep2c8 added
      '[ 1859032 ] jtag support for Altera EP2C8' (Hartley Sweeten)
    * data/Makefile.am (nobase_dist_pkgdata_DATA): ep2c8 files added
      '[ 1859032 ] jtag support for Altera EP2C8' (Hartley Sweeten)

2007-12-27  Arnim Laeuger  <arniml>

    * src/cmd/print.c (cmd_print_run): applied patch:
      '[ 1858985 ] possible fix to print the signal aliases' (Hartley Sweeten)

2007-12-26  Kolja Waschk <kawk>

    * tap/cable/vision_ep9307.c, tap/cable.c, tap/Makefile.am, configure.ac:
      Integrated first modern (single-file w/o parport) cable driver
      (1858709: EP9307 target specific cable driver, from Hartley Sweeten)

2007-12-23  Kolja Waschk <kawk>

    Version 0.7 released.

2007-12-23  Kolja Waschk <kawk>

    * NEWS: Summarized changes since fork from openwince CVS.
    * configure.ac: Updated copyright information.

2007-12-19  Kolja Waschk <kawk>

    * tap/cable/*, tap/parport/xpcu_common.c, cmd/part.c, cmd/cable.c,
      bus/pxa2x0.c, jtag.c: fix prototypes, include stdlib (thx Hartley)
    * src/cmd/print.c: cast uint64_t to (long long unsigned) for %llu

2007-12-18  Kolja Waschk <kawk

    * configure.ac, src/tap/parport/*.c: include stropts.h only if
      it's available (needed for uClinux and others; thanks Hartley)
    * doc/UrJTAG.txt, src/jtag.txt: Cosmetics, Copyright
    * src/tap/Makefile.am: include cable driver for USB Blaster and
      FT2232-based cables if any of libftdi or ftd2xx is present

2007-12-16  Kolja Waschk <kawk>

    * jtag.c: Don't abort on invalid command line options
    * configure.ac: Reorganized the libusb/libftdi detection.
    * data/MANUFACTURERS: Change 11110000111 code to point to
      "ARM" instead of Sharp to stop misdetection of other 
      (non-Sharp) chips which use ARM cores. See Bug 1837991.
    * libbrux/amd/amd_flash.c: Fix for [1851777] segfault when
      running detectflash
    * include/setdevice.h, include/Makefile.am, src/detect.c,
      src/cmd/setdevice.c, src/cmd/cmd.c, src/cmd/Makefile.am,
      src/jtag.c, doc/UrJTAG.txt, libbrux/flash/amd_flash.c,
      libbrux/setdevice.h, libbrux/Makefile.am: Removed code for
      "setdevice" command and added some documentation how to get
      along without it.

2007-12-15  Kolja Waschk <kawk>

    * configure.ac, tap/parport/parport.c, tap/parport/ppi.c,
      tap/parport/direct.c: Adapted openwince patch by Daniel
      O'Connor, [1235990] Add support for FreeBSD's ppi interface
      (closes our copy of that tracker item, 1829585)
    * src/cmd/cable.c, include/cable.h, src/tap/cable/*.c: Add
      help function to every cable; temporarily allow old syntax
      for cable command when used for parallel port cables
    * data/intel/pxa270/STEPPINGS, src/bus/pxa2x0.c: Integrated two
      patches from F. Rysanek, adding C5 stepping of PXA270 and a few
      few functions that resolve the PXA270 address space into the 6 
      default nCS windows per 64MB. (Enhancement req. 1849493)
    * cmd/part.c, cmd/setdevice.c, cmd/instruction.c, cmd/svf.c,
      cmd/dr.c, cmd/initbus.c, cmd/test.c, part/part.c, libbrux/cmd/cmd.c,
      libbrux/cmd/help.c: Make command string comparisons case-insensitive
      (fixes 1845811 "Case sensitivity in shell")

2007-12-14  Kolja Waschk <kawk>

    * README, doc/UrJTAG.txt: pointer to http://www.urjtag.org
    * configure.ac, src/Makefile.am, src/tap/parport/ftd2xx.c:
      Changes to allow linking against FTDI FTD2XX in Cygwin, initial
      support for --with-(libftdi|libusb|ftd2xx) configure options

2007-12-13  Kolja Waschk <kawk>

    * configure.ac: Run "svn info" with "-R" to get latest revision

2007-12-12  Arnim Laeuger  <arniml>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): add missing '\', fixes
      [ 1849477 ] Missing \ in data/Makefile.ac

2007-12-09  Kolja Waschk <kawk>

    * configure.ac: Improve detection of flex version, get Subversion
      revision from 1. svn info, or 2. ChangeLog, or 3. Revision tag, 
      auto-detect whether -lrt is needed
    * src/svf/svf_flex.l: derive HAVE_MODERN_FLEX internally
    * src/jtag.c: show version from config.h, compile without readline
    * src/version.awk: not needed; SVN info now available in config.h
    * src/Makefile.am: removed -lrt link and version.h target
    * doc/UrJTAG.txt: Added info about libraries, ioperm, "setdevice" cmd

2007-12-08  Kolja Waschk <kawk>

    * include/Makefile.am, src/Makefile.am, src/svf/Makefile.am
      configure.ac, libbrux/configure.ac: Mention more files to
      ensure that dist tar.gz is complete; prevent installation
      of inclow/ headers during "make install" on top level

2007-12-07  Kolja Waschk <kawk>

    * README: All info moved to doc/UrJTAG.txt
    * README_21065L: Merged into doc/UrJTAG.txt
    * doc/UrJTAG.xml, UrJTAG.txt: converted DocBook to asciidoc
    * COPYING: GPLv2 added
    * AUTHORS: Updated
    * TODO: removed (we're using SourceForge trackers)

2007-12-06  Kolja Waschk <kawk>

    * ChangeLog: Import SVN commit messages from past month 
    * THANKS: Added all missing names (that I know of) of the people who
      contributed the patches that have been integrated in the past weeks

2007-12-05  Arnim Laeuger  <arniml>

    * src/jtag.c (main): Print build number based on version.h.
    * src/Makefile.am (version.h): Added rules to generate version.h from ChangeLog's revision tag.

2007-12-04 07:06  Kolja Waschk <kawk>

    * include/cable.h, include/parport.h, src/cmd/cable.c,
      src/tap/cable/generic.c, src/tap/cable/generic.h,
      src/tap/parport/direct.c, src/tap/parport/ftd2xx.c,
      src/tap/parport/ftdi.c, src/tap/parport/ppdev.c,
      src/tap/parport/xpcu_pp.c: [1839040] Make "cable" command less
      parport-centric. Changes "cable" command syntax!

2007-12-03 12:18  Kolja Waschk <kawk>

    * ChangeLog: added "Revision" keyword

2007-12-02 17:56  Kolja Waschk <kawk>

    * trunk/include, Makefile.am, configure.ac, inclow: openwince
      "include" package moved into "jtag" (now named "inclow")

2007-11-30 07:06  Kolja Waschk <kawk>

    * README: update fixes [1837364] Install instructions wrong

2007-11-28 22:42  Kolja Waschk <kawk>

    * doc/bsdl2jtag.1, doc/jtag.1: Imported man pages from
      openwince-jtag Debian package (w/permission from p2@debian)

2007-11-28 20:20  Kolja Waschk <kawk>

    * src/jtag.c: [ 1838018 ] "Forbid" to run JTAG tools with suid root

2007-11-28 19:43  Kolja Waschk <kawk>

    * src/jtag.c: [ 1839756 ] (openwince [972637]) add command line
      options to jtag

2007-11-28 00:13  Kolja Waschk <kawk>

    * doc/UrJTAG.xml: Integrated text from Wiki pages from Ralf,
      Incorporated README into UrJTAG.xml

2007-11-27 22:06  Kolja Waschk <kawk>

    * doc/UrJTAG.xml,doc-layout.txt: renamed top-level DocBook XML file

2007-11-27 22:05  Kolja Waschk <kawk>

    * doc/doc-layout.txt, doc/internals.xml: Include license text(s)
      and internals.xml

2007-11-27 21:01  Kolja Waschk <kawk>

    * doc/gpl.dbk, doc/lgpl.dbk: Use version 2, not 3

2007-11-27 20:56  Kolja Waschk <kawk>

    * doc/fdl.xml, doc/gpl.dbk, doc/lgpl.dbk: Added license texts
      (docbook) from www.gnu.org

2007-11-26 14:01  Kolja Waschk <kawk>

    * src/cmd/shell.c: Clean up fix for [1837985] "shell" command
      causes segfault

2007-11-25 22:49  Kolja Waschk <kawk>

    * doc/doc-layout.txt: Converted to DocBook-XSL

2007-11-25 14:45  Kolja Waschk <kawk>

    * doc/doc-layout.txt: Layout draft for new, comprehensive
      documentation...

2007-11-25 13:08  Kolja Waschk <kawk>

    * src/cmd/shell.c: Allow arbitrary number of arguments for "shell"
      command (fix for [1837985] "shell" command causes segfault)

2007-11-25 00:02  Arnim Laeuger  <arniml>

    * src/tap/parport/ftd2xx.c, src/tap/parport/ftdi.c: fix for '[
      1836616 ] Segfault/Memory corruption if USB device inaccessible'

2007-11-23 19:52  Arnim Laeuger  <arniml>

    * configure.ac, src/svf/Makefile.am, src/svf/svf_bison.y,
      src/svf/svf_flex.l: make SVF parser/lexer backwards compatible to
      pre-2.5.31 flex
      for those the error location feature is skipped in svf_flex.l

2007-11-20 20:35  Arnim Laeuger  <arniml>

    * configure.ac, src/cmd/cable.c, src/tap/Makefile.am,
      src/tap/cable/ft2232.c, src/tap/parport.c,
      src/tap/parport/ftd2xx.c, src/tap/parport/ftdi.c: ftd2xx parport
      driver added

2007-11-18 13:38  Arnim Laeuger  <arniml>

    * configure.ac: add some messages to show configuration summary, to
      be extended

2007-11-17 21:39  Arnim Laeuger  <arniml>

    * src/cmd/cable.c: report cable usage for USB & FTDI based cables
      only in case respective support is included

2007-11-16 17:50  Arnim Laeuger  <arniml>

    * include/cable.h, include/chain.h, src/cmd/cable.c, src/svf/svf.c,
      src/tap/Makefile.am, src/tap/cable.c, src/tap/cable/arcom.c,
      src/tap/cable/byteblaster.c, src/tap/cable/dlc5.c,
      src/tap/cable/ea253.c, src/tap/cable/ei012.c,
      src/tap/cable/ft2232.c, src/tap/cable/generic.c,
      src/tap/cable/keithkoep.c, src/tap/cable/lattice.c,
      src/tap/cable/mpcbdm.c, src/tap/cable/triton.c,
      src/tap/cable/usbblaster.c, src/tap/cable/wiggler.c,
      src/tap/cable/wiggler2.c, src/tap/cable/xpc.c, src/tap/chain.c,
      src/tap/parport.c, src/tap/parport/ftdi.c, src/tap/tap.c: merged
      changes from /branches/ft2232_eval@770
      this is the initial stable version of the ft2232 cable driver

2007-11-13 23:09  Arnim Laeuger  <arniml>

    * src/flash.c: removed obsolete declaration of amd_detect()

2007-11-13 08:07  Kolja Waschk <kawk>

    * configure.ac, src/tap/Makefile.am, src/tap/cable.c: Fix [ 1828368 ]
      Compilation fails without libusb/libftdi

2007-11-10 17:17  Kolja Waschk <kawk>

    * data/Makefile.am, data/lattice/PARTS,
      data/lattice/lc4128c-tqfp100,
      data/lattice/lc4128c-tqfp100/STEPPINGS,
      data/lattice/lc4128c-tqfp100/lc4128c-tqfp100: [ 1105256 ] jtag
      descriptor for Lattice LC4032V-TQFP100

2007-11-10 16:22  Arnim Laeuger  <arniml>

    * README.svf: remove links to openwince

2007-11-10 01:15  Arnim Laeuger  <arniml>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/zefant-xs3.c: added Zefant-XS3 bus

2007-11-10 00:31  Arnim Laeuger  <arniml>

    * data/xilinx/xc3s1000/fg320, data/xilinx/xc3s1000/fg456,
      data/xilinx/xc3s1000/fg676, data/xilinx/xc3s1000/ft256,
      data/xilinx/xc3s1000/xc3s1000: xc3s1000 kw

2007-11-10 00:15  Arnim Laeuger  <arniml>

    * data/Makefile.am, data/xilinx/xc3s1000/STEPPINGS,
      data/xilinx/xc3s1000/fg320, data/xilinx/xc3s1000/fg456,
      data/xilinx/xc3s1000/fg676, data/xilinx/xc3s1000/ft256,
      data/xilinx/xc3s1000/xc3s1000,
      data/xilinx/xc3s1000/xc3s1000_fg320,
      data/xilinx/xc3s1000/xc3s1000_fg456,
      data/xilinx/xc3s1000/xc3s1000_fg676,
      data/xilinx/xc3s1000/xc3s1000_ft256,
      data/xilinx/xc3s1000/xc3s1000l,
      data/xilinx/xc3s1000/xc3s1000l_fg320,
      data/xilinx/xc3s1000/xc3s1000l_fg456,
      data/xilinx/xc3s1000/xc3s1000l_fg676,
      data/xilinx/xc3s1000/xc3s1000l_ft256: unification xc3s1000

2007-11-09 22:44  Arnim Laeuger  <arniml>

    * src/cmd/bit.c: fixed [ 1828672 ] cmd/bit.c broken

2007-11-08 09:44  Kolja Waschk <kawk>

    * configure.ac, data/Makefile.am, data/xilinx/PARTS,
      data/xilinx/xc2c256-vq100, data/xilinx/xc2c256-vq100/STEPPINGS,
      data/xilinx/xc2c256-vq100/xc2c256-vq100,
      data/xilinx/xc2c64a-vq44, data/xilinx/xc2c64a-vq44/STEPPINGS,
      data/xilinx/xc2c64a-vq44/xc2c64a-vq44, include/Makefile.am,
      include/cable.h, include/xpcu.h, src/cmd/cable.c,
      src/part/data_register.c, src/tap/Makefile.am, src/tap/cable.c,
      src/tap/cable/arcom.c, src/tap/cable/byteblaster.c,
      src/tap/cable/dlc5.c, src/tap/cable/ea253.c,
      src/tap/cable/ei012.c, src/tap/cable/generic.c,
      src/tap/cable/generic.h, src/tap/cable/keithkoep.c,
      src/tap/cable/lattice.c, src/tap/cable/mpcbdm.c,
      src/tap/cable/triton.c, src/tap/cable/usbblaster.c,
      src/tap/cable/wiggler.c, src/tap/cable/wiggler2.c,
      src/tap/cable/xpc.c, src/tap/parport.c, src/tap/parport/ftdi.c,
      src/tap/parport/xpcu_common.c, src/tap/parport/xpcu_pp.c,
      src/tap/tap.c: [ 1479632, 1649637 ] Drivers for Altera USB
      Blaster and Xilinx Platform Cable USB

2007-11-08 09:13  Kolja Waschk <kawk>

    * include/Makefile.am, README, README_21065L, THANKS, 
      data/Makefile.am, data/analog/PARTS, data/analog/sharc21065l,
      data/analog/sharc21065l/STEPPINGS,
      data/analog/sharc21065l/sharc21065l, include/setdevice.h,
      libbrux/Makefile.am, libbrux/flash/amd_flash.c,
      libbrux/flash/detectflash.c, libbrux/setdevice.h,
      src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/sharc21065l.c, src/cmd/Makefile.am, src/cmd/cmd.c,
      src/cmd/setdevice.c, src/detect.c, src/flash.c, src/jtag.c: 
      [ 1605981 ] JTAG Support for ADSP-21065L Processor (with
      modifications) (Girish G Pai, Lesly A. M, Tony K Nadackal, Shaju Abraham)

2007-11-08 07:33  Kolja Waschk <kawk>

    * data/MANUFACTURERS, data/Makefile.am, data/admtek,
      data/admtek/adm5120, data/admtek/adm5120/adm5120, data/atheros,
      data/atheros/ar2312, data/atheros/ar2312/ar2312, data/brecis,
      data/brecis/PARTS, data/brecis/msp2006,
      data/brecis/msp2006/STEPPINGS, data/brecis/msp2006/msp2006,
      data/hitachi/PARTS, data/hitachi/ar7300,
      data/hitachi/ar7300/STEPPINGS, data/hitachi/ar7300/ar7300,
      data/lexra, data/lexra/PARTS, data/lexra/lx5280,
      data/lexra/lx5280/STEPPINGS, data/lexra/lx5280/lx5280,
      doc/README.ejtag: [ 1429825 ] EJTAG driver (new data files) (Oleg)

2007-11-08 07:11  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/ejtag.c, src/tap/parport/ppdev.c: [ 1429825 ] EJTAG
      driver (partial patch - only the bus driver for now) (Oleg)

2007-11-07 23:17  Arnim Laeuger  <arniml>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/h7202.c: [ 1585617 ] support for the Magnachip h7202 cpu

2007-11-07 22:43  Arnim Laeuger  <arniml>

    * README.svf: update README.svf

2007-11-07 22:21  Arnim Laeuger  <arniml>

    * src/cmd/debug.c, src/cmd/eraseflash.c, src/cmd/peekpoke.c,
      src/cmd/script.c, src/cmd/shell.c, src/cmd/signal.c,
      src/cmd/test.c, src/detect.c, src/jtag.c, src/part/signal.c,
      src/readmem.c, src/svf/svf_bison.y, src/svf/svf_flex.l,
      src/writemem.c: get rid of (most) compiler warnings

2007-11-07 09:56  Kolja Waschk <kawk>

    * include/bssignal.h, include/jtag.h, include/part.h, src/jtag.c:
      Remaining diffs from gumstix repository: Add debug, test and
      shell command, aliases for parts, small fixes.

2007-11-07 09:44  Kolja Waschk <kawk>

    * src/bsdl2jtag.c, src/bus/ppc440gx_ebc8.c, src/cmd/Makefile.am,
      src/cmd/cmd.c, src/cmd/debug.c, src/cmd/part.c, src/cmd/print.c,
      src/cmd/script.c, src/cmd/shell.c, src/cmd/signal.c,
      src/cmd/test.c, src/detect.c, src/part/part.c, src/part/signal.c:
      Remaining diffs from gumstix repository: Add debug, test and
      shell command, aliases for parts, small fixes.

2007-11-07 09:09  Kolja Waschk <kawk>

    * doc/howto_add_support_for_more_flash.txt: [ 1460563 ] How to add
      Support more Flash chip???

2007-11-07 09:07  Kolja Waschk <kawk>

    * src/writemem.c: [ 1249554 ] Writemem command to write to SRAM
      (compile fix)

2007-11-07 09:04  Kolja Waschk <kawk>

    * src/svf/svf_flex.l: [ 1194137 ] better SVF diagnostics (compile
      fix)

2007-11-07 09:03  Kolja Waschk <kawk>

    * src/bus/ppc405ep.c, src/bus/Makefile.am: The 405ep support patch
      _still_ wasn't completely integrated.

2007-11-07 08:55  Kolja Waschk <kawk>

    * Makefile.am: Remove additional lines left over from unsuccessful
      patch before.

2007-11-07 08:47  Kolja Waschk <kawk>

    * data/Makefile.am, data/xilinx/PARTS, data/xilinx/xc2s300e,
      data/xilinx/xc2s300e/STEPPINGS, data/xilinx/xc2s300e/fg456,
      data/xilinx/xc2s300e/ft256, data/xilinx/xc2s300e/pq208,
      data/xilinx/xc2s300e/xc2s300e: [ 1377859 ] Device description
      files for Xilinx XC2S300E (Spartan-IIE) (Arnim Laeuger)

2007-11-07 08:41  Kolja Waschk <kawk>

    * data/Makefile.am: Added Xilinx parts XC3S*

2007-11-07 08:31  Kolja Waschk <kawk>

    * data/Makefile.am: Added Atmel AT91SAM7S files to Makefile.am

2007-11-07 08:16  Kolja Waschk <kawk>

    * data/xilinx/PARTS, data/xilinx/xc18v04pc44,
      data/xilinx/xc18v04pc44/STEPPINGS,
      data/xilinx/xc18v04pc44/xc18v04pc44, data/xilinx/xc2s200e-pq208,
      data/xilinx/xc2s200e-pq208/STEPPINGS,
      data/xilinx/xc2s200e-pq208/xc2s200e-pq208, data/xilinx/xc3s1000,
      data/xilinx/xc3s1000/STEPPINGS, data/xilinx/xc3s1000/xc3s1000,
      data/xilinx/xc3s1000/xc3s1000_fg320,
      data/xilinx/xc3s1000/xc3s1000_fg456,
      data/xilinx/xc3s1000/xc3s1000_fg676,
      data/xilinx/xc3s1000/xc3s1000_ft256,
      data/xilinx/xc3s1000/xc3s1000l,
      data/xilinx/xc3s1000/xc3s1000l_fg320,
      data/xilinx/xc3s1000/xc3s1000l_fg456,
      data/xilinx/xc3s1000/xc3s1000l_fg676,
      data/xilinx/xc3s1000/xc3s1000l_ft256, data/xilinx/xc3s100e_die,
      data/xilinx/xc3s100e_die/STEPPINGS,
      data/xilinx/xc3s100e_die/xc3s100e_die,
      data/xilinx/xc3s100e_die/xc3s100e_pq208,
      data/xilinx/xc3s100e_die/xc3s100e_tq144,
      data/xilinx/xc3s100e_die/xc3s100e_vq100, data/xilinx/xc3s1500,
      data/xilinx/xc3s1500/STEPPINGS, data/xilinx/xc3s1500/xc3s1500,
      data/xilinx/xc3s1500/xc3s1500_fg320,
      data/xilinx/xc3s1500/xc3s1500_fg456,
      data/xilinx/xc3s1500/xc3s1500_fg676,
      data/xilinx/xc3s1500/xc3s1500l,
      data/xilinx/xc3s1500/xc3s1500l_fg320,
      data/xilinx/xc3s1500/xc3s1500l_fg456,
      data/xilinx/xc3s1500/xc3s1500l_fg676, data/xilinx/xc3s200,
      data/xilinx/xc3s200/STEPPINGS, data/xilinx/xc3s200/xc3s200,
      data/xilinx/xc3s200/xc3s200_ft256,
      data/xilinx/xc3s200/xc3s200_pq208,
      data/xilinx/xc3s200/xc3s200_tq144,
      data/xilinx/xc3s200/xc3s200_vq100, data/xilinx/xc3s2000,
      data/xilinx/xc3s2000/STEPPINGS, data/xilinx/xc3s2000/xc3s2000,
      data/xilinx/xc3s2000/xc3s2000_fg456,
      data/xilinx/xc3s2000/xc3s2000_fg676,
      data/xilinx/xc3s2000/xc3s2000_fg900,
      data/xilinx/xc3s2000/xc3s2000l,
      data/xilinx/xc3s2000/xc3s2000l_fg676,
      data/xilinx/xc3s2000/xc3s2000l_fg900, data/xilinx/xc3s400,
      data/xilinx/xc3s400/STEPPINGS, data/xilinx/xc3s400/xc3s400,
      data/xilinx/xc3s400/xc3s400_fg320,
      data/xilinx/xc3s400/xc3s400_fg456,
      data/xilinx/xc3s400/xc3s400_ft256,
      data/xilinx/xc3s400/xc3s400_pq208,
      data/xilinx/xc3s400/xc3s400_tq144, data/xilinx/xc3s4000,
      data/xilinx/xc3s4000/STEPPINGS, data/xilinx/xc3s4000/xc3s4000,
      data/xilinx/xc3s4000/xc3s4000_fg1156,
      data/xilinx/xc3s4000/xc3s4000_fg676,
      data/xilinx/xc3s4000/xc3s4000_fg900,
      data/xilinx/xc3s4000/xc3s4000l,
      data/xilinx/xc3s4000/xc3s4000l_fg1156,
      data/xilinx/xc3s4000/xc3s4000l_fg900, data/xilinx/xc3s50,
      data/xilinx/xc3s50/STEPPINGS, data/xilinx/xc3s50/xc3s50,
      data/xilinx/xc3s50/xc3s50_cp132, data/xilinx/xc3s50/xc3s50_pq208,
      data/xilinx/xc3s50/xc3s50_tq144, data/xilinx/xc3s50/xc3s50_vq100,
      data/xilinx/xc3s5000, data/xilinx/xc3s5000/STEPPINGS,
      data/xilinx/xc3s5000/xc3s5000,
      data/xilinx/xc3s5000/xc3s5000_fg1156,
      data/xilinx/xc3s5000/xc3s5000_fg900, data/xilinx/xc3s500e_fg320,
      data/xilinx/xc3s500e_fg320/STEPPINGS,
      data/xilinx/xc3s500e_fg320/xc3s500e_fg320,
      data/xilinx/xc3s500e_fg320/xc3s500e_ft256,
      data/xilinx/xc3s500e_fg320/xc3s500e_pq208,
      data/xilinx/xc9572xl_vq44, data/xilinx/xc9572xl_vq44/STEPPINGS,
      data/xilinx/xc9572xl_vq44/xc9572xl_vq44, data/xilinx/xcf04s,
      data/xilinx/xcf04s/STEPPINGS, data/xilinx/xcf04s/xcf04s: Added
      Xilinx XC3S* parts and others from gumstix repository

2007-11-07 08:10  Kolja Waschk <kawk>

    * data/atmel/PARTS, data/atmel/at91sam7s256,
      data/atmel/at91sam7s256/STEPPINGS,
      data/atmel/at91sam7s256/at91sam7s_tq48v0,
      data/atmel/at91sam7s256/at91sam7s_tq64v0: Added AT91SAM7S256 data
      from gumstix repository

2007-11-06 21:39  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/au1500.c, src/bus/bcm1250.c,
      src/bus/buses.c, src/bus/buses.h, src/bus/jopcyc.c,
      src/bus/lh7a400.c, src/bus/mpc5200.c, src/bus/ppc440gx_ebc8.c,
      src/bus/slsup3.c, src/bus/tx4925.c: some more fixes, eg. ppc405
      support patch still wasn't completely applied

2007-11-06 20:56  Kolja Waschk <kawk>

    * data/ibm/PARTS: [ 1173994 ] IBM PPC405EP support (PARTS file
      wasn't updated when I applied the patch)

2007-11-06 20:53  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/jopcyc.c: [ 1281749 ] Bus driver for JOP.design Cyclone
      boards (jopcyc+serial patch) (Arnim Laeuger)

2007-11-06 20:49  Kolja Waschk <kawk>

    * data/Makefile.am, data/altera/PARTS, data/altera/ep1c12,
      data/altera/ep1c12/STEPPINGS, data/altera/ep1c12/ep1c12,
      data/altera/ep1c12/f256, data/altera/ep1c12/f324,
      data/altera/ep1c12/q240, data/altera/epm3064a,
      data/altera/epm3064a/STEPPINGS, data/altera/epm3064a/epm3064a,
      data/altera/epm3064a/l44, data/altera/epm3064a/t100,
      data/altera/epm3064a/t44: [ 1281673 ] Device description files
      for Altera EP1C12 and EPM3064A (Arnim Laeuger)

2007-11-06 20:32  Kolja Waschk <kawk>

    * include/jtag.h, src/Makefile.am, src/cmd/Makefile.am,
      src/cmd/cmd.c, src/cmd/writemem.c, src/writemem.c: [ 1249554 ]
      Writemem command to write to SRAM (Kent Palmkvist)

2007-11-06 20:29  Kolja Waschk <kawk>

    * data/Makefile.am, data/altera/PARTS, data/altera/ep1c6q240,
      data/altera/ep1c6q240/STEPPINGS, data/altera/ep1c6q240/ep1c6q240,
      src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/slsup3.c: [ 1249552 ] New bus type SLS UP3 (Altera FPGA
      board) (Kent Palmkvist)

2007-11-06 20:26  Kolja Waschk <kawk>

    * src/tap/cable.c, src/tap/cable/wiggler.c: [ 1236272 ] Add support
      for Analog Devices Blackfin Processor: IGLOO.patch (Robin Getz)

2007-11-06 20:24  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/bf533_ezkit.c,
      src/bus/bf533_stamp.c, src/bus/buses.c, src/bus/buses.h: [
      1236272 ] Add support for Analog Devices Blackfin Processor:
      STAMP_EZKIT.patch (Robin Getz)

2007-11-06 20:20  Kolja Waschk <kawk>

    * data/MANUFACTURERS, data/Makefile.am, data/analog,
      data/analog/PARTS, data/analog/bf533,
      data/analog/bf533/STEPPINGS, data/analog/bf533/bf533: [ 1236272 ]
      Add support for Analog Devices Blackfin Processor: Blackfin.patch

2007-11-06 20:15  Kolja Waschk <kawk>

    * src/tap/parport/ppdev.c: [ 1194141 ] better diagnostics for
      opening ppdev device (Hein Roehrig)

2007-11-06 20:14  Kolja Waschk <kawk>

    * src/svf/svf.c, src/svf/svf.h, src/svf/svf_bison.y,
      src/svf/svf_flex.l: [ 1194137 ] better SVF diagnostics (+ manual
      integration with previous jtag-svf-vec-hexa fix) (Hein Roehrig)

2007-11-06 19:59  Kolja Waschk <kawk>

    * src/svf/svf.c: [ 1194140 ] SVF better RUNTEST timing (Hein Roehrig)

2007-11-06 19:53  Kolja Waschk <kawk>

    * include/Makefile.am, include/cable.h, include/fclock.h, src/Makefile.am,
      src/cmd/frequency.c, src/lib/Makefile.am, src/lib/fclock.c,
      src/tap/cable.c: [ 1194130 ] busy-loop waiting (breaks compilation of
      svf.c... wait for next two patches) (Hein Roehrig)

2007-11-06 19:34  Kolja Waschk <kawk>

    * src/tap/register.c: [ 1174000 ] Miscellanous fixes (omitting the
      speedup for flash.c, obsoleted by an earlier patch) (Wojtek Kaniewski)

2007-11-06 19:31  Kolja Waschk <kawk>

    * src/bsdl2jtag.c: [ 1173997 ] bsdl2jtag bidir support (Wojtek$ Kaniewski)

2007-11-06 19:29  Kolja Waschk <kawk>

    * data/Makefile.am, data/ibm/ppc405ep, data/ibm/ppc405ep/STEPPINGS,
      data/ibm/ppc405ep/ppc405ep: [ 1173994 ] IBM PPC405EP support (Wojtek
      Kaniewski)

2007-11-06 19:25  Kolja Waschk <kawk>

    * src/bsdl2jtag.c: [ 1169349 ] better error codes for bsdl2jtag (Hein
      Roehrig)

2007-11-06 19:23  Kolja Waschk <kawk>

    * data/sharp/lh7a400/lh7a400: [ 1164111 ] FIX of the lh7a400 port (Marko
      Roessler)

2007-11-06 19:22  Kolja Waschk <kawk>

    * data/Makefile.am, data/intel/PARTS, data/intel/pxa270,
      data/intel/pxa270/STEPPINGS, data/intel/pxa270/pxa270,
      libbrux/flash/intel.c, src/bus/buses.c, src/bus/buses.h,
      src/bus/pxa2x0.c, src/flash.c: [ 1112022 ] PXA270 Support (Cliff Brake)

2007-11-06 19:19  Kolja Waschk <kawk>

    * README.svf, include/svf.h: [ 1074347 ] SVF Player (README and
      include file) (Arnim Laeuger)

2007-11-06 19:18  Kolja Waschk <kawk>

    * data/freescale, data/freescale/PARTS, data/freescale/mpc5200,
      data/freescale/mpc5200/STEPPINGS, data/freescale/mpc5200/mpc5200,
      src/bus/mpc5200.c: [ 1079531 ] jtag mpc5200 support (added files)

2007-11-06 19:06  Kolja Waschk <kawk>

    * configure.ac, data/MANUFACTURERS, data/Makefile.am,
      include/chain.h, src/bus/Makefile.am, src/bus/buses.c,
      src/bus/buses.h: [ 1079531 ] jtag mpc5200 support (Asier Llano Palacios)

2007-11-06 19:01  Kolja Waschk <kawk>

    * src/Makefile.am: add -lm because SVF player uses floor()

2007-11-06 18:58  Kolja Waschk <kawk>

    * src/Makefile.am, src/cmd/Makefile.am, src/cmd/cmd.c,
      src/cmd/svf.c, src/svf, src/svf/Makefile.am, src/svf/svf.c,
      src/svf/svf.h, src/svf/svf_bison.y, src/svf/svf_flex.l,
      src/tap/chain.c, src/tap/tap.c: [ 1074347 ] SVF Player (4
      patches: jtag-svf, -inc1, -goto_state, -vec-hexa) (Arnim Laeuger)

2007-11-06 18:47  Kolja Waschk <kawk>

    * src/tap/cable/wiggler.c, src/tap/cable/wiggler2.c: [ 1060345 ]
      Fix certain Wigglers. (David Vrabel)

2007-11-06 18:37  Kolja Waschk <kawk>

    * src/cmd/bit.c: fix error from merging 972649+1012149 in bit.c

2007-11-06 18:32  Kolja Waschk <kawk>

    * src/cmd/bit.c: [ 1012149 ] Error messages in src/cmd/bit.c file (Jerome
      Debard)

2007-11-06 18:21  Kolja Waschk <kawk>

    * src/flash.c: [ 1012144 ] User messages printed during flashmem (Jerome
      Debard)

2007-11-06 18:14  Kolja Waschk <kawk>

    * src/cmd/dr.c: [ 986415 ] Allow interactive loading of DR (Martin Buck)

2007-11-06 18:09  Kolja Waschk <kawk>

    * src/cmd/bit.c, src/cmd/cable.c, src/cmd/dr.c, src/cmd/endian.c,
      src/cmd/flashmem.c, src/cmd/get.c, src/cmd/print.c,
      src/cmd/register.c, src/cmd/set.c, src/cmd/shift.c,
      src/part/part.c, src/tap/parport/direct.c,
      src/tap/parport/ppdev.c: [ 972649 ] make jtag more tolerant of
      case (Andrew Dyer)

2007-11-06 18:04  Kolja Waschk <kawk>

    * src/bus/ixp425.c, src/bus/mpc824x.c, src/bus/pxa2x0.c,
      src/bus/s3c4510x.c, src/bus/sa1110.c, src/bus/sh7727.c,
      src/bus/sh7750r.c, src/bus/sh7751r.c, src/cmd/detect.c,
      src/tap/Makefile.am, src/tap/cable.c, src/tap/cable/wiggler2.c: [
      909598 ] Detect 16bit flash on PXA25x 1/2 (partially included for
      compatibility with other patches and wiggler2 driver, but actual
      new pxa2x0 patch omitted - another later patch will fix this) (Matej)

2007-11-06 17:20  Kolja Waschk <kawk>

    * src/bus/s3c4510x.c, src/cmd/peekpoke.c, src/jtag.c: [ 826404 ]
      s3c4510 bus driver (without jedec.c fix) (Krzysztof Blaszkowski)

2007-11-06 16:51  Kolja Waschk <kawk>

    * include/flash.h: [ 1268229 ] gcc4 compilation fix (Asier Llano Palacios)

2007-11-06 09:30  Kolja Waschk <kawk>

    * libbrux, trunk/libbrux: moved libbrux subdir into jtag subdir. See
      ChangeLog there too

2007-11-02  Kolja Waschk <Kolja Waschk <kawk>>

    * created "UrJTAG" project as fork of openwince jtag tools. All older
      log entries in this ChangeLog describe the openwince development.

2004-11-24  Marcel Telka  <marcel@telka.sk>

    * src/cmd/reset.c: New file.
    * src/discovery.c (jtag_reset): Function changed to non-static.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added reset.c.
    * src/cmd/cmd.c (cmds): Added cmd_reset.

2004-11-21  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_stream, cleanup): New function.
    (jtag_parse_file): Replaced stream parsing algorithm with jtag_parse_stream() call. Removed support
        for special filename '-'.
    (main): Rewritten and improved startup sequence to distinguish between interactive invocation
        and stdin input (fixed bug 858535, thanks to Andrew Dyer for an idea).

2004-11-17  Marcel Telka  <marcel@telka.sk>

    * acinclude.m4: New file with VL_LIB_READLINE macro (removed dependency on ac-archive package).
    * autogen.sh: Removed acinclude call (removed dependency on ac-archive package).

2004-11-16  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Lattice Semiconductors and IBM Semiconductors (patch 1012120, Jerome Debard).
    * data/ibm/PARTS: New file (patch 1012120, Jerome Debard).
    * data/ibm/ppc440gx/STEPPINGS: Ditto.
    * data/ibm/ppc440gx/ppc440gx: Ditto.
    * data/lattice/PARTS: Ditto.
    * data/lattice/lc4032v-tqfp48/STEPPINGS: Ditto.
    * data/lattice/lc4032v-tqfp48/lc4032v-tqfp48: Ditto.
    * data/lattice/m4a3-256.192-fpbga256/STEPPINGS: Ditto.
    * data/lattice/m4a3-256.192-fpbga256/m4a3-256.192-fpbga256: Ditto.
    * data/lattice/m4a3-64.32-tqfp48/STEPPINGS: Ditto.
    * data/lattice/m4a3-64.32-tqfp48/m4a3-64.32-tqfp48: Ditto.
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.

2004-10-22  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Sharp manufacturer (patch 886068, Marko Rößler).
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files (patch 886068, Marko Rößler).
    * data/sharp/PARTS: New file (patch 886068, Marko Rößler).
    * data/sharp/lh7a400/STEPPINGS: Ditto.
    * data/sharp/lh7a400/lh7a400: Ditto.
    * src/bus/lh7a400.c: Ditto.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added lh7a400.c (patch 886068, Marko Rößler).
    * src/bus/buses.c (bus_drivers): Added lh7a400_bus (patch 886068, Marko Rößler).
    * src/bus/buses.h: Ditto.

2004-10-17  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.6.
    (AM_GNU_GETTEXT_VERSION): Changed version number for gettext to 0.14.1.

2004-10-17  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/wiggler.c (nTRST): Changed pin value (patch 1040199, Andrew Dyer).
    (nSRESET): New pin value (patch 1040199, Andrew Dyer).
    (wiggler_init, wiggler_clock, wiggler_get_tdo, wiggler_set_trst): Changed nTRST to not inverted
        signal (patch 1040199, Andrew Dyer).

2004-09-21  Marcel Telka  <marcel@telka.sk>

    * data/intel/PARTS: Added support for different IXP425 frequency variants (patch 1030647, Trevor Man).

2004-08-24  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added ppc440gx_ebc8.c.
    * src/bus/buses.c (bus_drivers): Added ppc440gx_ebc8_bus (patch 1012154, Jerome Debard).
    * src/bus/buses.h: Ditto.
    * src/bus/ppc440gx_ebc8.c: New file (patch 1012154, Jerome Debard).

2004-08-20  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (pxa2x0_bus_init): New function.
    (pxa250_bus_prepare): Replaced bus initialization sequence with pxa2x0_bus_init() call.
    (pxa2x0_bus_area): Added pxa2x0_bus_init() call.

2004-08-20  Marcel Telka  <marcel@telka.sk>

    * src/tap/Makefile.am (libtap_a_SOURCES): Added cable/lattice.c.
    * src/tap/cable.c (cable_drivers): Added lattice_cable_driver (patch 1012138, Jerome Debard).
    * src/tap/cable/lattice.c: New file (patch 1012138, Jerome Debard).

2004-08-19  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added tx4925.c (patch 972625, Andrew Dyer).
    * src/bus/buses.c (bus_drivers): Added tx4925_bus (patch 972625, Andrew Dyer).
    * src/bus/buses.h: Ditto.
    * src/bus/tx4925.c: New file (patch 972625, Andrew Dyer).

2004-08-17  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Toshiba manufacturer (patch 972621, Andrew Dyer).
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files (patch 972621, Andrew Dyer).
    * data/xilinx/PARTS: Added XCR3032XL-VQ44 entry (patch 972621, Andrew Dyer).
    * data/xilinx/xcr3032xl-vq44/STEPPINGS: New file (patch 972621, Andrew Dyer).
    * data/xilinx/xcr3032xl-vq44/xcr3032xl-vq44: Ditto.
    * data/toshiba/PARTS: Ditto.
    * data/toshiba/tx4925/STEPPINGS: Ditto.
    * data/toshiba/tx4925/tx4925: Ditto.
    * data/toshiba/tx4926/STEPPINGS: Ditto.
    * data/toshiba/tx4926/tx4926: Ditto.

2004-08-17  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.
    * data/philips/PARTS: Added XCR3128XL-VQ100 entry (patch 1010714, Michael Lauer).
    * data/xilinx/PARTS: Added directory for XCR3128XL-VQ100 entry (patch 1010714, Michael Lauer).
    * data/philips/xcr3128xl-vq100/STEPPINGS: New file (patch 1010714, Michael Lauer).
    * data/philips/xcr3128xl-vq100/xcr3128xl-vq100: Ditto.
    * data/xilinx/xcr3128xl-vq100/xcr3128xl-vq100: Ditto.

2004-08-16  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (bus_params_t): Added new member: inited.
    (INITED): New macro.
    (pxa2x0_bus_new): Removed BOOT_DEF initialization.
    (pxa250_bus_prepare): Added BOOT_DEF initialization.

2004-08-15  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (detect_parts): Changed return type.
    * src/detect.c (detect_parts): Changed return value to return number of detected parts.
    * src/cmd/detect.c (cmd_detect_run): Added reset of the chain->parts to NULL before
        detect_parts() call. Ignored detect_parts() return value.

2004-08-13  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c: Added missing locale.h include (patch 986414, Martin Buck).

2004-08-11  Marcel Telka  <marcel@telka.sk>

    * Makefile.rules (RECURSIVE_TARGETS, lint-recursive): Removed.
    (lint): Added command to run recursive make.
    (.PHONY): Removed lint-recursive.

2004-06-13  Marcel Telka  <marcel@telka.sk>

    * data/broadcom/PARTS: Added BCM4712 entry (Alan Wallace).
    * data/broadcom/bcm4712/STEPPINGS: New file (Alan Wallace).
    * data/broadcom/bcm4712/bcm4712: Ditto.

2004-01-20  Marcel Telka  <marcel@telka.sk>

    * acinclude.m4: File removed.
    * autogen.sh: Added acinclude call.

2003-12-20  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added au1500.c.
    * src/bus/au1500.c: New file (patch 853883, Zhang Wei).
    * src/bus/buses.c (bus_drivers): Added au1500_bus (patch 853883, Zhang Wei).
    * src/bus/buses.h: Added au1500_bus.

2003-11-02  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.5.2.

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added motorola/mpc8245/1.2.
    * data/motorola/mpc8245/1.2: New file.
    * src/bus/mpc824x.c: Ditto.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added mpc824x.c.
    * src/bus/buses.c (bus_drivers): Added mpc824x_bus.
    * src/bus/buses.h (mpc824x_bus): Added bus declaration.

    * include/bsbit.h (bsbit_alloc): Changed parameter name (signals -> signal).
    * src/part/bsbit.c (bsbit_alloc): Changed parameter behaviour.
    * src/cmd/bit.c (cmd_bit_run): Passed exact signal to bsbit_alloc() instead of list of signals.

    * src/jtag.c (main): Added cfi_array deallocation.

    * src/flash.c (set_flash_driver): Used global cfi_array variable to set flash driver.
    (flashcheck): Function removed.
    All function calls replaced by set_flash_driver().
    (flashmsbin): Removed local cfi_array variable.
    (flashmem): Removed local cfi_array variable. Fixed bug with one more block erase while programming
        data at end of previous block.
    (flasherase): Removed local cfi_array variable. Fixed block number calculation.
    * src/readmem.c (readmem): Fixed bug while reading address near to end of 32 bit address range.
    * src/bus/pxa2x0.c (pxa2x0_bus_new): Added BSR sampling before BOOT_DEF initialization (bugfix).

2003-10-23  Marcel Telka  <marcel@telka.sk>

    * include/bssignal.h (salias_t): Added new type.
    (salias_alloc, salias_free): Adde new function prototypes.
    * include/part.h (struct part): Added new structure member 'saliases'.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added salias.c.
    * src/cmd/cmd.c (cmds): Added cmd_salias.
    * src/cmd/salias.c: New file.
    * src/part/part.c (part_alloc): Added saliases initialization.
    (part_free): Added saliases deallocation.
    (part_find_signal): Added signal aliases searching.
    * src/part/signal.c (salias_alloc, salias_free): New functions.

2003-10-20  Marcel Telka  <marcel@telka.sk>

    * data/hitachi/hd64465/hd64465: Completed BSR bits declaration.

2003-10-20  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added hitachi/sh7729/STEPPINGS and hitachi/sh7729/sh7729.
    * data/hitachi/sh7729/STEPPINGS: New file (Beregnyei Balazs).
    * data/hitachi/sh7729/sh7729: Ditto.

2003-10-17  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added hitachi/hd64465/hd64465.
    * data/hitachi/hd64465/hd64465: New file.

2003-10-13  Marcel Telka  <marcel@telka>

    * data/intel/ixp425/STEPPINGS: Added B0 stepping.

2003-10-11  Marcel Telka  <marcel@telka>

    Version 0.5.1 released.

2003-09-23  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flash_drivers): Added amd_16_flash_driver (Bradley D. LaRonde).
    (find_block): New function (Bradley D. LaRonde).
    (flashmem): Added block calculations using exact CFI data (Bradley D. LaRonde).

    * src/tap/cable/triton.c (triton_init): Removed unused variable 'data'.

2003-09-15  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Fixed spelling (patch 805108, Andreas Mohr).
    * src/jtag.c (main): Ditto.
    * src/cmd/discovery.c (cmd_discovery_help, cmd_discovery): Ditto.
    * src/cmd/flashmem.c (cmd_flashmem_help): Ditto.

    * src/tap/cable/ei012.c: Changed comment (patch 805108, Andreas Mohr).
    * src/tap/cable/keithkoep.c: Ditto.
    * src/tap/cable/mpcbdm.c: Ditto.

2003-09-14  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/triton.c: New file (patch 805103, Andreas Mohr).
    * src/tap/Makefile.am (libtap_a_SOURCES): Added cable/triton.c (patch 805103, Andreas Mohr).
    * src/tap/cable.c (cable_drivers): Added triton_cable_driver member (patch 805103, Andreas Mohr).
    * src/tap/cable/generic.h (PARAM_SRESET): New macro (patch 805103, Andreas Mohr).
    (generic_params_t): New structure member 'sreset' (patch 805103, Andreas Mohr).

    * configure.ac: Changed description for --with-include parameter (thanks to Andreas Mohr).

2003-09-12  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CHECK_FUNCS): Added swprintf.
    * src/cmd/print.c (cmd_print_run): Added alternative implementation of the header printing using
        snprintf() for platforms without swprintf() function available.

2003-09-12  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.5.1.

2003-09-11  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/wiggler.c (wiggler_init, wiggler_clock, wiggler_get_tdo, wiggler_set_trst): Fixed
        inverted TRST signal (see patch 799377 for more info, thanks to Mike Tesch for reporting).

2003-09-11  Marcel Telka  <marcel@telka.sk>

    * src/cmd/dr.c (cmd_dr_run): Added test for missing active instruction and data register (thanks to
        Mike Tesch for reporting).

2003-09-10  Marcel Telka  <marcel@telka.sk>

    * src/bus/bcm1250.c (bcm1250_bus_printinfo, bcm1250_bus): Fixed typo (compatibile->compatible) in
        output message (thanks to Andreas Mohr).
    * src/bus/ixp425.c (ixp425_bus_printinfo, ixp425_bus): Ditto.
    * src/bus/pxa2x0.c (pxa2x0_bus_printinfo, pxa2x0_bus): Ditto.
    * src/bus/s3c4510x.c (s3c4510_bus_printinfo, s3c4510_bus): Ditto.
    * src/bus/sa1110.c (sa1110_bus_printinfo, sa1110_bus): Ditto.
    * src/bus/sh7727.c (sh7727_bus_printinfo, sh7727_bus): Ditto.
    * src/bus/sh7750r.c (sh7750r_bus_printinfo, sh7750r_bus): Ditto.
    * src/bus/sh7751r.c (sh7751r_bus_printinfo, sh7751r_bus): Ditto.

2003-09-05  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (bus_drivers): Added constant declaration.
    (new_sa1110_bus, new_pxa250_bus, new_ixp425_bus, new_sh7727_bus, new_sh7750r_bus, new_sh7751r_bus)
    (new_bcm1250_bus): Function declarations removed.
    * src/bus/buses.c (bus_drivers): New constant definition.
    * src/bus/buses.h: New file.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added buses.h.

    * src/bus/bcm1250.c (bcm1250_bus_printinfo): Added new function parameter 'bus'.
    (bcm1250_bus): Changed structure type to bus_driver_t. Changed members.
    (new_bcm1250_bus): Function renamed ...
    (bcm1250_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/ixp425.c (ixp425_bus_printinfo): Added new function parameter 'bus'.
    (ixp425_bus): Changed structure type to bus_driver_t. Changed members.
    (new_ixp425_bus): Function renamed ...
    (ixp425_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/pxa2x0.c (pxa2x0_bus_printinfo): Added new function parameter 'bus'.
    (pxa250_bus): Structure transformed ...
    (pxa2x0_bus): ... to this constant (changed type to bus_driver_t, changed members).
    (new_pxa250_bus): Function renamed ...
    (pxa2x0_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/s3c4510x.c (s3c4510_bus_printinfo): Added new function parameter 'bus'.
    (s3c4510_bus): Changed structure type to bus_driver_t. Changed members.
    (new_s3c4510_bus): Function renamed ...
    (s3c4510_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sa1110.c (sa1110_bus_printinfo): Added new function parameter 'bus'.
    (sa1110_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sa1110_bus): Function renamed ...
    (sa1110_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sh7727.c (sh7727_bus_printinfo): Added new function parameter 'bus'.
    (sh7727_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sh7727_bus): Function renamed ...
    (sh7727_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sh7750r.c (sh7750r_bus_printinfo): Added new function parameter 'bus'.
    (sh7750r_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sh7750r_bus): Function renamed ...
    (sh7750r_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sh7751r.c (sh7751r_bus_printinfo): Added new function parameter 'bus'.
    (sh7751r_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sh7751r_bus): Function renamed ...
    (sh7751r_bus_new): ... to this one. Changed parameter list to void (and function body updated).

    * src/cmd/cable.c (cmd_cable_run): Replaced bus->free() call with bus_free().
    * src/jtag.c (main): Ditto.

    * src/cmd/cmd.c (cmds): Added cmd_initbus.
    * src/cmd/detect.c (cmd_detect_run): Removed explicit bus driver detection.
    * src/cmd/initbus.c: New file.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added initbus.c.

    * data/broadcom/bcm1250/bcm1250: Added 'initbus' command call.
    * data/hitachi/sh7727/sh7727: Ditto.
    * data/intel/ixp425/ixp425: Ditto.
    * data/intel/pxa250/pxa250: Ditto.
    * data/intel/pxa250/pxa250c0: Ditto.
    * data/intel/sa1110/sa1110: Ditto.
    * data/samsung/s3c4510b/s3c4510b: Ditto.

2003-09-04  Marcel Telka  <marcel@telka.sk>

    * configure.ac (CPPFLAGS): Added top_srcdir into include directory list.

2003-09-03  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (set_data_in, setup_data): Added new 'adr' parameter. Used real data bus width
        for data reading (based on patch 792591, thanks to Guennadi Liakhovetski).
    All function callers updated.
    (pxa250_bus_read_next, pxa250_bus_read_end): Used real data bus width for data reading (based on
        patch 792591, thanks to Guennadi Liakhovetski).
    * src/bus/sa1110.c (set_data_in, setup_data, sa1110_bus_read_next, sa1110_bus_read_end): Ditto.
    * src/bus/sh7727.c (set_data_in, setup_data, sh7727_bus_read_next, sh7727_bus_read_end): Ditto.

2003-08-28  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (pxa250_bus_read_next, pxa250_bus_read_end): Added support for BOOT_DEF register
        emulation.
    (pxa2x0_bus_area): Added Memory Mapped registers (Memory Ctl) area.

2003-08-28  Marcel Telka  <marcel@telka.sk>

    * src/readmem.c (readmem): Replaced bus_width macro with new bus_area.
    * src/bus/bcm1250.c (bcm1250_bus_width): Function removed.
    (bcm1250_bus_area): New function.
    * src/bus/ixp425.c (ixp425_bus_width): Function removed.
    (ixp425_bus_area): New function.
    * src/bus/pxa2x0.c (pxa250_bus_width): Function removed.
    (pxa2x0_bus_area): New function.
    * src/bus/s3c4510x.c (s3c4510_bus_width): Function removed.
    (s3c4510_bus_area): New function.
    * src/bus/sa1110.c (sa1110_bus_width: Function removed.
    (sa1110_bus_area): New function.
    * src/bus/sh7727.c (sh7727_bus_width): Function removed.
    (sh7727_bus_area): New function.
    * src/bus/sh7750r.c (sh7750r_bus_width): Function removed.
    (sh7750r_bus_area): New function.
    * src/bus/sh7751r.c (sh7751r_bus_width): Function removed.
    (sh7751r_bus_area): New function.
    * src/cmd/print.c (cmd_print_run): Added bus area printing.

2003-08-27  Marcel Telka  <marcel@telka.sk>

    * include/flash.h: Removed CFI_INTEL_ERROR_* macros.

2003-08-26  Marcel Telka  <marcel@telka.sk>

    * src/cmd/print.c (cmd_print_run): Fixed header print format.

2003-08-25  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed package name.
    * src/jtag.c (main): Added full package name to banner.

2003-08-22  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/byteblaster.c (byteblaster_init): Added additional checks for valid ByteBlaster cable
        connection and enabled all variants of the cable (patch 793313, Rojhalat Ibrahim).

2003-08-22  Marcel Telka  <marcel@telka.sk>

    * MANUFACTURERS: Added Altera manufacturer (Rojhalat Ibrahim).
    * altera/PARTS: New file (Rojhalat Ibrahim).
    * altera/ep1c20f400/STEPPINGS: Ditto.
    * altera/ep1c20f400/ep1c20f400: Ditto.
    * altera/epm7128aetc100/STEPPINGS: Ditto.
    * altera/epm7128aetc100/epm7128aetc100: Ditto.
    * Makefile.am (nobase_dist_pkgdata_DATA): Added new Altera JTAG files.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    Version 0.5 released.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AM_GNU_GETTEXT_VERSION): Changed version number to 0.12.1.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/bus/s3c4510x.c: Changed comment.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added s3c4510x.c.
    * src/bus/s3c4510x.c: New file (Jiun-Shian Ho).

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/tap/parport/direct.c (direct_connect): Marked two indirect strings for translation.
    * src/tap/parport/ppdev.c (ppdev_connect): Ditto.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * sysdep.h: Renamed pkgcfg.h to config.h.
    * configure.ac (AM_CONFIG_HEADER): Ditto.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Fixed setlocale() call.
    * Makefile.am (noinst_HEADERS): Renamed config.h -> sysdep.h.
    * config.h: Renamed this file ...
    * sysdep.h: ... to this one.
    Changed config.h -> sysdep.h include in all source files.

2003-08-18  Marcel Telka  <marcel@telka.sk>

    * data/samsung/s3c4510b/s3c4510b: Fixed some errors in instruction declarations (Jiun-Shian Ho).

2003-08-18  Marcel Telka  <marcel@telka.sk>

    * src/detect.c (detect_parts): Marked one forgotten string for translation.
    * src/cmd/bit.c (cmd_bit_run): Fixed control bit setup.
    * src/cmd/eraseflash.c (cmd_eraseflash_run): Changed formatting.
    (cmd_eraseflash_help): Updated help text.
    * src/cmd/flashmem.c (cmd_flashmem_help): Ditto.
    * src/cmd/readmem.c (cmd_readmem_help): Ditto.

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (flasherase): New function prototype (patch 772267, Thomas Fröhlich).
    * src/flash.c (flasherase): New function (patch 772267, Thomas Fröhlich).
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added eraseflash.c (patch 772267, Thomas Fröhlich).
    * src/cmd/cmd.c (cmds): Added cmd_eraseflash (patch 772267, Thomas Fröhlich).
    * src/cmd/eraseflash.c: New file (patch 772267, Thomas Fröhlich).

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * src/tap/chain.c (chain_shift_instructions): Moved test for parts without active instruction before
        shifting process.
    (chain_shift_data_registers): Moved test for parts without active instruction or data register before
        shifting process.

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added samsung/s3c4510b/s3c4510b.
    * data/samsung/s3c4510b/s3c4510b: New file (Jiun-Shian Ho).

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Changed directory name for Philips.
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added philips/PARTS, philips/xcr3128xl-cs144/STEPPINGS, and
        philips/xcr3128xl-cs144/xcr3128xl-cs144.
    * data/philips/PARTS: New file.
    * data/philips/xcr3128xl-cs144/STEPPINGS: Ditto.
    * data/philips/xcr3128xl-cs144/xcr3128xl-cs144: Ditto.
    * include/part.h (MAXLEN_MANUFACTURER): Increased size to 25.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (detect_register_size): Added function declaration.
    * src/discovery.c (detect_register_size): Changed to non-static.
    * src/detect.c (detect_parts): Added support for parts without IDCODE.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * src/bus/sa1110.c (sa1110_bus_width): Removed bus width printing.
    * src/bus/sh7751r.c (sh7751r_bus_printinfo): New function.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (new_sh7751r_bus): New function declaration (patch 773533, Matan Ziv-Av).
    * src/bus/Makefile.am (libbus_a_SOURCES): Added sh7751r.c (patch 773533, Matan Ziv-Av).
    * src/bus/sh7751r.c: New file (patch 773533, Matan Ziv-Av).

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * include/part.h (struct part): Added new member 'id'.
    (part_alloc): Added new parameter 'id'.
    * src/detect.c (detect_parts): Added execution JTAG declarations as script.
    * src/jtag.c (get_token): Added support for in-line comments.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added signal.c, bit.c, and register.c.
    * src/cmd/bit.c: New file.
    * src/cmd/register.c: Ditto.
    * src/cmd/signal.c: Ditto.
    * src/cmd/cmd.c (cmds): Added cmd_signal, cmd_bit, and cmd_register.
    * src/cmd/instruction.c (cmd_instruction_run, cmd_instruction_help, cmd_instruction): Added support
        for new instruction declaration.
    * src/part/parse.c: File removed.
    * src/part/Makefile.am (libpart_a_SOURCES): Removed parse.c.
    * src/cmd/detect.c (cmd_detect_run): Fixed possible NULL pointer dereference.
    * src/part/part.c (part_alloc): Added new parameter 'id'.
    (part_free): Addedd id deallocation.
    (part_print): Added support for instructions without data register.
    * src/tap/chain.c (chain_shift_data_registers): Ditto.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * data/broadcom/bcm5421s/bcm5421s: Fixed bad pin -> signal changes.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * data/broadcom/bcm1250/bcm1250: Changed pin -> signal keyword.
    * data/broadcom/bcm5421s/bcm5421s: Ditto.
    * data/hitachi/sh7727/sh7727: Ditto.
    * data/intel/ixp425/ixp425: Ditto.
    * data/intel/pxa250/pxa250: Ditto.
    * data/intel/pxa250/pxa250c0: Ditto.
    * data/intel/sa1110/sa1110: Ditto.
    * data/xilinx/xc2c256-tq144/xc2c256-tq144: Ditto.
    * data/xilinx/xcr3128xl-cs144/xcr3128xl-cs144: Ditto.
    * data/xilinx/xcr3256xl-ft256/xcr3256xl-ft256: Ditto.

2003-08-12  Marcel Telka  <marcel@telka.sk>

    * src/bsdl2jtag.c (endline): Added support for "downto" in bit vectors and "observe_only" (patch 787346,
        Brad Parker).

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added include.c.
    * src/cmd/include.c: New file.
    * src/cmd/cmd.c (cmds): Added cmd_include.

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flash_drivers): Added amd_8_flash_driver.

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (buses_t): Added new structure.
    * src/jtag.c (bus): Removed global variable.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added buses.c.
    * src/bus/buses.c: New file.
    * src/bus/bcm1250.c (bcm1250_bus_printinfo): New function.
    * src/bus/ixp425.c (ixp425_bus_printinfo): Ditto.
    * src/bus/pxa2x0.c (pxa2x0_bus_printinfo): Ditto.
    * src/bus/sa1110.c (sa1110_bus_printinfo): Ditto.
    * src/bus/sh7727.c (sh7727_bus_printinfo): Ditto.
    * src/bus/sh7750r.c (sh7750r_bus_printinfo): Ditto.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added bus.c.
    * src/cmd/bus.c: New file.
    * src/cmd/cmd.c (cmds): Added cmd_bus.
    * src/cmd/detect.c (cmd_detect_run): Added support for multiple buses detection.
    * src/cmd/print.c (cmd_print_run): Fixed header printing while syntax error. Added support for printing
        list of active buses.
    (cmd_print_help): Added new parameter 'bus'.

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.5.

    * include/chain.h (chain_t): Added active_part.
    * src/tap/chain.c (chain_alloc): Added active_part initialization.
    * include/part.h (parts_print): Removed 'header' parameter.
    * src/part/part.c (parts_print): Removed header printing.
    * src/cmd/print.c (cmd_print_run): Added header printg. Added new parameter 'chain' for print command.
    (cmd_print_help): Added new parameter 'chain'.
    * src/cmd/dr.c (cmd_dr_run, cmd_dr_help): Removed PART parameter.
    * src/cmd/get.c (cmd_get_run, cmd_get_help): Ditto.
    * src/cmd/instruction.c (cmd_instruction_run, cmd_instruction_help): Ditto.
    * src/cmd/set.c (cmd_set_run, cmd_set_help): Ditto.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Adde part.c.
    * src/cmd/part.c: New file.
    * src/cmd/cmd.c (cmds): Added cmd_part.

2003-07-25  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added broadcom/bcm3310/STEPPINGS and
        broadcom/bcm3310/bcm3310.
    * data/broadcom/PARTS: Added BCM3310.
    * data/broadcom/bcm3310/STEPPINGS: New file.
    * data/broadcom/bcm3310/bcm3310: Ditto.

2003-07-24  Marcel Telka  <marcel@telka.sk>

    * po/POTFILES.in: Removed missing files.
    * configure.ac: Removed VL_LIB_READLINE macro and moved it to ...
    * acinclude.m4: ... this new file.

2003-07-16  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_line): Fixed invalid memory allocation size (core dump).

2003-07-01  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (new_sh7750r_bus, new_bcm1250_bus): New function declarations (patch 753300, Matan Ziv-Av).
    * src/bus/Makefile.am (libbus_a_SOURCES): Added bcm1250.c and sh7750r.c (patch 753300, Matan Ziv-Av).
    * src/bus/bcm1250.c: New file (patch 753300, Matan Ziv-Av).
    * src/bus/sh7750r.c: Ditto.
    * src/cmd/detect.c (cmd_detect_run): Added bus driver for SH7750R and BCM1250 (patch 753300, Matan Ziv-Av).

2003-06-19  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (discovery): Removed 'filename' parameter.
    * src/discovery.c (TEST_COUNT): Changed test repeat count from 5 to 1.
    (detect_register_size): Removed 'f' parameter. Removed output messages.
    (jtag_reset): Removed sleep() calls.
    (discovery): Removed 'filename' parameter. Removed support for output to file. Simplified output
        messages.
    * src/cmd/discovery.c (cmd_discovery_run): Removed FILENAME parameter.
    (cmd_discovery_help): Updated help text.

2003-06-18  Marcel Telka  <marcel@telka.sk>

    * src/discovery.c (discovery): Removed explicit JTAG chain length detection. Changed starting of the DR
        size detection from all 1 instead all 0 for IR (patch 753298, Matan Ziv-Av).

2003-06-18  Marcel Telka  <marcel@telka.sk>

    * /src/flash.c (flash_drivers): Added 1 x 8 bit Intel Flash driver (patch 753295, Matan Ziv-Av).

2003-06-12  Marcel Telka  <marcel@telka.sk>

    * include/flash.h (flash_driver_t): Structure removed.
    (flash_erase_block, flash_unlock_block, flash_program, flash_readarray): Macro removed.
    * src/flash.c (set_flash_driver, flashcheck, flashmsbin, flashmem): Updated for new
        flash_driver_t declared in brux/flash.h in include module.

2003-06-10  Marcel Telka  <marcel@telka.sk>

    * include/Makefile.am (noinst_HEADERS): Removed cfi.h.
    * include/cfi.h: File removed.
    * src/flash.c: Updated include header files.

2003-06-10  Marcel Telka  <marcel@telka.sk>

    * src/bus/sh7727.c (bus_params_t): Added md3 and md4.
    (sh7727_bus_width): Moved to implementation using MD3 and MD4 (thanks to Rainer Dörken).
    (new_sh7727_bus): Added MD3 and MD4 signal searching (thanks to Rainer Dörken).

2003-06-10  Marcel Telka  <marcel@telka.sk>

    * src/bus/ixp425.c (ixp425_bus_width): Changed return value type (int -> unsigned int).
    * src/bus/pxa2x0.c (pxa250_bus_width): Ditto.
    * src/bus/sa1110.c (sa1110_bus_width): Ditto.
    * src/bus/sh7727.c (sh7727_bus_width): Ditto.

2003-06-06  Marcel Telka  <marcel@telka.sk>

    * src/bus/sh7727.c (bus_params_t): Fixed cs array length.
    (setup_address): Removed address shift by BASE.
    (sh7727_bus_read_end): Simplified CS handling.
    (new_sh7727_bus): Fixed CS signal searching (thanks to Rainer Dörken).

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * include/cfi.h (detect_cfi): Macro removed.
    * src/flash.c (flashcheck): Renamed detect_cfi to cfi_detect.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/Makefile.am (jtag_LDADD): Added libbrux twice to resolve dependencies.
    * src/jtag.c: Fixed cmd.h include path.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/cmd/Makefile.am (libcmd_a_SOURCES): Removed quit.c, help.c, and detectflash.c.
    * src/cmd/cmd.c (cmd_run, cmd_params, cmd_get_number): Functions moved to module libbrux,
        file cmd/cmd.c.
    * src/cmd/detectflash.c: File moved to module libbrux, directory cmd.
    * src/cmd/help.c: Ditto.
    * src/cmd/quit.c: Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * include/Makefile.am (noinst_HEADERS): Added cmd.h.
    * include/cmd.h: New file.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Removed cmd.h.
    * src/cmd/cmd.h: File removed. Partially moved to include module (file brux/cmd.h).

    * src/cmd/detectflash.c (cmd_detectflash_help): Changed help text.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/readmem.c (detectflash): Function extracted to module libbrux, file flash/detectflash.c.

2003-06-03  Marcel Telka  <marcel@telka.sk>

